2015-12-17  DJ Delorie  <dj@redhat.com>

	* configure.in: Don't build default libnosys for msp430
	* configure: Regenerate.
	* msp430/Makefile: Rename libcio to libnosys.

	* msp430/cio.c: Remove, replace with...
	* msp430/cio.S: New, this.

2015-12-16  Kevin Buettner  <kevinb@redhat.com>

	* rl78/write.c (_write): Don't output CR when LF is encountered.

2015-12-04  Nick Clifton  <nickc@redhat.com>

	* msp430/msp430xl-sim.ld (__high_bsssize): Define.

2015-11-23  Nick Clifton  <nickc@redhat.com>

	* msp430/msp430xl-sim.ld (__high_bsssize): Provide.

2015-11-12  Anton Kolesov  <Anton.Kolesov@synopsys.com>

	* configure: Add ARC support.
	* configure.in: Likewise.
	* arc/Makefile.in: Likewise.
	* arc/aclocal.m4: Likewise.
	* arc/configure: Likewise.
	* arc/configure.in: Likewise.
	* arc/crt0.S: Likewise.
	* arc/libcfunc.c: Likewise.
	* arc/nsim-syscall.h: Likewise.
	* arc/nsim-syscalls.c: Likewise.
	* arc/nsim.specs: Likewise.
	* arc/sbrk.c: Likewise.

2015-10-20  Kaushik Phatak <kaushik.phatak@kpit.com>

        * rl78/crt0.S (_start): Fixed code that clears .bss

2015-10-06  Nick Clifton  <nickc@redhat.com>

	* msp430/msp430-sim.ld: Add .persistent section.
	Tidy up section layout.
	Start RAM above hardware multiply registers.
	* msp430/msp430xl-sim.ld: Likewise.

2015-09-04  James Bowman  <james.bowman@ftdichip.com>

	* configure.in: Add ft32 support.
	* ft32/sbrk.c: New file.
	* ft32/sim-close.S: Ditto.
	* ft32/sim-exit.S: Ditto.
	* ft32/sim-inbyte.c: Ditto.
	* ft32/sim.ld: Ditto.
	* ft32/sim-lseek.c: Ditto.
	* ft32/sim-lseek.S: Ditto.
	* ft32/sim-open.S: Ditto.
	* ft32/sim-read.S: Ditto.
	* ft32/sim-time.c: Ditto.
	* ft32/sim-unlink.S: Ditto.
	* ft32/sim-write.S: Ditto.
	* ft32/stat.c: Ditto.
	* ft32/configure.in: Ditto.
	* ft32/crt0.S: Ditto.
	* ft32/fstat.c: Ditto.
	* ft32/getpid.c: Ditto.
	* ft32/isatty.c: Ditto.
	* ft32/kill.c: Ditto.
	* ft32/Makefile.in: Ditto.

2015-08-20  Nick Clifton  <nickc@redhat.com>

	PR libgloss/18786
	* msp430/crt0.S: Remove watchdog disabling code.

2015-08-07 Stefan Wallentowitz <stefan.wallentowitz@tum.de>

	* or1k/boards/optimsoc.S: Fix symbol name
	* or1k/crt0.S: Remove paranthesis

2015-08-07 Stefan Wallentowitz <stefan.wallentowitz@tum.de>

	* or1k/crt0.S: Add exception nesting
	* or1k/exceptions-asm.S: ditto
	* or1k/util.c: ditto

2015-08-07 Stefan Wallentowitz <stefan.wallentowitz@tum.de>

	* or1k/sbrk.c: Make heap end globally visible

2015-08-04  Nick Clifton  <nickc@redhat.com>

	* rl78/rl78-sim.ld: Provide a value for __rl78_abs__.
	* rl78/rl78.ld: Likewise.

2015-07-14  Andre Vieira  <andre.simoesdiasvieira@arm.com\>

	* arm/elf-nano.specs: Added option to search for system headers in
	newlib-nano directory.

2015-05-26  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/impure.c: Fix initialization of impure ptr

2015-05-26  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/boards/optimsoc.S: Heap for gzll kernel

2015-05-26  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/sbrk.c: Allow for different heap start

2015-05-26  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/or1k_uart.c: Fix interrupts

2015-05-26  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/timer.c: Properly set interrupt flags

2015-05-26  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/exception-asm.S: Store missing state

2015-05-26  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/crt0.S: Fix exception stack frame
	* or1k/exception-asm.S: ditto

2015-05-26  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/interruts-asm.S: Change registers to callee-saved.

2015-05-18  Nick Clifton  <nickc@redhat.com>

	* msp430/msp430-sim.ld (.stack): Add an assertion to make sure
	that the data area does not overrun the stack.  PROVIDE a new
	symbol __stack_size to allow the user to set the limit.
	* msp430/msp430xl-sim.ld (.stack): Likewise.
	* rl78/rl78-sim.ld (.stack): Likewise.
	* rl78/rl78.ld (.stack): Likewise.
	* rx/rx-sim.ld (.stack): Likewise.
	* rx/rx.ld (.stack): Likewise.

2015-05-05  Nick Clifton  <nickc@redhat.com>

	* msp430/msp430.ld: Delete.
	* msp430/msp430F5438A-l.ld: Delete.
	* msp430/msp430F5438A-s.ld: Delete.
	* msp430/crt_movedata.S: Delete.

	* msp430/Makefile.in (SCRIPTS): Remove msp430.ld.
	(CRT_OBJS): Add crt_move_highdata.o.
	* msp430/memmodel.h (START_CRT_FUNC): New macro.
	(END_CRT_FUNC): New macro.
	(WEAK_DEF): New macro.
	* msp430/crt0.S: Use new macros.
	(move_highdata): New code to initialise the .data section if it is
	held in high memory.

	* msp430/msp430-sim.ld (.data): Add .either.data.
	(.rodata2): Move some read-only data sections here.
	(.text): Add .either.text.
	(.rodata): Add .either.rodata.
	(.bss): Add .either.bss.
	* msp430/msp430xl-sim.ld (MEMORY): Add HIROM.
	(.rodata2): Move some read-only data sections here.
	(.upper.data): New section.  Include notes about how to initialise
	it.

2015-04-21  Mike Frysinger  <vapier@gentoo.org>

	* mcore/syscall.h: New header.

2015-04-21  Mike Frysinger  <vapier@gentoo.org>

	* arm/syscall.h: Adjust comment header.

2015-04-09  Nick Clifton  <nickc@redhat.com>

	* rx/crt0.S (_start): If string instructions are not allowed,
	avoid using SMOVF.

2015-04-08  Nick Clifton  <nickc@redhat.com>

	* rx/rx.ld: Add .note and DWARF3 sections.
	* rx/rx-sim.ld: Likewise.

2015-04-07  Nick Clifton  <nickc@redhat.com>

	* rl78/rl78.ld (.csstart): Add a KEEP directive.
	* rl78/rl78-sim.ld (.csstart): Add a KEEP directive.

2015-03-05  Nick Clifton  <nickc@redhat.com>

	* v850/sim.ld: Add a .note.renesas section.

2015-02-17  Renlin Li  <renlin.li@arm.com>

	* arm/crt0.S: Initialise __heap_limit when ARM_RDI_MONITOR is defined.
	* arm/syscalls.c: define __heap_limit global symbol.
	* arm/syscalls.c (_sbrk): Honour __heap_limit.

2015-02-11  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/or1k_uart.c: Write bugfix and cleanup/documentation.
	* or1k/or1k_uart.h: Cleanup.

2015-01-22  Yaakov Selkowitz  <yselkowi@redhat.com>

	* sparc/crt0.S: Declare use of system registers.
	* sparc/cygmon-crt0.S: Ditto.
	* sparc/erc32-crt0.S: Ditto.
	* sparc/traps.S: Ditto.

2015-01-21  Eric Botcazou  <ebotcazou@adacore.com>

	* configure.in: Add Visium support.
	* configure: Regenerate.
	* visium/: New directory.

2015-01-15  DJ Delorie  <dj@redhat.com>

	* rl78/crt0.S: Initialize .saddr.  Avoid using SEL.
	* rl78/rl78-sim.ld: Add .saddr/.frodata section.
	* rl78/rl78.ld: Likewise.
	* rl78/rl78-sim.ld: Make room for virtual register banks.
	* rl78/rl78.ld: Likewise.

	* rl78/vregs.h: New.
	* rl78-sys.h: Use it.
	* rl78/swrite.S: New.
	* rl78/Makefile.in: Build it.
	* rl78/write.c: Use it.

2015-01-14  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/include/or1k-sprs.h: New auto-generated header file.

2015-01-05  Yaakov Selkowitz  <yselkowi@redhat.com>

	* lm32/Makefile.in (install): Respect DESTDIR.
	(install-scripts): Ditto.
	* mep/Makefile.in (install): Ditto.
	* mt/Makefile.in (install): Ditto.
	* rl78/Makefile.in (install): Ditto.

2014-12-27  Anthony Green  <green@moxielogic.com>

	* moxie/crt0.S (_start): sub.l is now sub.

2014-12-15  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/Makefile.in: Build and install board libraries
	* or1k/board.h: New file
	* or1k/boards/README: New file
	* or1k/boards/atlys.S: New file
	* or1k/boards/de0_nano.S: New file
	* or1k/boards/ml501.S: New file
	* or1k/boards/ml509.S: New file
	* or1k/boards/optimsoc.S: New file
	* or1k/boards/or1ksim-uart.S: New file
	* or1k/boards/or1ksim.S: New file
	* or1k/boards/ordb1a3pe1500.S: New file
	* or1k/boards/ordb2a.S: New file
	* or1k/boards/orpsocrefdesign.S: New file
	* or1k/boards/tmpl.S: New file
	* or1k/boards/tmpl.c: New file

2014-12-15  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* or1k/Makefile.in: Add libor1k
	* or1k/README: New file
	* or1k/caches-asm.S: New file
	* or1k/exceptions-asm.S: New file
	* or1k/exceptions.c: New file
	* or1k/impure.c: New file
	* or1k/include/or1k-nop.h: New file
	* or1k/include/or1k-support.h: New file
	* or1k/interrupts-asm.S: New file
	* or1k/interrupts.c: New file
	* or1k/mmu-asm.S: New file
	* or1k/or1k-internals.h: New file
	* or1k/or1k_uart.c: New file
	* or1k/or1k_uart.h: New file
	* or1k/outbyte.S: New file
	* or1k/sbrk.c: New file
	* or1k/sync-asm.S: New file
	* or1k/syscalls.c: New file
	* or1k/timer.c: New file
	* or1k/util.c: New file

2014-12-15  Stefan Wallentowitz  <stefan.wallentowitz@tum.de>

	* README: Add details about or1k.
	* configure.in: Add or1k/or1knd
	* configure: Regenerated.
	* or1k/aclocal.m4: New file.
	* or1k/configure: Ditto.
	* or1k/Makefile.in: New file
	* or1k/configure.in: New file
	* or1k/crt0.S: New file
	* or1k/include/or1k-asm.h: New file

2014-12-15  Nick Hung  <nick@andestech.com>

	* libgloss/nds32/_exit.S: Finish with an infinite loop in _exit.
	* libgloss/nds32/_getpid.S: Don't issue _getpid system call, it is
	always successful.
	* libgloss/nds32/_gettimeofday.S: No error for _gettimeofday is defined
	in SYS_geterr handler.
	* libgloss/nds32/_isatty.S: No error for _isatty is defined in
	SYS_geterr handler.
	* libgloss/nds32/_kill.S: Alway fail. errno = EINVAL.
	* libgloss/nds32/_link.S: Alway fail. errno =  EMLINK.
	* libgloss/nds32/_times.S: Alway fail. errno = EACCES.
	* libgloss/nds32/_unlink.S: fix copy and paste error.
	* libgloss/nds32/crt0.S: Add pre_c_init, post_c_init, arg_init.
	* libgloss/nds32/crt1.S: Add pre_c_init, post_c_init, arg_init.
	* libgloss/nds32/syscall_extra.h: Re-format.
	* libgloss/nds32/vh.h: Add more virtual hosting number.

2014-12-11  Anthony Green  <green@moxielogic.com>

	* moxie/configure: Rebuilt.

2014-11-28  Jaydeep Patil  <jaydeep.patil@imgtec.com>
	    Matthew Fortune  <Matthew.Fortune@imgtec.com>

	* mips/crt0.S: Configure processor based on .MIPS.abiflags.
	Remove FPU availability check, just use the pre-processor flags
	to indicicate what the user wanted.
	* mips/abiflags.S: New file.
	* mips/regs.S (SR_MSA): Define macro.
	* mips/mti32.ld: Place .MIPS.abiflags and wrap in marker symbols.
	* mips/mti64.ld: Likewise.
	* mips/mti64_64.ld: Likewise.
	* mips/mti64_n32.ld: Likewise.

2014-11-26  Matthew Fortune  <Matthew.Fortune@imgtec.com>

	* mips/crt0.S: Remove .set noreorder throughout.
	(zerobss): Open code the bltu macro instruction so that the
	zero-loop does not have a NOP in the branch delay slot.

2014-11-13  Nick Clifton  <nickc@redhat.com>

	* msp430/Makefile.in (CRT_OBJS): Add crt_high_bss.o.
	* msp430/crt0.S (high_bss): Add.
	* msp430/msp430-sim.ld: Add error message if .upper sections are
	detected.
	* msp430/msp430xl-sim.ld (MEMORY): Adjust to better mimic real
	life MCUs.  Add support for upper and lower sections.

2014-10-22  Tim Harder  <radhermit@gmail.com>

	* msp430/Makefile.in: Respect DESTDIR during install.

2014-09-22  Peter A. Bigot  <pab@pabigot.com>

	* configure.in: Remove config_libnosys=false
	* configure: Regenerated.
	* msp430/nosyscalls.S: Rename to ciosyscalls.S
	* msp430/Makefile.in: Change LIBNOSYS to LIB_CIO.

2014-08-14  Bin Cheng  <bin.cheng@arm.com>

	* arm/elf-nano.specs: New file.
	* arm/elf-rdimon.specs: Support nano.specs.
	* arm/Makefile.in: Support nano.specs.
	* libnosys/nosys.specs: Support nano.specs.

2014-07-27  Anthony Green  <green@moxielogic.com>

	* moxie/Makefile.in (LD_SCRIPTS): Add moxiebox.ld
	Conditionally build and install crt0.o.
	* moxie/configure.in: Don't build crt0.o for moxiebox.
	* moxie/moxiebox.ld: New file.

2014-07-16  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* arm/elf-aprofile-validation.specs (*link): Make text segment
	64k-aligned.
	* arm/elf-aprofile-ve.specs (*link): Likewise.

2014-04-30  Nick Clifton  <nickc@redhat.com>

	* msp430/Makefile.in (NOSYS_OBJS): Add unlink.o.
	(SCRIPTS): Remove msp430F5438A-s.ld and msp430F5438A-s.ld.
	* unlink.c: New file.

2014-04-04  Ashish Kapania  <akapania@ti.com>

	* arm/configure.in: (*-*-tirtos*) Accept TIRTOS target when setting
	objtype
	* arm/configure: Regenerated.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/_sbrk.S: Add .size and .type directive.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/crt0.S: Tweak initialization sqeuence.
	* nds32/crt1.S: Ditto.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/_argv.S: Replace syscall with break.
	* nds32/_argvlen.S: Ditto.
	* nds32/_chdir.S: Ditto.
	* nds32/_chmod.S: Ditto.
	* nds32/_close.S: Ditto.
	* nds32/_exit.S: Ditto.
	* nds32/_fstat.S: Ditto.
	* nds32/_getpid.S: Ditto.
	* nds32/_gettimeofday.S: Ditto.
	* nds32/_isatty.S: Ditto.
	* nds32/_kill.S: Ditto.
	* nds32/_link.S: Ditto.
	* nds32/_lseek.S: Ditto.
	* nds32/_open.S: Ditto.
	* nds32/_read.S: Ditto.
	* nds32/_rename.S: Ditto.
	* nds32/_stat.S: Ditto.
	* nds32/_system.S: Ditto.
	* nds32/_time.S: Ditto.
	* nds32/_times.S: Ditto.
	* nds32/_unlink.S: Ditto.
	* nds32/_utime.S: Ditto.
	* nds32/_write.S: Ditto.
	* nds32/syscall_error_handler.S: Ditto.
	* nds32/vh.h: New.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/crt0.S: Initialize ITB base.
	* nds32/crt1.S: Ditto.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/Makefile.in: Alter filename.
	* nds32/syscall_argv.S: Rename to _argv.S
	* nds32/syscall_argvlen.S: Rename to _argvlen.S
	* nds32/syscall_chdir.S: Rename to _chdir.S
	* nds32/syscall_chmod.S: Rename to _chmod.S
	* nds32/syscall_close.S: Rename to _close.S
	* nds32/syscall_exit.S: Rename to _exit.S
	* nds32/syscall_fstat.S: Rename to _fstat.S
	* nds32/syscall_getpid.S: Rename to _getpid.S
	* nds32/syscall_gettimeofday.S: Rename to _gettimeofday.S
	* nds32/syscall_isatty.S: Rename to _isatty.S
	* nds32/syscall_kill.S: Rename to _kill.S
	* nds32/syscall_link.S: Rename to _link.S
	* nds32/syscall_lseek.S: Rename to _lseek.S
	* nds32/syscall_open.S: Rename to _open.S
	* nds32/syscall_read.S: Rename to _read.S
	* nds32/syscall_rename.S: Rename to _rename.S
	* nds32/syscall_sbrk.S: Rename to _sbrk.S
	* nds32/syscall_stat.S: Rename to _stat.S
	* nds32/syscall_system.S: Rename to _system.S
	* nds32/syscall_time.S: Rename to _time.S
	* nds32/syscall_times.S: Rename to _times.S
	* nds32/syscall_unlink.S: Rename to _unlink.S
	* nds32/syscall_utime.S: Rename to _utime.S
	* nds32/syscall_write.S: Rename to _write.S

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/syscall_argv.S: Correct the method to set errno.
	* nds32/syscall_argvlen.S: Ditto.
	* nds32/syscall_chdir.S: Ditto.
	* nds32/syscall_chmod.S: Ditto.
	* nds32/syscall_close.S: Ditto.
	* nds32/syscall_error_handler.S: Ditto.
	* nds32/syscall_fstat.S: Ditto.
	* nds32/syscall_getpid.S: Ditto.
	* nds32/syscall_gettimeofday.S: Ditto.
	* nds32/syscall_isatty.S: Ditto.
	* nds32/syscall_kill.S: Ditto.
	* nds32/syscall_link.S: Ditto.
	* nds32/syscall_lseek.S: Ditto.
	* nds32/syscall_open.S: Ditto.
	* nds32/syscall_read.S: Ditto.
	* nds32/syscall_rename.S: Ditto.
	* nds32/syscall_sbrk.S: Ditto.
	* nds32/syscall_stat.S: Ditto.
	* nds32/syscall_system.S: Ditto.
	* nds32/syscall_time.S: Ditto.
	* nds32/syscall_times.S: Ditto.
	* nds32/syscall_unlink.S: Ditto.
	* nds32/syscall_utime.S: Ditto.
	* nds32/syscall_write.S: Ditto.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/crt0.S: Use pseudo-instruction "bal frame" to replace 
	"la + jral".
	* nds32/crt1.S: Ditto.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/crt0.S: Eliminate initialization for $fp.
	* nds32/crt1.S: Ditto.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/crt0.S: Refine.
	* nds32/crt1.S: Refine.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/crt0.S: Set argc=argv=env=0.
	* nds32/crt1.S: Ditto.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/Makefile.in: Add syscall_error_handler.o.
	* nds32/syscall_error_handler.S: New.
	* nds32/syscall_extra.h: Reduce code size.

2014-03-21  Sabrini Ni  <sabrinanitw@gmail.com>

	* nds32/syscall_extra.h: Define macro.
	* nds32/syscall_argv.S: Use define macro.
	* nds32/syscall_argvlen.S: Ditto.
	* nds32/syscall_chdir.S: Ditto.
	* nds32/syscall_chmod.S: Ditto.
	* nds32/syscall_close.S: Ditto.
	* nds32/syscall_fstat.S: Ditto.
	* nds32/syscall_getpid.S: Ditto.
	* nds32/syscall_gettimeofday.S: Ditto.
	* nds32/syscall_isatty.S: Ditto.
	* nds32/syscall_kill.S: Ditto.
	* nds32/syscall_link.S: Ditto.
	* nds32/syscall_lseek.S: Ditto.
	* nds32/syscall_open.S: Ditto.
	* nds32/syscall_read.S: Ditto.
	* nds32/syscall_rename.S: Ditto.
	* nds32/syscall_stat.S: Ditto.
	* nds32/syscall_system.S: Ditto.
	* nds32/syscall_time.S: Ditto.
	* nds32/syscall_times.S: Ditto.
	* nds32/syscall_unlink.S: Ditto.
	* nds32/syscall_utime.S: Ditto.
	* nds32/syscall_write.S: Ditto.

2014-02-27  Joey Ye  <joey.ye@arm.com>

	* libnosys/sbrk.c (_sbrk): Remove TWS

2014-02-11  Joey Ye  <joey.ye@arm.com>

	* arm/syscalls.c (_sbrk): Define as weak symbols.
	(_read, _write): Ditto.

2014-02-03  Richard Earnshaw  <rearnsha@arm.com>

	* aarch64/Makefile.in (RDIMON_SCRIPTS): Rule to build in-tree copies
	of scripts.
	(all): Build the in-tree copies of the scripts.
	(clean): Also delete the in-tree copies of the scripts.

2014-01-29  DJ Delorie  <dj@redhat.com>

	* msp430/Makefile.in (crt0-minrt.o, crtn-minrt.o): New.  Build
	from crt0.S with -DMINRT.
	(CRT_OBJS): Expand.
	(crt_%.o): New rule pattern.  Build multiple objects from crt0.S.
	* msp430/crt0.S: Further break out functionality.  Support -DMINRT
	that omits all init/fini logic.
	* msp430/crtn.S: Likewise.
	* msp430/msp430-sim.ld: Wildcard all .crt_* sections, sorted.
	* msp430/msp430.ld: Likewise.
	* msp430/msp430xl-sim.ld: Likewise.

2014-01-28  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* aarch64/cpu-init/rdimon-aem-el3.S (flat_map): Use bic-immediate
	form to clear WXN bit.

2014-01-24  Kyrylo Tkachov  <kyrylo.tkachov@arm.com>

	* aarch64/cpu-init/rdimon-aem-el3.S (flat_map): Clear WXN bit
	in SCTLR_EL3. Add dsb.

2014-01-10  Jeff Johnston  <jjohnstn@redhat.com>

	* arm/configure.in: Revert previous fix and change host_makefile_frag
	to calculate the absolute location of srcdir/../config/default.mh.
	* arm/configure: Regenerated.

2014-01-07  Jeff Johnston  <jjohnstn@redhat.com>

	* arm/configure.in: Fix host_makefile_frag to use ac_abs_srcdir.
	* arm/configure: Regenerated.

2013-12-04  Steve Ellcey <sellcey@mips.com>

	* mips/cfe_api.h: Include stdint.h.

2013-11-21  Daniel Ramirez <javamonn@gmail.com>

	* d30v/syscalls.c, i960/mon960.c, m68k/io-stat.c, mt/stat.c,
	spu/lstat.c, spu/stat.c: Add restrict keyword.

2013-11-21  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* aarch64/ftruncate.c: Include errno.h.
	(ftruncate) Set errno.
	* aarch64/truncate.c: Include errno.h.
	(truncate) Set errno.

2013-11-20  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* arm/ftruncate.c: Include errno.h.
	(ftruncate) Set errno.
	* arm/truncate.c: Include errno.h.
	(truncate) Set errno.

2013-11-18  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* arm/ftruncate.c: New.
	* arm/truncate.c: New.
	* arm/Makefile.in (RDPMON_OBJS): Add ftruncate.o and truncate.o.
	(rdimon-ftruncate.o, rdimon-truncate.o): New rule:

2013-10-14  Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>

	* arm/cpu-init/rdimon-aem.S: Disable for M class cores.
	* arm/crt0.S: Don't call _rdimon_hw_init_hook for non-A class cores.
	* arm/cpu-init/Makefile.in (CPU_INIT_OBJS): Use CFLAGS.

2013-09-30  Steve Ellcey  <sellcey@mips.com>

	* mips/Makefile.in (install): Add mkdir, fix install command.

2013-09-27  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* arm/Makefile.in (RDIMON_SCRIPTS): Add aprofile-validation.specs.
	* arm/elf-aprofile-validation.specs: New.

2013-09-20  Matthew Gretton-Dann  <matthew.gretton-dann@arm.com>
	    Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>
	    Greta Yorsh  <greta.yorsh@arm.com>

	* arm/Makefile.in: Add support for cpu-init directory and add
	elf-aprofile-ve.specs.
	* arm/configure.in: Likewise.
	* arm/configure: Regenerate.
	* arm/cpu-init: New directory.
	* arm/cpu-init/Makefile.in: New file.
	* arm/cpu-init/rdimon-aem.S: Likewise.
	* arm/crt0.S: Call _rdimon_init_hook
	* arm/elf-aprofile-ve.specs: New file.

2013-09-18  Nick Clifton  <nickc@redhat.com>

	* msp430/Makefile.in (SCRIPTS): Add intr_vectors.ld.
	(LIB_CRT): New.
	(CRT_OBJS): New.
	(all): Add dependency upon LIB_CRT.
	(install): Likewise.
	* msp430/msp430-sim.ld: Include intr_vectors.ld.
	KEEP crt code, lowtext code and tm_clone_table.
	Separate the noinit section from the .bss section.
	Allow for extended .debug_line sections.
	* msp430/msp430.ld: Likewise.
	* msp430/msp430F5438A-l.ld: Likewise.
	* msp430/msp430F5438A-s.ld: Likewise.
	* msp430/msp430xl-sim.ld: Likewise
.	* msp430/crt_movedata.S: New.
	* msp430/crt_bss.S: New.
	* msp430/intr_vectors.ld: New.

2013-09-17  Joey Ye  <joey.ye@arm.com>

	* libnosys/Makefile.in: Install nosys.specs.
	* libnosys/nosys.specs: New specs.

2013-08-12  Yufeng Zhang  <Yufeng.Zhang@arm.com>

	* aarch64/crt0.S: Remove 'start'.
	* arm/crt0.S: Ditto.
	* arm/redboot-crt0.S: Ditto.

2013-07-24  Steve Ellcey  <sellcey@mips.com>

	* mips/idtmon.S (unlink, lseek, stat): Add new functions.

2013-07-23  Nagaraju Mekala  <nagaraju.mekala@xilinx.com>

	* microblaze/_exception_handler.S: Adjust to be weak.

2013-07-23  Edgar E. Iglesias  <edgar.iglesias@xilinx.com>

	* microblaze/Makefile.in: Add LINUX_BSP.
	* microblaze/elf-gloss-linux.ld: New file.
	* microblaze/elf-gloss-linux.specs: Likewise.
	* microblaze/linux-crt0.S: Likewise.
	* microblaze/linux-inbyte.c: Likewise.
	* microblaze/linux-outbyte.c: Likewise.
	* microblaze/linux-syscalls-wrap.c: Likewise.
	* microblaze/linux-syscalls.S: Likewise.
	* microblaze/linux-syscalls.h: Likewise.

2013-07-17  Yaakov Selkowitz  <yselkowitz@users.sourceforge.net>

	* lm32/configure: Regenerate.
	* moxie/configure: Ditto.
	* spu/configure: Ditto.

2013-07-16  David Holsgrove <david.holsgrove@xilinx.com>

	* microblaze/Makefile.in: Add GENOBJS and target_makefile_frag.
	* microblaze/configure.in: Add target_makefile_frag.
	* microblaze/configure: Regenerate.
	* microblaze/xil_printf.c: Add new file.

2013-07-16  David Holsgrove <david.holsgrove@xilinx.com>

	* configure.in: Change to microblaze*.
	* configure: Regenerate.
	* microblaze/xilinx.ld: Remove OUTPUT_FORMAT.

2013-07-12  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* aarch64/cpu-init/rdimon-aem-el3.S (vectors): Page align.

2013-07-09  Sabrina Ni  <sabrina@andestech.com>

	* configure.in: Add nds32 subdir.
	* configure: Regenerated.
	* nds32/configure.in: New.
	* nds32/configure: New (autogenerated).
	* nds32/{crt0.S,crt1.S}: New.
	* nds32/Makefile.in: New.
	* nds32/{syscall_argvlen.S,syscall_argv.S,
	syscall_chdirS, syscall_chmod.S,
	syscall_close.S,syscall_exit.S,syscall_extra.h, syscall_fstat.S,
	syscall_getpid.S,syscall_gettimeofday.S,syscall_isatty.S,syscall_kill.S,
	syscall_link.S,syscall_lseek.S,syscall_open.S,syscall_read.S,
	syscall_rename.S,syscall_sbrk.S,syscall_stat.S,syscall_system.S,
	syscall_time.S,syscall_times.S,syscall_unlink.S,syscall_utime.S,
	syscall_write.S}: New.

2013-07-04  Yufeng Zhang  <Yufeng.Zhang@arm.com>

	* aarch64/syscalls.c (stack_ptr): Defined with asm ("wsp") if __ILP32__
	is defined.

2013-07-02  Joey Ye  <joey.ye@arm.com>

	* arm/crt0.S (_mainCRTStartup): Weak reference to atexit and _fini
	when lite exit is enabled.

2013-06-28  Yufeng Zhang  <Yufeng.Zhang@arm.com>

	* aarch64/syscalls.c (POINTER_TO_PARAM_BLOCK_T): New macro.
	(initialise_monitor_handles): Replace cast with macro
	POINTER_TO_PARAM_BLOCK_T.
	(_swiread): Likewise.
	(_swiwrite): Likewise.
	(_swiopen): Likewise.
	(_unlink): Likewise.
	(_system): Likewise.
	(_rename): Likewise.

2013-06-25  Yufeng Zhang  <Yufeng.Zhang@arm.com>

	* aarch64/crt0.S (GEN_DWORD): New macro definition.
	(PTR_REG): Ditto.
	(PTR_SIZE): Ditto.
	(PTR_LOG_SIZE): Ditto.
	(start): Use GEN_DWORD to replace the .dword of HeapBase,
	__bss_start__, __bss_end__, FUNCTION(_fini), env and
	CommandLine; when __ILP32__ is defined, set the stack base to
	the top end of the 32-bit address space if the returned value
	from the Angel API call is larger than or equal to 4 GiB.
	Also carry out sanity check on the heap base; abort if the
	base is larger than or equal to 4 GiB.  Use other new
	macros in the instructions that processes the argv arrays.
	(StackBase): New lable; replace __stack_base__.
	(__stack_base__): Set with StackBase or StackBase + 4.

2013-05-30  Jeff Johnston  <jjohnstn@redhat.com>

	* rs6000/Makefile.in: Add sim-times support.  This file has been
	moved from newlib/libc/machine/powerpc and renamed.
	* rs6000/sim-times.c: New file.

2013-05-14  DJ Delorie  <dj@redhat.com>
	    Nick Clifton  <nickc@redhat.com>

	* configure.in (msp430*-*-elf): Add.
	* configure: Regenerate.
	* msp430: New directory.

2013-04-19  Steve Ellcey  <sellcey@imgtec.com>

	* mips/cfe_api.h (int64_t): Remove define.
	(uint64_t): Remove define.
	(intptr_t): Remove define.
	(uintptr_t): Remove define.
	(sys/types.h): Remove include.
	(_ansi.h): Remove include.

2013-04-19  Yufeng Zhang  <yufeng.zhang@arm.com>

	* aarch64/Makefile.in (rdimon-crt0.o, rdimon-trap.o)
	(rdimon-_exit.o, rdimon-_kill.o, rdimon-syscalls.o)
	(rdimon-libcfunc.o): Add $(CFLAGS) to the compiler command line.
	* aarch64/cpu-init/Makefile.in (${CPU_INIT_OBJS}): Add $(CFLAGS)
	to the compiler command line.

2013-02-10  Peter Marheine  <peter@taricorp.net>

	* libgloss/rx/Makefile.in: Respect DESTDIR when installing

2013-02-04  Greta Yorsh  <greta.yorsh@arm.com>

	* arm/elf-rdimon.specs (-lrdimon): Change link to lib.

2013-02-01  Nick Clifton  <nickc@redhat.com>

	* v850/crt0.S: Add recognition of the e3v5
	architecture variant.

2013-01-18  Marcus Shawcroft  <marcus.shawcroft@arm.com>

	* aarch64/Machine.in (RDIMON_SCRIPTS):
	Add aem-ve.specs and aem-validation.specs.
	* aarch64/elf-aem-validation.specs: New file.
	* aarch64/elf-aem-ve.specs: New file.

2013-01-15  Nick Clifton  <nickc@redhat.com>

	* v850/crt0.S (_start): Enable FPU for the V850e2v3.

2012-12-17  Stuart Henderson  <shenders@gcc.gnu.org>

	* bfin/Makefile.in: Add BF60x support.
	* bfin/basiccrt.S: Add core1 support.
	* bfin/bf606.ld: New file.
	* bfin/bf606c0.ld: New file.
	* bfin/bf606c1.ld: New file.
	* bfin/bf606m.ld: New file.
	* bfin/bf607.ld: New file.
	* bfin/bf607c0.ld: New file.
	* bfin/bf607c1.ld: New file.
	* bfin/bf607m.ld: New file.
	* bfin/bf608.ld: New file.
	* bfin/bf608c0.ld: New file.
	* bfin/bf608c1.ld: New file.
	* bfin/bf608m.ld: New file.
	* bfin/bf609.ld: New file.
	* bfin/bf609c0.ld: New file.
	* bfin/bf609c1.ld: New file.
	* bfin/bf609m.ld: New file.
	* bfin/bfin-common-mc0.ld: New file.
	* bfin/include/cdefBF606.h : New file.
	* bfin/include/cdefBF607.h : New file.
	* bfin/include/cdefBF608.h : New file.
	* bfin/include/cdefBF609.h : New file.
	* bfin/include/defBF606.h : New file.
	* bfin/include/defBF607.h : New file.
	* bfin/include/defBF608.h : New file.
	* bfin/include/defBF609.h : New file.
	* bfin/include/sys/_adi_platform.h: Add BF60x support.
	* bfin/include/sys/anomaly_macros_rtl.h : Clean up.

2012-11-23  Yufeng Zhang  <yufeng.zhang@arm.com>

	* aarch64/configure.in: Replace the direct generation of
	cpu-init/Makefile.in with AC_CONFIG_SUBDIRS(cpu-init).
	* aarch64/configure: Re-generate.
	* aarch64/cpu-init/Makefile.in (objtype): Remove.
	(Makefile, config.status): Update the rules.
	* aarch64/cpu-init/aclocal.m4: New file (generated).
	* aarch64/cpu-init/configure.in: New file.
	* aarch64/cpu-init/configure: New file (generated).

2012-10-27  Anthony Green  <green@moxielogic.com>

	* moxie/sim-unlink.S (unlink): Loop forever.
	moxie/sim-time.S (_sim_time): Ditto.

2012-10-27  Anthony Green  <green@moxielogic.com>

	* moxie/crt0.S (_start): Call memset with correct
	ABI.

2012-10-03  DJ Delorie  <dj@redhat.com>

	* rl78/crt0.S (_interrupt_vector_table): Convert from CPP macros
	to GAS macros, to avoid dependence on the line separation
	character.

2012-10-01  DJ Delorie  <dj@redhat.com>

	* v850/sbrk.c (_sbrk): Change heap_start to be an array of
	undefined size, to avoid problems when compiled with -msda=4.

2012-09-26  Ian Bolton  <ian.bolton@arm.com>
        Jim MacArthur  <jim.macarthur@arm.com>
        Marcus Shawcroft  <marcus.shawcroft@arm.com>
        Nigel Stephens  <nigel.stephens@arm.com>
        Ramana Radhakrishnan  <ramana.radhakrishnan@arm.com>
        Richard Earnshaw  <rearnsha@arm.com>
        Sofiane Naci  <sofiane.naci@arm.com>
        Tejas Belagod  <tejas.belagod@arm.com>
        Yufeng Zhang  <yufeng.zhang@arm.com>

	* aarch64/Makefile.in: New file.
	* aarch64/_exit.c: New file.
	* aarch64/_kill.c: New file.
	* aarch64/aclocal.m4: Generated.
	* aarch64/configure: Generated.
	* aarch64/configure.in: New file.
	* aarch64/cpu-init/Makefile.in: New file.
	* aarch64/cpu-init/rdimon-aem-el3.S: New file.
	* aarch64/crt0.S: New file.
	* aarch64/elf-rdimon.specs: New file.
	* aarch64/libcfunc.c: New file.
	* aarch64/svc.h: New file.
	* aarch64/syscalls.c: New file.
	* configure.in: Add AArch64.
	* configure: Re-generated.

2012-09-13  Anthony Green  <green@moxielogic.com>

	* moxie/moxie-elf-common.ld: Add bi-endian support.

2012-08-30  DJ Delorie  <dj@redhat.com>

	* rx/rx.ld: Add W_* sections to .rodata.
	* rx/rx-sim.ld: Likewise.

2012-08-30  Kaushik Phatak  <kaushik.phatak@kpitcummins.com>

	* cr16/sys/syscall.h: New file.

2012-05-02  Greta Yorsh  <Greta.Yorsh@arm.com>

	* arm/redboot-crt0.S (__change_mode): Replace mov with movs.

2012-03-23  Mike Frysinger  <vapier@gentoo.org>

	* cris/Makefile.in (install-lin): Add $(DESTDIR) before ${tooldir}.

2012-03-12  Mike Frysinger  <vapier@gentoo.org>

	* libnosys/Makefile.in (NEWLIB_CFLAGS, NEWLIB_LDFLAGS,
	INCLUDES, CFLAGS_FOR_TARGET, LDFLAGS_FOR_TARGET,
	AR_FLAGS, .c.o, .C.o, .s.o, .S.o, .c.s): Delete and replace
	with @host_makefile_frag@.

2012-03-12  Mike Frysinger  <vapier@gentoo.org>

	* config/default.mh (AR_FLAGS): Set to rc.

2012-03-09  Jeff Johnston  <jjohnstn@redhat.com>

	* epiphany/access.c: Add modification rights to clause as
	permitted by DJ Delorie.
	* iq2000/access.c: Ditto.
	* mn10200/access.c: Ditto.
	* mn10300/access.c: Ditto.
	* mt/access.c: Ditto.
	* v850/access.c: Ditto.

2012-03-02  Bin Cheng  <bin.cheng@arm.com>

	* configure.in: Accept "arm*" target spec instead of just "arm".
	* configure: Regenerated.
	* libnosys/configure.in: Likewise.
	(libc_symbol_prefix): Renamed to libc_cv_symbol_prefix.
	* libnosys/configure: Regenerated (using autoconf v2.68).

2012-02-21  Jeremy Bennett  <jeremy.bennett@embecosm.com>
            Alan Lehotsky  <apl@alum.mit.edu>
            Joern Rennecke  <joern.rennecke@embecosm.com>

	* configure.in: Add Epiphany support.
	* configure: Regenerate.
	* epiphany: New directory.
	* libgloss/README: Add Epiphany entry.

2012-01-23  Stuart Henderson  <stuart.henderson@analog.com>

	* bfin/_exit.c: New file.
	* bfin/Makefile.in (BOARD_OBJS): Add _exit.o.

2012-01-17  Bin Cheng  <bin.cheng@arm.com>

	* arm/linux-crt0.c: Use ldr instead of adr to get address of
	_start_thumb.

2011-12-18  Steve Kilbane  <stephen.kilbane@analog.com>

	* bfin/clear_cache_range.c: New file.
	* bfin/Makefile.in (SIM_OBJS): Add clear_cache_range.o.
	(BOARD_OBJS): Likewise.
	(BOARD_BSP): Set to libbfinbsp.a.
	(${BOARD_BSP}): New rule.

2011-12-15  Konrad Eisele <konrad@gaisler.com>

	* configure.in: Add SPARC LEON support.
	* configure: Regenerated.
	* sparc_leon/asm-leon/amba.h, sparc_leon/asm-leon/asmmacro.h,
	sparc_leon/asm-leon/clock.h, sparc_leon/asm-leon/contextswitch.h,
	sparc_leon/asm-leon/elfmacro.h, sparc_leon/asm-leon/head.h,
	sparc_leon/asm-leon/irq.h, sparc_leon/asm-leon/jiffies.h,
	sparc_leon/asm-leon/lambapp.h, sparc_leon/asm-leon/lambapp_devs.h,
	sparc_leon/asm-leon/leon.h, sparc_leon/asm-leon/leon3.h,
	sparc_leon/asm-leon/leonbare_debug.h, sparc_leon/asm-leon/leonbare_kernel.h,
	sparc_leon/asm-leon/leonbare_kernel_queue.h, sparc_leon/asm-leon/leoncompat.h,
	sparc_leon/asm-leon/leondbg.h, sparc_leon/asm-leon/leonstack.h,
	sparc_leon/asm-leon/liblocks.h, sparc_leon/asm-leon/linkage.h,
	sparc_leon/asm-leon/param.h, sparc_leon/asm-leon/queue.h,
	sparc_leon/asm-leon/spinlock.h, sparc_leon/asm-leon/stack.h,
	sparc_leon/asm-leon/time.h, sparc_leon/asm-leon/timer.h,
	sparc_leon/asm-leon/types.h, sparc_leon/asm-leon/winmacros.h:
	New file.
	* sparc_leon/Makefile.in, sparc_leon/_exit.c,
	sparc_leon/amba.c, sparc_leon/amba_dbg.c,
	sparc_leon/amba_driver.c, sparc_leon/amba_scan.c,
	sparc_leon/asm-leon, sparc_leon/bdinit.S,
	sparc_leon/busscan.S, sparc_leon/cacheA.S,
	sparc_leon/catch_interrupt.c, sparc_leon/catch_interrupt_mvt.c,
	sparc_leon/catch_interrupt_pending.c, sparc_leon/catch_interrupt_svt.c,
	sparc_leon/configure.in,
	sparc_leon/console.c, sparc_leon/console_dbg.c,
	sparc_leon/console_init.c, sparc_leon/contextswitch.c,
	sparc_leon/contextswitch_asm.S, sparc_leon/crt0.S,
	sparc_leon/crti.S, sparc_leon/crtn.S,
	sparc_leon/etrap.S, sparc_leon/etrap_fast.S,
	sparc_leon/fpu.S, sparc_leon/gettimeofday.c,
	sparc_leon/initcalls.c, sparc_leon/io.c,
	sparc_leon/irqinstall.S, sparc_leon/irqtrap.S,
	sparc_leon/irqtrap_fast.S, sparc_leon/jiffies.c,
	sparc_leon/kernel.c, sparc_leon/kernel_context.S,
	sparc_leon/kernel_debug.c, sparc_leon/kernel_debug_var.c,
	sparc_leon/kernel_mm.c, sparc_leon/kernel_mutex.c,
	sparc_leon/kernel_queue.c, sparc_leon/kernel_sched.c,
	sparc_leon/kernel_thread.c, sparc_leon/lcpuinit.S,
	sparc_leon/locore.S, sparc_leon/locore_atexit.c,
	sparc_leon/locore_clean.S, sparc_leon/locore_mvt.S,
	sparc_leon/locore_mvt_reset.S, sparc_leon/locore_svt.S,
	sparc_leon/locore_svt_reset.S, sparc_leon/locore_svtdisp.S,
	sparc_leon/locore_var.S, sparc_leon/locore_var_svt.S,
	sparc_leon/mmu_asm.S, sparc_leon/mutex.c,
	sparc_leon/nocache.S, sparc_leon/pnpinit.c,
	sparc_leon/pnpinit_malloc.c, sparc_leon/pnpinit_simple.c,
	sparc_leon/regwin.S, sparc_leon/regwin_patch.c,
	sparc_leon/regwin_slow.S, sparc_leon/regwinflush.S,
	sparc_leon/rtc.c, sparc_leon/rtrap.S,
	sparc_leon/rtrap_fast.S, sparc_leon/stop.S,
	sparc_leon/timer.c, sparc_leon/times.c:
	New file
	* sparc_leon/configure: Regenerate

2011-12-13  Richard Earnshaw  <rearnsha@arm.com>
            Thomas Klein  <th.r.klein@web.de>

	* arm/crt0.S: Manually set the target architecture
	when compiling for Thumb1 on EABI targets.
	Avoid v6-only Thumb-1 MOV instruction.

2011-11-28  DJ Delorie  <dj@redhat.com>

	* configure.in: Add rl78.
	* configure: Regenerate.
	* rl78: New directory

2011-11-08  Mike Frysinger  <vapier@gentoo.org>

	* libnosys/Makefile.in (install): Use INSTALL_DATA.

2011-10-07  Nick Clifton  <nickc@redhat.com>

	* rx/crt0.S: Initialise the PID address register.
	(__pid_base): Define weakly.

2011-09-29  Matthew Gretton-Dann  <matthew.gretton-dann@arm.com>

	* arm/crt0.s: Support 0 heap base response from HeapInfo syscall.

2011-09-29  Bin Cheng  <bin.cheng@arm.com>

	* arm/arm.h (HAVE_CALL_INDIRECT): Define.
        * arm/crt0.S (indirect_call): New macro.  Encodes indirect
	function calls.  Does not use blx for pre-armv5 targets.

2011-08-19  Nick Clifton  <nickc@redhat.com>

	* iq2000/sim.ld (.gcc_except_table): Include .gcc_except_table.foo
	sections as well.

2011-08-08  Mike Stump <mikestump@comcast.net>

	* Makefile.in: Make stmp-bsp and install consistent with
	subdir_do target with regards to error handling.

2011-07-13  Bin Cheng <bin.cheng@arm.com>

	* arm/crt0.S: Support armv6-m processors in libgloss.
	* arm/swi.h: Likewise.
	* arm/trap.S: Likewise.
	* arm/redboot-crt0.S: Likewise.
	* arm/linux-crt0.c: Likewise.
	* arm/arm.h: New.

2011-07-01  Mike Frysinger  <vapier@gentoo.org>

	* bfin/syscalls.c (_getpid): Call do_syscall with func argument n and
	return the result.
	(_fstat): Delete stub body.  Add block array and assign file/st to it.
	Call do_syscall with result.
	(_stat): Delete stub body.  Add block array and assign fname/st to
	it.  Call do_syscall with result.
	(_link): Change func arguments to accept two strings.  Add block array
	and assign existing/new to it.  Call do_syscall with result.
	(_unlink): Change func arguments to accept a string.  Call do_syscall
	with new argument.

2011-07-01  Mike Frysinger  <vapier@gentoo.org>

	* bfin/syscalls.c (_lseek): Change 3rd arg name to whence.  Increase
	block array to 3 elements.  Set 3rd element to whence.

2011-06-29  Jeff Johnston  <jjohnstn@redhat.com>

	* arm/Makefile.in: Add $CFLAGS to compile commands for specified .o targets.

2011-06-22  Mike Frysinger  <vapier@gentoo.org>

	* bfin/syscalls.c (do_syscall): Delete local variable definitions.
	Declare result, result2, errcode local ints.  Delete asm inputs
	and outputs.  Set output constraints to q0/result, q1/result2, and
	q2/errcode.  Set input constraints to qA/reason and q0/arg.  Set
	errno to errcode.

2011-06-21  Mike Frysinger  <vapier@gentoo.org>

	* bfin/syscalls.c: Trim trailing whitespace.
	* bfin/crt0.S: Likewise.

2011-06-14  Joseph Myers  <joseph@codesourcery.com>

	* configure.in: Don't handle strongarm, ep9312 and xscale target
	names.
	* configure: Regenerate.
	* libnosys/configure.in: Don't handle strongarm and thumb target
	names.
	* libnosys/configure: Regenerate.

2011-05-27  Nick Clifton  <nickc@redhat.com>

	* v8500/sbrk.c (_sbrk): Tidy code.
	Base start of heap on the "heap_start" symbol.

2011-03-26  Mike Frysinger  <vapier@gentoo.org>

	* bfin/include/builtins.h (__builtin_raise): Change constraint to n.
	(__builtin_excpt): Likewise.

2011-03-26  Mike Frysinger  <vapier@gentoo.org>

	* bfin/Makefile.in (install-sim): Exit when install fails.
	(install-board): Likewise.

2011-03-24  Nick Clifton  <nickc@redhat.com>

	* xstormy16/crt0.s (_hwint): Fix .size directive.

	* frv/crt0.S (__frv_fix_usrptrs): Fix .size directive.

2011-03-21  Kevin Buettner  <kevinb@redhat.com>

	* v850/sys/syscall.h (SYS_rename): Define.

2011-01-10  Mike Frysinger  <vapier@gentoo.org>

	* Makefile.in (stmp-bsp): Exit when subdirs fail.
	(install): Likewise.

2010-12-02  Jayant Sonar  jayant.sonar@kpitcummins.com
	    Kaushik Phatak  kaushik.phatak@kpitcummins.com

	* configure.in: Add CR16 support.
	* configure: Regenerated.
	* cr16/aclocal.m4: New.
	* cr16/close.c: New.
	* cr16/configure: New.
	* cr16/configure.in: New.
	* cr16/crt1.S: New.
	* cr16/crti.S: New.
	* cr16/crtn.S: New.
	* cr16/dvz_hndl.c: New.
	* cr16/_exit.c: New.
	* cr16/flg_hndl.c: New.
	* cr16/fstat.c: New.
	* cr16/_getenv.c: New.
	* cr16/getpid.c: New.
	* cr16/iad_hndl.c: New.
	* cr16/intable.c: New.
	* cr16/isatty.c: New.
	* cr16/kill.c: New.
	* cr16/lseek.c: New.
	* cr16/Makefile.in: New.
	* cr16/open.c: New.
	* cr16/putnum.c: New.
	* cr16/read.c: New.
	* cr16/_rename.c: New.
	* cr16/sbrk.c: New.
	* cr16/sim.ld: New.
	* cr16/stat.c: New.
	* cr16/svc_hndl.c: New.
	* cr16/time.c: New.
	* cr16/und_hndl.c: New.
	* cr16/unlink.c: New.
	* cr16/write.c: New.

2010-11-17  Bernd Schmidt  <bernds@codesourcery.com>

	* tic6x/syscalls.c (cio_getclk_to_host, cio_getclk_from_host): New
	structs.
	(cio_to_host, cio_from_host): Use them.
	(clock): New function.

2010-10-17  Mike Frysinger  <vapier@gentoo.org>

	* bfin/include/blackfin.h, bfin/include/builtins.h,
	bfin/include/ccblkfn.h, bfin/include/cdefBF512.h,
	bfin/include/cdefBF514.h, bfin/include/cdefBF516.h,
	bfin/include/cdefBF518.h, bfin/include/cdefBF51x_base.h,
	bfin/include/cdefBF522.h, bfin/include/cdefBF523.h,
	bfin/include/cdefBF524.h, bfin/include/cdefBF525.h,
	bfin/include/cdefBF526.h, bfin/include/cdefBF527.h,
	bfin/include/cdefBF52x_base.h, bfin/include/cdefBF531.h,
	bfin/include/cdefBF532.h, bfin/include/cdefBF533.h,
	bfin/include/cdefBF534.h, bfin/include/cdefBF535.h,
	bfin/include/cdefBF536.h, bfin/include/cdefBF537.h,
	bfin/include/cdefBF538.h, bfin/include/cdefBF539.h,
	bfin/include/cdefBF53x.h, bfin/include/cdefBF542.h,
	bfin/include/cdefBF542M.h, bfin/include/cdefBF544.h,
	bfin/include/cdefBF544M.h, bfin/include/cdefBF547.h,
	bfin/include/cdefBF547M.h, bfin/include/cdefBF548.h,
	bfin/include/cdefBF548M.h, bfin/include/cdefBF549.h,
	bfin/include/cdefBF549M.h, bfin/include/cdefBF54x_base.h,
	bfin/include/cdefBF561.h, bfin/include/cdef_LPBlackfin.h,
	bfin/include/cdefblackfin.h, bfin/include/cplb.h,
	bfin/include/cplbtab.h, bfin/include/defBF512.h,
	bfin/include/defBF514.h, bfin/include/defBF516.h,
	bfin/include/defBF518.h, bfin/include/defBF51x_base.h,
	bfin/include/defBF522.h, bfin/include/defBF523.h,
	bfin/include/defBF524.h, bfin/include/defBF525.h,
	bfin/include/defBF526.h, bfin/include/defBF527.h,
	bfin/include/defBF52x_base.h, bfin/include/defBF531.h,
	bfin/include/defBF532.h, bfin/include/defBF533.h,
	bfin/include/defBF534.h, bfin/include/defBF535.h,
	bfin/include/defBF536.h, bfin/include/defBF537.h,
	bfin/include/defBF538.h, bfin/include/defBF539.h,
	bfin/include/defBF542.h, bfin/include/defBF542M.h,
	bfin/include/defBF544.h, bfin/include/defBF544M.h,
	bfin/include/defBF547.h, bfin/include/defBF547M.h,
	bfin/include/defBF548.h, bfin/include/defBF548M.h,
	bfin/include/defBF549.h, bfin/include/defBF549M.h,
	bfin/include/defBF54x_base.h, bfin/include/defBF561.h,
	bfin/include/defblackfin.h, bfin/include/sysreg.h,
	bfin/include/sys/anomaly_macros_rtl.h, bfin/include/sys/excause.h,
	bfin/include/sys/exception.h, bfin/include/sys/mc_typedef.h,
	bfin/include/sys/platform.h, bfin/include/sys/pll.h:
	Update to Visual DSP 5.0 Update 8.

2010-10-16  Mike Frysinger  <vapier@gentoo.org>

	* bfin/Makefile.in (BOARD_SCRIPTS): Add bf592.ld.
	* bfin/bf592: New linker scripts.
	* bfin/include/cdefBF592-A.h, bfin/include/cdefBF59x_base.h,
	bfin/include/defBF592-A.h, bfin/include/defBF59x_base.h: New files.
	* bfin/include/sys/_adi_platform.h: Include new bf592 headers.

2010-10-15  Mike Frysinger  <vapier@gentoo.org>

	* bfin/Makefile.in (BOARD_SCRIPTS): Add bf504.ld and bf506.ld.
	* bfin/bf504.ld, bfin/bf506.ld: New linker scripts.
	* bfin/include/cdefBF504.h, bfin/include/cdefBF504F.h,
	bfin/include/cdefBF506F.h, bfin/include/cdefBF50x_base.h,
	bfin/include/defBF504.h, bfin/include/defBF504F.h,
	bfin/include/defBF506F.h, bfin/include/defBF50x_base.h: New files.
	* bfin/include/def_LPBlackfin.h: Add DMC_P for __ADSPBF50x__.
	* bfin/include/sys/_adi_platform.h: Include new bf50x headers.

2010-10-15  Stuart Henderson  <stuart.henderson@analog.com>

	* bfin/bfin-common-mc.ld: Add .l1.data and .l1.text input sections.
	* bfin/bfin-common-sc.ld: Likewise.

2010-10-15  Mike Frysinger  <vapier@gentoo.org>

	* bfin/include/sys/_adi_platform.h: Remove __ADSPBF541__.
	* bfin/include/cdefBF541.h, bfin/include/defBF541.h: Punt.

2010-10-08  Bernd Schmidt  <bernds@codesourcery.com>
	Joseph Myers  <joseph@codesourcery.com>

	* configure.in: Handle tic6x targets.
	* configure: Regenerate.
	* tic6x/Makefile.in, tic6x/configure.in, tic6x/crt0.S,
	tic6x/getpid.c, tic6x/kill.c, tic6x/sbrk.c, tic6x/syscalls.c: New.
	* tic6x/configure: New (generated).

2010-10-02  Anthony Green  <green@moxielogic.com>

	* moxie/Makefile.in (QEMU_OBJS): Add missing object files to the
	qemu support library.

2010-10-02  Anthony Green  <green@moxielogic.com>

	* moxie/crt0.S (_start): Minor optimizations to __start.

2010-09-23  Mike Frysinger  <vapier@gentoo.org>
	    Corinna Vinschen  <vinschen@redhat.com>

	* doc/porting.texi: Fix typos.

2010-09-22  Mike Frysinger  <vapier@gentoo.org>

	* README: Add bfin to the list.

2010-08-27  Christophe Lyon  <christophe.lyon@st.com>

	* syscalls.c (_isatty): Fix return value.

2010-07-23  Naveen.H.S  <naveenh1@kpitcummins.com>
            Gina Verlekar <gina.verlekar@kpitcummins.com>

        Moving files from newlib/libc/sys/sysnecv850 to v850

        * libnosys/configure: Regenerated.
        * libnosys/configure.in: Compact v850 support to v850*-*-*.
        * libnosys/configure: Regenerated.
        * configure.in: Add libgloss support for v850.
        * configure: Regenerated.
        * v850/access.c: New file.
        * v850/aclocal.m4: New.
        * v850/chmod.c: New.
        * v850/chown.c: New.
        * v850/close.c: New.
        * v850/configure: New.
        * v850/configure.in: New.
        * v850/crt0.S: New.
        * v850/crt1.c: New.
        * v850/execv.c: New.
        * v850/execve.c: New.
        * v850/_exit.c: New.
        * v850/fork.c: New.
        * v850/fstat.c: New.
        * v850/getpid.c: New.
        * v850/gettime.c: New.
        * v850/isatty.c: New.
        * v850/kill.c: New.
        * v850/link.c: New.
        * v850/lseek.c: New.
        * v850/Makefile.in: New.
        * v850/open.c: New.
        * v850/pipe.c: New.
        * v850/read.c: New.
        * v850/sbrk.c: New.
        * v850/sim.ld: New.
        * v850/stat.c: New.
        * v850/time.c: New.
        * v850/times.c: New.
        * v850/trap.S: New.
        * v850/unlink.c: New.
        * v850/utime.c: New.
        * v850/wait.c: New.
        * v850/write.c: New.

2010-07-19  Rafael Campos  <methril@gmail.com>

	* m68k/cf-crt1.c (hardware_init_hook): Accommodate new family
	__mcf_family_51 since gcc 4.5.1.

2010-06-29  Nick Clifton  <nickc@redhat.com>

	* xstormy16/eva_app.ld (.gcc_except_table): Include sections with
	the .gcc_except_table. prefix.
	* xstormy16/eva_stub.ld: Likewise.
	* xstormy16/sim_high.ld: Likewise.
	* xstormy16/sim_low.ld: Likewise.

2010-05-03  Michael Eager <eager@eagercon.com>

	* rs6000/Makefile.in: Remove xil-exit.o.

2010-02-08  Conny Marco Menebrocker <c-m-m@gmx.de>

	* xc16x/xc16x.mt: New file.
	* xc16x/configure.in: Add target_makefile_frag reference.
	* xc16x/configure: Regenerated.

2009-12-17  Jeff Johnston  <jjohnstn@redhat.com>

	* mn10300/Makefile.in: Add mkdir call to make installation
	directory when installing.

2009-12-16  Conny Marco Menebrocker <c-m-m@gmx.de>

	* xc16x/Makefile.in: Remove extraneous stuff
	brought in by copy.
	* xc16x/configure.in: Ditto.
	* xc16x/configure: Regenerated.

2009-12-10  Conny Marco Menebrocker <c-m-m@gmx.de>

	* configure.in: Add xc16x support.
	* configure: Regenerated.
	* xc16x/Makefile.in: New file for xc16x port.
	* xc16x/aclocal.m4: Ditto.
	* xc16x/close.S: Ditto.
	* xc16x/configure: Ditto.
	* xc16x/configure.in: Ditto.
	* xc16x/create.c: Ditto.
	* xc16x/crt0.S: Ditto.
	* xc16x/fstat.S: Ditto.
	* xc16x/getchar1.c: Ditto.
	* xc16x/isatty.c: Ditto.
	* xc16x/lseek.c: Ditto.
	* xc16x/mem-layout.c: Ditto.
	* xc16x/misc.c: Ditto.
	* xc16x/open.c: Ditto.
	* xc16x/read.c: Ditto.
	* xc16x/sbrk.c: Ditto.
	* xc16x/syscalls.c: Ditto.
	* xc16x/trap_handle.c: Ditto.
	* xc16x/write.c: Ditto.
	* xc16x/sys/syscall.h: Ditto.

2009-11-25  DJ Delorie  <dj@redhat.com>

	* rx/rx.ld: Place .sbss properly.
	* rx/rx-sim.ld: Likewise.

2009-10-26  DJ Delorie  <dj@redhat.com>

	* configure.in: Add support for RX sub-directory.
	* configure: Regenerate.
	* rx: New directory.
	* rx/*: New files to support RX architecture.

2009-10-26  Nick Clifton  <nickc@redhat.com>

	* arm/linux-syscalls0.S (SYSCALL0, SYSCALL3, SYSCALL6, SYSCALL4):
	Delete Thumb definitions - the ARM versions work correctly in
	Thumb mode.

2009-10-08  Jie Zhang  <jie.zhang@analog.com>

	* bfin/Makefile.in (basiccrt.o, basiccrts.o): Use
	-mcpu=bf532-any for the default multilib.

2009-09-28  Michael Eager <eager@eagercon.com>

	* configure.in: Add microblaze-*-*.
	* configure: Add microblaze-*-* (not regenerated.)
	* microblaze: NEW microblaze target directory.
	* microblaze/configure.in: NEW.
	* microblaze/configure: Generate.
	* microblaze/Makefile.in: NEW.
	* microblaze/{crt0.S, crt1.S, crt2.S, crt3.S, crt4.S, crtinit.S}: NEW.
	* microblaze/{pgcrtinit.S, _program_clean.S, _program_init.S,
	sbrk.c, sim-crtinit.S, sim-pgcrtinit.S, timer.c, _exception_handler.S,
	_hw_exception_handler.S, _interrupt_handler.S, xil_malloc.c,
	nnxil_printf.c, xil_sbrk.c: NEW.
	* microblaze/xilinx.ld: NEW.

2009-09-21  Ken Werner  <ken.werner@de.ibm.com>

        * spu/getpagesize.c: Align getpagesize implementation to POSIX

2009-09-16  Mike Frysinger  <michael.frysinger@analog.com>

	* bfin/include/cdefBF512.h, bfin/include/cdefBF514.h,
	bfin/include/cdefBF516.h, bfin/include/cdefBF518.h,
	bfin/include/cdefBF51x_base.h, bfin/include/cdefBF523.h,
	bfin/include/cdefBF524.h, bfin/include/cdefBF526.h,
	bfin/include/cdefBF542M.h, bfin/include/cdefBF544M.h,
	bfin/include/cdefBF547M.h, bfin/include/cdefBF548M.h,
	bfin/include/cdefBF549M.h, bfin/include/defBF512.h,
	bfin/include/defBF514.h, bfin/include/defBF516.h,
	bfin/include/defBF518.h, bfin/include/defBF51x_base.h,
	bfin/include/defBF523.h, bfin/include/defBF524.h,
	bfin/include/defBF526.h, bfin/include/defBF542M.h,
	bfin/include/defBF544M.h, bfin/include/defBF547M.h,
	bfin/include/defBF548M.h, bfin/include/defBF549M.h:
	New file.
	* bfin/include/ccblkfn.h, bfin/include/cdefBF525.h,
	bfin/include/cdefBF527.h, bfin/include/cdefBF52x_base.h,
	bfin/include/cdefBF532.h, bfin/include/cdefBF534.h,
	bfin/include/cdefBF535.h, bfin/include/cdefBF538.h,
	bfin/include/cdefBF539.h, bfin/include/cdefBF542.h,
	bfin/include/cdefBF544.h, bfin/include/cdefBF547.h,
	bfin/include/cdefBF548.h, bfin/include/cdefBF549.h,
	bfin/include/cdefBF54x_base.h, bfin/include/cdefBF561.h,
	bfin/include/cdefblackfin.h, bfin/include/cdef_LPBlackfin.h,
	bfin/include/cplb.h, bfin/include/defBF527.h,
	bfin/include/defBF52x_base.h, bfin/include/defBF532.h,
	bfin/include/defBF534.h, bfin/include/defBF535.h,
	bfin/include/defBF537.h, bfin/include/defBF538.h,
	bfin/include/defBF539.h, bfin/include/defBF542.h,
	bfin/include/defBF544.h, bfin/include/defBF547.h,
	bfin/include/defBF548.h, bfin/include/defBF549.h,
	bfin/include/defBF54x_base.h, bfin/include/defBF561.h,
	bfin/include/defblackfin.h, bfin/include/def_LPBlackfin.h,
	bfin/include/sys/_adi_platform.h,
	bfin/include/sys/anomaly_macros_rtl.h,
	bfin/include/sys/exception.h, bfin/include/sysreg.h:
	Update to Visual DSP 5.0 Update 6.

2009-09-16  Mike Frysinger  <michael.frysinger@analog.com>

	* bfin/Makefile.in (BOARD_SCRIPTS): Add bf512.ld, bf514.ld,
	and bf516.ld, bf518.ld.
	* bfin/bf512.ld: New file.
	* bfin/bf514.ld: Likewise.
	* bfin/bf516.ld: Likewise.
	* bfin/bf518.ld: Likewise

2009-09-16  Jie Zhang  <jie.zhang@analog.com>

	* bfin/*.ld: Fix typos in comments.

2009-09-08  Bernd Schmidt  <bernd.schmidt@analog.com>

	* bfin/include/ccblkfn.h: New file.

2009-09-08  Mike Frysinger  <michael.frysinger@analog.com>

	* bfin/include/sys/_adi_platform.h: Convert __ASSEMBLY__ to
	__ASSEMBLER__.
	* bfin/include/sys/pll.h: Likewise

2009-09-08  Jie Zhang  <jie.zhang@analog.com>

	* bfin/Makefile.in (basiccrt.o, basiccrts.o): Don't use
	-mcpu=bf532-any for the default multilib.

2009-07-28  DJ Delorie  <dj@redhat.com>

	* mep/gmap_default.ld: Add linkonce sections for .vtext.
	* mep/default.ld: Likewise.
	* mep/fmax.ld: Likewise.
	* mep/simple.ld: Likewise.

2009-07-14  DJ Delorie  <dj@redhat.com>

	* mep/syscalls.S (sysret): Maintain 16-byte stack alignment.

2009-07-08  DJ Delorie  <dj@redhat.com>

	* m32c/sbrk.c (sbrk): Change to take ptrdiff_t, not int.

2009-07-01  Anthony Green  <green@moxielogic.com>

	* moxie/crt0.S (_start): Clear BSS at startup.  Register _fini()
	with atexit().
	* moxie/sim-open.S: Fix comment.

2009-06-19  Joseph Myers  <joseph@codesourcery.com>

	* Makefile.in (html, pdf): New.
	* doc/Makefile.in (html, pdf, porting.pdf, porting.html): New.
	* doc/porting.texi: Fix section structure.

2009-06-17  Michael Eager <eager@eagercon.com>

	* rs6000/Makefile.in: Add xilinx support.
	* rs6000/xil-crt0.s: New crt0 file for powerpc-xilinx-eabi.
	* rs6000/xilinx.ld: New file.
	* rs6000/xilinx440.ld: Ditto.

2009-05-13  Ken Werner  <ken.werner@de.ibm.com>

	* configure.in: Introduce config_libnosys flag which defaults to true.
	* configure: Regenerate.

2009-05-13  Ulrich Weigand  <uweigand@de.ibm.com>

	* spu/crtn.S: Add dummy to ensure nothing gets linked at address 0.
	* spu/crti.S: Remove nop.

2009-05-08  Nick Clifton  <nickc@redhat.com>

	* mn10300/sim.ld: Add missing section names such as .bss.*
	.text.*, etc.  General tidy up.

2009-05-07  Ken Werner  <ken.werner@de.ibm.com>

	* spu/configure.in: Fix multilib support.
	* spu/configure: Regenerate.
	* spu/Makefile.in: Add CFLAGS_FOR_TARGET.

2009-04-29  Anthony Green  <green@moxielogic.com>

	* moxie/moxie-elf-common.ld: Move default stack out to accommodate
	large GCC tests.

2009-04-22  Anthony Green  <green@moxielogic.com>

	* configure.in: Add moxie support.
	* configure: Regenerate.
	* moxie/aclocal.m4, moxie/configure, moxie/configure.in,
	moxie/crt0.S, moxie/fstat.c, moxie/getpid.c, isatty.c,
	moxie/kill.c, moxie/Makefile.in, moxie/moxie-elf-common.ld,
	moxie/print.c, moxie/putnum.c, moxie/qemu.ld, moxie/qemu-time.c,
	moxie/qemu-write.c, moxie/sbrk.c, moxie/sim-close.S, 
	moxie/sim-exit.S,
	moxie/sim-inbyte.c, moxie/sim.ld, moxie/sim-lseek.c,
	moxie/sim-lseek.S, moxie/sim-open.S, moxie/sim-read.S, moxie/sim-time.c,
	moxie/sim-unlink.S, moxie/sim-write.S, moxie/stat.c: New files.

2009-04-22  DJ Delorie  <dj@redhat.com>

	* mep/sim-crt0.S (_start): Fix typo.

2009-04-21  DJ Delorie  <dj@redhat.com>

	* mep/Makefile.in (SCRIPTS): Update to new config.
	* mep/default.ld: New.
	* mep/gmap_default.ld: Change default endian to little.
	* mep/sim-crt0.S: Maintain 8-byte stack alignment.
	* mep/sim-crtn.S: Likewise.

2009-04-03  Ken Werner  <ken.werner@de.ibm.com>

	* spu/Makefile.in: Add new files.
	* spu/times.c: New File.
	* spu/getitimer.c: Likewise.
	* spu/setitimer.c: Likewise.

2009-04-03  Ken Werner  <ken.werner@de.ibm.com>

	* spu/Makefile.in: Add linux_getpid.o and linux_gettid.o.
	* spu/linux_getpid.c: New file.
	* spu/linux_gettid.c: New file.

2009-04-03  Ken Werner  <ken.werner@de.ibm.com>

	* spu/crt0.S (_start): Place spu_id in the first agument register.

2009-03-16  Jeff Johnston  <jjohnstn@redhat.com>

	* m32r/m32r-stub.c: Replace with one from newer version of gdb.

2009-01-07  Ben Elliston  <bje@au.ibm.com>

	* Makefile.in (all): Add `+' to the command line so that the
	command is always treated as $(MAKE).
	* doc/Makefile.in (datarootdir): Define.

2008-12-17  Jon Beniston <jon@beniston.com>

	* README: Add description of lm32 directory.
	* configure.in: Add lm32 target.        
	* configure: Regenerated.
	* libnosys/configure.in: Add lm32 target.
	* libnosys/configure: Regenerated.
	* lm32: New directory.
	* lm32/aclocal.m4: New file.
	* lm32/Makefile.in: New file.
	* lm32/configure.in: New file.
	* lm32/configure: New file.
	* lm32/crt0.S: New file.
	* lm32/isatty.c: New file.
	* lm32/scall.S: New file.
	* lm32/sim.ld: New file.

2008-12-11  Ken Werner  <ken.werner@de.ibm.com>

	* spu/crt0.S: Call __monstartup if profiling is enabled.
	* spu/Makefile.in: Add gcrt1.o gcrt2.o.

2008-12-06  Adam Nemet  <anemet@caviumnetworks.com>

	* mips/idt32.ld: Set arch to mips:isa32r2 from mips:isa32.  Update
	comment.

2008-12-05  Adam Nemet  <anemet@caviumnetworks.com>

	* mips/idt64.ld: Set arch to mips:isa64r2 from mips:isa64.  Update
	comment.

2008-11-20  Ken Werner  <ken.werner@de.ibm.com>
            Patrick Mansfield  <patmans@us.ibm.com>
            Joel Schopp   <jschopp@austin.ibm.com>

	* spu/Makefile.in: Add new files.
	* spu/jsre.h: Add JSRE_MMAP, JSRE_MREMAP, JSRE_MSYNC and
	JSRE_MUNMAP opcodes.
	* spu/mmap_eaddr.c: New File.
	* spu/mremap_eaddr.c: Likewise.
	* spu/msync_eaddr.c: Likewise.
	* spu/munmap_eaddr.c: Likewise.

2008-11-17  Jeff Johnston  <jjohnstn@redhat.com>

	* m32r/Makefile.in: Add building m32r-stub.o from local copy instead
	of up and over in gdb.
	* m32r/m32r-stub.c: New file copied from gdb.

2008-10-06  Bill Tompkins  <bill+newlib@key-square.com>

	* arm/crt0.S: Fix calling hardware_init_hook() or software_init_hook()
	under thumb and thumb2.

2008-09-24  DJ Delorie  <dj@redhat.com>

	* m32c/varvects.S: New.
	* m32c/varvects.h: New.
	* m32c/sample.c: New.
	* m32c/Makefile.in: Add m32cgloss library support.
	* m32c/crt0.S: Tweaks to support interrupts by default.
	* m32c/m32c.tmpl: Likewise.

2008-09-10  Ken Werner  <ken.werner@de.ibm.com>

	* spu/dirfuncs.c: Avoid warnings.
	* spu/kill.c: Likewise.

2008-09-04  Ken Werner  <ken.werner@de.ibm.com>

	* spu/Makefile.in: Fix missing linux_syscalls.o.
	* spu/linux_syscalls.c: Remove extraneous "3D" sequences.

2008-08-14  Jie Zhang  <jie.zhang@analog.com>

	* bfin/Makefile.in: (top_srcdir): Define.
	(mkinstalldirs): Define.
	(BOARD_SCRIPTS): Define.
	(BOARD_LDFLAGS): Define.
	(BOARD_BSP): Define.
	(BOARD_CRT0S): Define.
	(BOARD_OBJS): Define.
	(BOARD_TEST): Define.
	(BOARD_INSTALL): Define.
	(INCLUDES): Add -I$(srcdir)/include.
	(all): Add ${BOARD_CRT0S} and ${BOARD_BSP}.
	(.c.S): Remove target.
	(crt0.o): New target.
	(basiccrt.o): Likewise.
	(basiccrtb.o): Likewise.
	(basiccrts.o): Likewise.
	(basiccrt561.o, basiccrt561s.o, basiccrt561b.o): Likewise
	(clean mostlyclean): Remove ${BOARD_BSP}.
	(install): Depend on ${BOARD_INSTALL}.
	(install-sim): Reformat.
	(install-board): New target.
	* bfin/basiccrt.S: Remove useless __ADSPBF561_COREB__ in
	workaround code for 05000229.
	* bfin/syscalls.c (do_syscall): Use `EXCPT 0' instead of
	`RAISE 0' for syscall.
	* bfin/basiccrt.S: New file.
	* bfin/bf5*ld: New file.
	* bfin/bfin-common-mc.ld: New file.
	* bfin/bfin-common-sc.ld: New file.
	* bfin/include/blackfin.h: New file.
	* bfin/include/cdefBF5*.h: New file.
	* bfin/include/cdef_LPBlackfin.h: New file.
	* bfin/include/cdefblackfin.h: New file.
	* bfin/include/cplb.h: New file.
	* bfin/include/cplbtab.h: New file.
	* bfin/include/defBF5*.h: New files.
	* bfin/include/def_LPBlackfin.h: New files.
	* bfin/include/defblackfin.h: New file.
	* bfin/include/sys/_adi_platform.h: New file.
	* bfin/include/sys/anomaly_macros_rtl.h: New file.
	* bfin/include/sys/excause.h: New file.
	* bfin/include/sys/exception.h: New file.
	* bfin/include/sys/mc_typedef.h: New file.
	* bfin/include/sys/platform.h: New file.
	* bfin/include/sys/pll.h: New file.
	* bfin/include/sysreg.h: New file.
	* libnosys/configure.in (MISSING_SYSCALL_NAMES): Don't define
	for bfin.
	* libnosys/configure: Regenerate.

2008-07-17  Ken Werner  <ken.werner@de.ibm.com>

	* spu/syscalls.c: Check and set the errno value.

2008-06-17  Ken Werner  <ken.werner@de.ibm.com>

	* spu/Makefile.in: Add new file.
	* spu/linux_syscalls.c: New file to add Linux syscall support.
		
2008-06-16  Corrin Meyer  <cjmeyer@gmail.com>

	* m68k/cf-crt1.c[__mcf_family_m1qe]: Don't access CACR.

2008-05-20  Nick Clifton  <nickc@redhat.com>

	* iq2000/crt0.S (__dso_handle): Define (weak).
	* frv/crt0.S (__dso_handle): Define (weak).
	* mn10300/crt0.S (___dso_handle): Define (weak).

2008-05-05  Ken Werner  <ken.werner@de.ibm.com>

	* spu/readlink.c: Align readlink implementation to POSIX.
	
2008-04-25  Nick Clifton  <nickc@redhat.com>

	* arm/crt0.S: Allow assembly under ARMv7 ISA.  Support for
	initializing stack pointers for interrupt modes is still pending.

2008-04-14  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/sbrk.c: Remove "extern int errno", use whatever is supplied
	by sys/errno.h.
		  
2008-04-04  DJ Delorie  <dj@redhat.com>

	* hp74x/configure: Regenerate with autoconf 2.61.
	* fr30/configure: Regenerate with autoconf 2.61.
	* mips/configure: Regenerate with autoconf 2.61.
	* xstormy16/configure: Regenerate with autoconf 2.61.
	* rs6000/configure: Regenerate with autoconf 2.61.
	* d30v/configure: Regenerate with autoconf 2.61.
	* i386/configure: Regenerate with autoconf 2.61.
	* configure: Regenerate with autoconf 2.61.
	* wince/configure: Regenerate with autoconf 2.61.
	* pa/configure: Regenerate with autoconf 2.61.
	* m32r/configure: Regenerate with autoconf 2.61.
	* mn10200/configure: Regenerate with autoconf 2.61.
	* iq2000/configure: Regenerate with autoconf 2.61.
	* cris/configure: Regenerate with autoconf 2.61.
	* m68k/configure: Regenerate with autoconf 2.61.
	* spu/configure: Regenerate with autoconf 2.61.
	* m32c/configure: Regenerate with autoconf 2.61.
	* mn10300/configure: Regenerate with autoconf 2.61.
	* i960/configure: Regenerate with autoconf 2.61.
	* arm/configure: Regenerate with autoconf 2.61.
	* libnosys/configure: Regenerate with autoconf 2.61.
	* m68hc11/configure: Regenerate with autoconf 2.61.
	* bfin/configure: Regenerate with autoconf 2.61.
	* crx/configure: Regenerate with autoconf 2.61.
	* mt/configure: Regenerate with autoconf 2.61.
	* sparc/configure: Regenerate with autoconf 2.61.
	* sparc/libsys/configure: Regenerate with autoconf 2.61.
	* mcore/configure: Regenerate with autoconf 2.61.
	* mep/configure: Regenerate with autoconf 2.61.
	* frv/configure: Regenerate with autoconf 2.61.
	* doc/configure: Regenerate with autoconf 2.61.

2008-01-10  DJ Delorie  <dj@redhat.com>

	* m32c/exit.S (__exit): preserve both argument registers.

2008-01-03  Jeff Johnston  <jjohnstn@redhat.com>

	* arm/redboot-syscalls.c: Consistently supply _isatty if syscalls
	dir is used in newlib.
	* bfin/syscalls.c: Ditto.
	* cris/gensyscalls: Ditto.
	* fr30/syscalls.c: Ditto.
	* frv/isatty.c: Ditto.
	* iq2000/isatty.c: Ditto.
	* libnosys/isatty.c: Ditto.
	* m32r/isatty.c: Ditto.
	* mn10200/isatty.c: Ditto.
	* mn10300/isatty.c: Ditto.
	* xstormy16/isatty.c: New file with _isatty function.

2007-12-01  Hans-Peter Nilsson  <hp@axis.com>

	* cris/Makefile.in (crt0.o): Add CFLAGS when compiling crt0.S.

2007-11-06  Dave Brolley  <brolley@redhat.com>
 
	* syscall.h (SYS_reconfig): New macro.

2007-10-11  Ulrich Weigand  <uweigand@de.ibm.com>

	* spu/crt0.S: Fix so element one of register one is correctly set
	when compiled with -mstdmain and -fstack-check.

2007-10-02  Markus Deuling  <deuling@de.ibm.com>

	* spu/crt0.S: Initialize __ea_local_store (EA address of the LS)
	  via register 6.

2007-10-01  Markus Deuling  <deuling@de.ibm.com>

	* spu/Makefile.in: add dependencies for crt files.

2007-10-01  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/sbrk.c: Use the current stack pointer value rather than the
	maximum available memory to determine the amount of heap space
	left. Without this change calling sbrk() can allocate space that
	is currently in use on the stack.

2007-09-26  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/sched_yield.c: New file (missed on 2007-09-21).

2007-09-21  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/Makefile.in: Add new files.
	* spu/jsre.h: Add JSRE_PREAD, JSRE_PWRITE, JSRE_READV, and
	JSRE_WRITEV opcodes.
	* spu/pread.c: New file to add pread via assist call.
	* spu/pwrite.c: New file to add pwrite via assist call.
	* spu/readv.c: New file to add readv via assist call.
	* spu/writev.c: New file to add writev via assist call.

2007-09-21  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/jsre.h: Add JSRE_SCHED_YIELD, JSRE_UMASK, JSRE_UTIME, and
	JSRE_UTIMES.
	* spu/sched_yield.c: New file add sched_yield via assist call.
	* spu/umask.c: New file add umask via assist call.
	* spu/utime.c: New file add utime via assist call.
	* spu/utimes.c: New file add utimes via assist call.
	* spu/Makefile.in: Add new files.
							
2007-09-21  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/jsre.h: Add JSRE_SHM_OPEN and JSRE_SHM_UNLINK opcodes.
	* spu/shm_open.c: New file to add shm_open via assist call.
	* spu/shm_unlink.c: New file to add shm_unlink via assist call.
	* spu/Makefile.in: Add shm_open.o and shm_unlink.o

2007-09-21  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/dirfuncs.c: New file, holds the opendir, closedir, readdir,
	rewinddir, seekdir and telldir implementations. These are
	grouped in one file so that we do not need a separate file for
	the struct dirent and DIR allocation code.
	* spu/jsre.h: Add JSRE_OPENDIR and other dir opcodes.
	* spu/Makefile.in: Add dirfuncs.o.

2007-08-13  Carlos O'Donell  <carlos@codesourcery.com>

	* arm/crt0.S: Remove '.set' for __stack, hardware_init_hook,
	and software_init_hook.

2007-08-10  Carlos O'Donell  <carlos@codesourcery.com>

	2007-07-12  Daniel Jacobowitz  <dan@codesourcery.com>

	* arm/syscalls.c (_stat): Use _close
	
	* arm/syscalls.c (struct poslog): Rename to...
	(struct fdent): ... this.
	(FILE_HANDLE_OFFSET): Remove.
	(findslot): Return a struct fdent* if fd is valid, otherwise return NULL.  
	(newslot): New function.  
	(remap_handle): Remove.  
	(initialise_monitor_handles): Use stdout as fallback for stderr.  
	(wrap): Rename to...  
	(checkerror): ...  this.  
	(_swiread): Use checkerror() for the return of SWI calls.  Correct the use of r0.  
	(_read): Use findslot().  Return EBADF on bad handle.  
	(_swilseek): Call findslot().  Check for valid whence.  Check for negative offset when using 
	SEEK_CUR, and check for overflow.  Use checkerror().  Check *_Flen calls for errors.  
	(_swiwrite): Correct the use of r0.  
	(_write): Call findslot().  
	(_swiopen): Call findslot().  Check for valid flags.  Use checkerror().  Call newslot().  
	Handle O_TRUNC, and O_WRONLY.  Return index into openfiles[] for fd.  
	(_swiclose): Correct the use of r0.  
	(_close): Handle stderr == stdout case.  Only reclaim handle if _swiclose succeeded.  
	(_getpid): Use __attribute__((unused)).  
	(_sbrk): Fix formatting.  
	(_swistat): New function.  
	(_stat): Call _swistat().  
	(_fstat): Call _swistat().  
	(_unlink): Correct the use of r0.  
	(isatty): Call finslot().  Correct the use of r0.  
	(_system): Call checkerror().  Correct the use of r0.  
	(_rename): Correct the use of r0.  
	
2007-07-13  Kevin Buettner  <kevinb@redhat.com> 

	* mep/fmax.ld, mep/gmap_default.ld, mep/min.ld, mep/simple.ld (.gcc_except_table): Add pattern 
	for .gcc_except_table.*.  
					
2007-07-06  Jeff Johnston  <jjohnstn@redhat.com>

	* arm/syscalls.c (gettimeofday): Change to POSIX signature
	where second argument is passed as void *.
	* bfin/syscalls.c (gettimeofday): Ditto.
	* cris/gensyscalls (gettimeofday): Ditto.
	* cris/linunistd.h (gettimeofday): Ditto.
	* crx/time.c (gettimeofday): Ditto.
	* frv/sim-time.c (gettimeofday): Ditto.
	* i386/cygmon-salib.c (gettimeofday): Ditto.
	* libnosys/gettod.c (gettimeofday): Ditto.
	* m68k/io-gettimeofday.c (gettimeofday): Ditto.
	* sparc/cygmon-salib.c (gettimeofday): Ditto.
	* spu/gettimeofday.c (gettimeofday): Ditto.

2007-06-20  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/jsre.h: Add JSRE_MKSTEMP and JSRE_MKTEMP values.
	* spu/mkstemp.c: New file to add mkstemp support via assist call.
	* spu/mktemp.c: New file to add mktemp support via assist call.
	* spu/Makefile.in: Add mkstemp.o and mktemp.o

2007-06-20  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/jsre.h: Add new JSRE opcodes.
	* spu/dup2.c: New file to add dup2 support via assist call.
	* spu/fdatasync.c: New file to add fdatasync support via assist call.
	* spu/fsync.c: New file to add fsync support via assist call.
	* spu/lockf.c: New file to add lockf support via assist call.
	* spu/sync.c: New file to add sync support via assist call.
	* spu/truncate.c: New file to add truncate support via assist call.
	* spu/Makefile.in: Add new files.

2007-06-20  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/jsre.h: JSRE_LINK, JSRE_SYMLINK and JSRE_READLINK.
	* spu/link.c: New file to add link support via an assist call.
	* spu/readlink.c: New file to add readlink support via an assist call.
	* spu/symlink.c: New file to add symlink support via an assist call.
	* spu/Makefile.in: Add new files.

2007-06-20  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/jsre.h: Add JSRE_LSTAT.
	* spu/lstat.c: New file add lstat support via an assist call.
	* spu/conv_stat.c: New file, add common stat conversion code.
	* spu/fstat.c: Use __conv_stat.
	* spu/stat.c: Use __conv_stat.
	* spu/Makefile.in: Add conv_stat.o and lstat.o.

2007-06-20  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/jsre.h: Add JSRE_GETCWD.
	* spu/getcwd.c: New file, implement getcwd with help from an
	assist call.
	* spu/Makefile.in: Add getcwd.

2007-06-20  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/jsre.h: Add defines for new assist calls.
	* spu/chdir.c: New file, support chdir via assist call.
	* spu/chmod.c: New file, support chmod via assist call.
	* spu/chown.c: New file, support chown via assist call.
	* spu/fchdir.c: New file, support fchdir via assist call.
	* spu/fchmod.c: New file, support fchmod via assist call.
	* spu/fchown.c: New file, support fchown via assist call.
	* spu/lchown.c: New file, support lchown via assist call.
	* spu/mkdir.c: New file, support mkdir via assist call.
	* spu/mknod.c: New file, support mknod via assist call.
	* spu/rmdir.c: New file, support rmdir via assist call.
	* spu/Makefile.in: Add new files.

2007-06-20  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/getpagesize.c: New file add getpagesize via an assist call.
	* spu/jsre.h: Add JSRE_GETPAGESIZE.
	* spu/Makefile.in: Add getpagesize.

2007-06-13  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/Makefile.in: Add nanosleep.c.
	* spu/jsre.h: Add JSRE_NANOSLEEP.
	* spu/nanosleep.c: New file, supply nanosleep via an assist call.

2007-06-05  Patrick Mansfield  <patman@us.ibm.com>

	* spu/jsre.h: Remove the assist call structs and defines that are
	specific to one assist call from here.
	* spu/access.c: Move struct syscall_access_t to here.
	* spu/fstat.c: Move struct syscall_fstat_t to here.
	* spu/ftruncate.c: Move struct syscall_ftruncate_t to here.
	* spu/gettimeofday.c: Move struct syscall_gettimeofday_t to here.
	* spu/lseek.c: Move struct syscall_lseek_t and JSRE_SEEK defines to 
	here.
	* spu/open.c: Move struct syscall_open_t and JSRE_O_ defines to here.
	* spu/read.c: Move struct syscall_read_t to here, and actually use
	it (it is the same as syscall_write_t).
	* spu/stat.c: Move struct syscall_stat_t to here.
	* spu/write.c: Move struct syscall_write_t to here.
	* spu/close.c: Pass the address of the first and only argument to
	__send_to_ppe rather than using an automatic variable and a
	special struct.
	* spu/dup.c: Ditto.
	* spu/unlink.c: Ditto.

2007-05-30  Kazu Hirata  <kazu@codesourcery.com>

	* m68k/cf-crt1.C, m68k/cf.sc, m68k/fido.sc, m68k/fido-crt0.S:
	Replace __INIT_SECTION__ and __FINI_SECTION__ with _init and
	_fini, respectively.

2007-05-23 Patrick Mansfield <patmans@us.ibm.com>

	* spu/syscalls.c: Change __send_to_ppe to return the result stored
	in stored in slot 0 of the data, rather than have each assisted
	call retrieve the value.
	* spu/jsre.h: Remove the now unused syscall_out_t.
	* spu/access.c: Use the __send_to_ppe result instead of the slot 0
	value, remove unused syscall_out_t variable.
	* spu/close.c: Ditto.
	* spu/dup.c: Ditto.
	* spu/fstat.c: Ditto.
	* spu/ftruncate.c: Ditto.
	* spu/gettimeofday.c: Ditto.
	* spu/lseek.c: Ditto.
	* spu/open.c: Ditto.
	* spu/read.c: Ditto.
	* spu/stat.c: Ditto.
	* spu/unlink.c: Ditto.
	* spu/write.c: Ditto.

2007-05-23  Kazu Hirata  <kazu@codesourcery.com>

	* m68k/fido.sc (.data): Move .jcr to .text.  Catch .got.plt
	and .got.

2007-05-07  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/open.c: Unconditionally set the "mode" to fix a bug where
	mode was not properly set.

2007-05-03  Kazu Hirata  <kazu@codesourcery.com>

	* m68k/fido-_exit.c (_exit): Use stop #0x700.

2007-04-27  Kazu Hirata  <kazu@codesourcery.com>

	* m68k/fido.sc: Catch .text.*, .rodata.*, .data.*, .bss.*,
	.ctor.*, and .dtor.*.  Wrap ctor/dtor-related sections with KEEP.

2007-04-04  Patrick Mansfield  <patmans@us.ibm.com>
 
	* spu/syscalls.c: Rename _send_to_ppe __send_to_ppe, and set errno
	on return from the offload call.
	* spu/jsre.h: Include sys/syscall.h for the send_to_ppe prototype.
	* spu/access.c: Call __send_to_ppe instead of _send_to_ppe, and
	remove the setting of errno.
	* spu/close.c: Ditto.
	* spu/dup.c: Ditto.
	* spu/fstat.c: Ditto.
	* spu/ftruncate.c: Ditto.
	* spu/gettimeofday.c: Ditto.
	* spu/lseek.c: Ditto.
	* spu/open.c: Ditto.
	* spu/read.c: Ditto.
	* spu/stat.c: Ditto.
	* spu/unlink.c: Ditto.
	* spu/write.c: Ditto.

2007-03-01  Ben Elliston  <bje@au.ibm.com>

	* spu/sbrk.c (sbrk): Adjust the stack pointer vector correctly so
	that GCC runtime stack checking works.  Handle the backchain, too.

2007-02-21  Patrick Mansfield  <patmans@us.ibm.com>

	* spu/gettimeofday.c: New file which adds SPU gettimeofday.
	* spu/jsre.h: Remove time, add gettimeofday.
	* spu/Makefile.in: Ditto.

2007-02-21  Hans-Peter Nilsson  <hp@axis.com>

	* cris/crt0.S: Use jump, not ba, to skip the interrupt table.  Use
	"setf", not "nop", for common_v10_v32 compatibility.
	Move out interrupt table to irqtable.S.  Include here for non-ELF.
	* cris/irqtable.S: Extracted from cris/crt0.S.  Provide per-entry
	weak default stub definitions.
	* cris/crtn.c: Use "setf", not "nop", for common_v10_v32
	compatibility.
	* cris/setup.S [__arch_common_v10_v32]: Return.
	* cris/Makefile.in (BSP_OBJS): Add irqtable.o.

2007-02-15  Nick Clifton  <nickc@redhat.com>

	* sparc/cygmon.ld.src: Link .rodata.* input sections into .text
	output section.
	* sparc/cygmon-sparc64-ld.src: Likewise. 

2007-02-08  Dave Brolley  <brolley@redhat.com>

	* mep: New target directory.
	* README: Add MeP.
	* configure.in: Add support for MeP.
	* configure: Regenerated.
	* mep/configure.in: New file.
	* mep/configure: Ditto.
	* mep/Makefile.in: Ditto.
	* mep/aclocal.m4: Ditto.
	* mep/crt0.S: Ditto.
	* mep/crtn.S: Ditto.
	* mep/sim-crt0.S: Ditto.
	* mep/sim-crtn.S: Ditto.
	* mep/fmax.ld: Ditto.
	* mep/gcov-io.h: Ditto.
	* mep/gmap_default.ld: Ditto.
	* mep/handlers.c: Ditto.
	* mep/h_reset.c: Ditto.
	* mep/isatty.c: Ditto.
	* mep/mep-bb.c: Ditto.
	* mep/mep-gmon.c: Ditto.
	* mep/min.ld: Ditto.
	* mep/read.c: Ditto.
	* mep/sbrk.c: Ditto.
	* mep/sdram-crt0.S: Ditto.
	* mep/sdram-crtn.S: Ditto.
	* mep/simnovec-crt0.S: Ditto.
	* mep/simple.ld: Ditto.
	* mep/simsdran-crt0.S: Ditto.
	* mep/syscalls.S: Ditto.
	* mep/write.c: Ditto.

2007-01-19  Kazunori Asayama <asayama@sm.sony.co.jp>

	* spu/syscalls.c: Replace vector with __vector.

2007-01-09  Ben Elliston  <bje@au.ibm.com>

	* spu/exit.c (_exit): Finish with an infinite loop to eliminate a
	warning about this noreturn function returning.

2007-01-04  Kazu Hirata  <kazu@codesourcery.com>

	Merge from newlib-csl-20060320-branch:
	2006-12-22  Nathan Sidwell  <nathan@codesourcery.com>

	libgloss/
	* m68k/Makefile.in (CF_ISRS): Remove now shared routines.
	* m68k/cf-crt0.S (__reset): Define here.
	* m68k/cf-isrs.c: Share some ISRS.  Add aliases for each IRQ slot.
	* m68k/cf-isv.S: Move to .interrupt_vector section.  Make each
	slot a unique routine.
	* m68k/cf.sc: Adjust for .interrupt_vector section.

	libgloss/
	* m68k/Makefile.in (m5273c3): Rename to ...
	(m5272c3): ... here to fix typo.
	(m5249c3): New.
	(CF_BOARDS): Add it.

2006-01-03  Kazu Hirata  <kazu@codesourcery.com>

	* arm/Makefile (RDPMON_OBJS): Add _exit.o and _kill.o.
	(RDIMON_OBJS): Define in terms of RDPMON_OBJS.
	(rdimon-_exit.o, rdimon-_kill.o): New.
	* arm/_exit.c, arm/_kill.c: New.
	* arm/syscalls.c (_exit, _kill): Remove.

2007-01-03  Kazu Hirata  <kazu@codesourcery.com>

	Merge from newlib-csl-20060320-branch:
	2006-12-22  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/cf-crt0.S (__start): Adjust semihosting.

2007-01-02  Kazu Hirata  <kazu@codesourcery.com>

	Merge from newlib-csl-20060320-branch:
	2006-12-22  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/cf-hosted.S (__hosted): Adjust semihosting.

2007-01-02  Ben Elliston  <bje@au.ibm.com>

        * spu/time.c (time): Cast new sys.time value to unsigned int.

2006-12-25  Kazu Hirata  <kazu@codesourcery.com>

	* arm/syscalls.c (_unlink, _system, _rename): Cast arguments
	to do_AngelSWI to int.

	* arm/licfunc.c (do_AngelSWI): Remove.
	* arm/syscalls.c (do_AngelSWI): Remove.
	* arm/swi.h (do_AngelSWI): New.

2006-12-18  Kazu Hirata  <kazu@codesourcery.com>

	Merge from newlib-csl-20060320-branch:
	2006-12-15  Daniel Jacobowitz  <dan@codesourcery.com>

	* m68k/fido-crt0.S (_vector_table): Reference
	_PrivilegeViolationHandler.

	2006-12-15  Daniel Jacobowitz  <dan@codesourcery.com>

	* m68k/fido-crt0.S (_start): Set %vbr for context 0 in
	RAM configs.
	* m68k/fido.sc: Clean up formatting.  Add comments.  Move
	stack and heap end to SDRAM for SRAM and SDRAM configurations.
	Put RedBoot application text in SRAM.

	2006-12-13  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/Makefile (install_cf): Don't loop over files here.  Only
	install sources for the default multilib.
	(install_fido): Likewise.
	(install_io): Install bsps in one go.

	2006-12-01  Nathan Sidwell  <nathan@codesourcery.com>
		    Kazu Hirata  <kazu@codesourcery.com>

	* configure.in: Recognize fido-*-*.
	* configure: Regenerate.
	* m68k/Makefile.in (CF_ISRS): Use addprefix.
	(FIDO_CRT0, FIDO_BSP, FIDO_OBJS, FIDO_HANDLERS,
	FIDO_UNHOSTED_SCRIPTS, FIDO_HOSTED_SCRIPTS, FIDO_SCRIPTS,
	FIDO_SOURCES, all_fido, fido-%-crt0.o, fido-rom.ld,
	fido-rom-hosted.ld, fido-sram.ld, fido-sram-hosted.ld,
	fido-sdram.ld, fido-sdram-hosted.ld, fido-redboot.ld,
	install_fido): New.
	* m68k/asm.h (mbb): New.
	* m68k/configure.in (DO): Check for __mfido__.
	* m68k/configure: Regenerate.
	* m68k/fido-_exit.c, m68k/fido-crt0.S, m68k/fido-handler.c,
	m68k/fido-hosted.S, m68k/fido-sbrk.c, m68k/fido.h,
	m68k/fido.sc, m68k/fido_profiling.h: New.

2006-12-18  Ben Elliston  <bje@au.ibm.com>

       * spu/stat.c (stat): Cast new sys.pathname value to unsigned int.

2006-12-13  Ben Elliston  <bje@au.ibm.com>

        * libnosys/_exit.c (_exit): Finish with an infinite loop to
        eliminate a warning about this noreturn function returning.

2006-12-13  Sa Liu  <saliu@de.ibm.com>

        * spu/access.c: New file
        * spu/dup.c: New file
        * spu/ftruncate.c: New file
        * spu/jsre.h: add structures for new functions
        * spu/time.c: New file
        * spu/Makefile.in (access.o, dup.o, ftruncate.o, time.o): New targets.

2006-12-12  Ben Elliston  <bje@au.ibm.com>

	* configure.in: Remove superfluous semicolons.
	* configure: Regenerate.

2006-12-11 Kazu Hirata <kazu@codesourcery.com>

	Merge from newlib-csl-20060320-branch:
	2006-12-01  Nathan Sidwell  <nathan@codesourcery.com>
		    Kazu Hirata  <kazu@codesourcery.com>

	* m68k/Makefile.in (CF_ISRS): Use addprefix.

	2006-11-01 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/Makefile.in (CFLAGS): Do not clear.  Add to all compilations.
	(ARFLAGS): Remove commented out definition.


	* m68k/configure.in (DO) Set to list of target cpu families.
	* m68k/configure: Rebuilt.
	* m68k/Makefile.in (DO): New.
	(UNHOSTED_BSP, UNHOSTED_OBJS, HOSTED_BSP, HOSTED_OBJS): Move
	later.
	(m5208evb, m5213evb, m52235evb, m5235evb, m5273c3, m5275evb,
	m5282evb, m5329evb, m5485evb): Move earlier.
	(all): Add all_$DO dependencies.
	(all_cf, all_m68k): New targets, depend on cf & m68k bsps as
	appropriate.
	(m%-ram.ld, m%-rom.ld, m%-ram-hosted.ld, m%-rom-hosted.ld): Add
	'm' prefix.
	(install): Add install_$DO dependencies.
	(install_cf, install_m68k): New targets.  Perform cf and m68k
	installs as appropriate.
	(install_io): New, install the io libraries.


	2006-10-23 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/Makefile.in (CF_CRT0): Rename to CF_CRT0S, separate hosted
	& unhosted versions.
	(CF_OBJS): Add cf-isv.o.
	(CF_SOURCES): Add cf-isv.S.
	(cf-hosted-crt0.o, cf-unhosted-crt0.o): New targets.
	* m68k/cf-isv.S: New, broken out of ...
	* m68k/cf-crt0.S: ... here.  Add HOSTED & UNHOSTED differences.
	* m68k/cf-crt1.c (__start1): Add heap_limit argument.
	(__heap_limit): Define.
	* m68k/cf-sbrk.c (__heap_limit): Declare.
	(sbrk): Adjust for __heap_limit.
	* m68k/cf.sc: Use different crt0's for hosted & unhosted.
	Install a separate isv.o file.
	* m68k/io.h (HOSTED_PUTCHAR): Replace with ...
	(HOSTED_INIT_SIM): ... this.


	2006-10-20 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/Makefile.in (CF_BOARDS): Add m5275evb.
	(m5275evb): New board.


	2006-10-20 Vladimir Prus <vladimir@codesourcery.com>

	* m68k/cf.sc: Add linkonce sections and
	DWARF sections.


	2006-10-07 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/Makefile.in: Adjust Coldfire rules.
	(BDM_CRT0, BDM_BSP, BDM_OBJS, BDM_ISRS): Rename	to ...
	(CF_CRT0, CF_BSP, CF_OBJS, CF_ISRS): ... here.  Adjust.
	(BDM_OTHER_OBJS): Remove.
	(BDM_SYSOBJS): Rename to ...
	(UNHOSTED_OBJS): ... here.  Adjust.
	(UNHOSTED_BSP, HOSTED_OBJS, HOSTED_BSP): New.
	(CF_HOSTED_SCRIPTS): New.
	(CF_SCRIPTS, CF_SOURCES): Adjust.
	* m68k/cf.sc: Add IO library variable.
	* m68k/bdm-crt0.S, m68k/bdm-crt1.c, m68k/bdm-isrs.c,
	m68k/bdm-sbrk.c, m68k/bdm-semihost.S: Rename to ...
	* m68k/cf-crt0.S, m68k/cf-crt1.c, m68k/cf-isrs.c, m68k/cf-sbrk.c,
	m68k/cf-hosted.S: ... here.
	* m68k/cf-exit.c: New.
	* m68k/bdm-gdb.h, m68k/bdm-semihost.h: Merge into ...
	* m68k/io.h: ... here.  Add unhosted support.  Adjust conversion
	function names.
	* m68k/bdm-gdb.c: Rename to ...
	* m68k/io-gdb.c: ... here.  Adjust names of conversion functions.
	* m68k/bdm-close.c, m68k/bdm-exit.c, m68k/bdm-fstat.c,
	m68k/bdm-gettimeofday.c, m68k/bdm-isatty.c, m68k/bdm-lseek.c,
	m68k/bdm-open.c, m68k/bdm-read.c, m68k/bdm-rename.c,
	m68k/bdm-stat.c, m68k/bdm-system.c, m68k/bdm-time.c,
	m68k/bdm-unlink.c, m68k/bdm-write.c: Rename to ...
	* m68k/io-close.c, m68k/io-exit.c, m68k/io-fstat.c,
	m68k/io-gettimeofday.c, m68k/io-isatty.c, m68k/io-lseek.c,
	m68k/io-open.c, m68k/io-read.c, m68k/io-rename.c, m68k/io-stat.c,
	m68k/io-system.c, m68k/io-time.c, m68k/io-unlink.c,
	m68k/io-write.c: ... here.  Include io.h. Adjust for hosted &
	unhosted libraries.  Adjust names of gdb conversion functions.


	2006-09-29 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/bdm-semihost.S: Add more comments. Make instruction weirder.

	2006-09-22 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/bdm-crt1.c (hardware_init_hook): Use #defines for CACR bits.

	2006-09-18 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/Makefile.in: Don't force a frame pointer on the ISRs.
	* m68k/bdm-crt1.c (__start1): Don't set the VBR here.
	(hardeare_init_hook): Define weakly.  Set VBR here, enable caching
	if supported.


	* m68k/Makefile.in (bdm-semihost.o): Build from bdm-semihost.S.
	* m68k/bdm-semihost.c: Remove.
	* m68k/bdm-semihost.S: New.
	* m68k/bdm-crt0.S: Don't install semihosting trap handler.
	* m68k/bdm-close.c, bdm-exit.c, bdm-fstat.c, bdm-gettimeofday.c,
	bdm-isatty.c, bdm-lseek.c, bdm-open.c, bdm-read.c, bdm-rename.c,
	bdm-stat.c, bdm-system.c, bdm-unlink.c, bdm-write.c): Update.
	* m68k/bdm-isrs.c: Update comment.
	* m68k/bdm-semihost.h (BDM_TRAPNUM, BDM_FUNC_REG, BDM_ARG_REG,
	BDM_TRAP): Remove.
	(__bdm_semihost): Declare.


	2006-09-15 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/Makefile.in (BDM_OTHER_OBJS): Remove sbrk.o.
	(BDM_SYSOBJS): Add bdm-sbrk.o.
	* m68k/bdm-sbrk.c: New.


	2006-09-06 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/Makefile.in (CF_SOURCES): New.
	(install): Install them.


	2006-09-01 Nathan Sidwell <nathan@codesourcery.com>

	* m68k/cf.sc: Add .jcr section to .text.

2006-12-11  Ben Elliston  <bje@au.ibm.com>

        * configure.in: Remove extra whitespace from config_testsuite =
        VALUE statements to eliminate shell errors.
	* configure: Regenerate.

2006-12-08  Sa Liu  <saliu@de.ibm.com>

        * spu/exit.c (libgloss_exit): Rename from this ..
        (_exit): .. to this. Overhaul.
        (exit): Remove.
        * spu/crt0.S, spu/crti.S, spu/crtn.S: New files.
        * spu/crt0.C, spu/init.c: Remove.
        * spu/configure.in (AC_INIT): Check for crt0.S, not crt0.C.
        * spu/configure: Regenerate.
        * spu/Makefile.in (crti.o, crtn.o, crt1.o, crt2.o): New targets.
        (OBJS): Remove init.o.
        (CRTOBJS): New.
        (OUTPUTS): Add $(CRTOBJS).

2006-11-27  Jeff Johnston  <jjohnstn@redhat.com>

	* mips/crt0.S: Fix preprocessor statements from previous patch
	to be ANSI.

2006-11-24  Thiemo Seufer  <ths@mips.com>
            Nigel Stephens  <nigel@mips.com>

	* mips/crt0.S (_start): Use all available float registers. Don't touch
	SR_PE on post-mips2 CPUs, it means soft reset there.

2006-11-22  Luca Barbato  <lu_zero@gentoo.org>

	* spu/syscalls.c: Include spu_intrinsics.h to provide vector keyword.

2006-11-17  Jeff Johnston  <jjohnstn@redhat.com>

	* mn10300/Makefile.in: Add spaces after do in "for" loop.

2006-11-08  Jie Zhang  <jie.zhang@analog.com>

	* bfin/configure.in: New.
	* bfin/crt0.S: New.
	* bfin/Makefile.in: New.
	* bfin/syscalls.c: New.
	* bfin/aclocal.m4: Generate.
	* bfin/configure: Ditto.
	* configure.in: Add support for bfin-*-*.
	* configure: Regenerate.
	* syscall.h (SYS_argc): Define.
	(SYS_argnlen): Define.
	(SYS_argn): Define.

2006-10-10  Thiemo Seufer  <ths@mips.com>

	* mips/Makefile.in: Add INCLUDES to local compile rules.

2006-10-06  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.in: Add CFLAGS_FOR_TARGET and CCASFLAGS to
	FLAGS_TO_PASS.

2006-10-03  Jeff Johnston  <jjohnstn@redhat.com>

	* arm/linux-syscalls0.c: Rewrite bx insn architecture flag check 
	to avoid use of __ARM_ARCH__.

2006-10-02  Nick Clifton  <nickc@redhat.com>

	* arm/linux-syscalls0.c: Add arm architecture flag
	checks around bx insn.

2006-09-07  Masaki Muranaka  <monaka@monami-software.com>

	* xstormy16/Makefile.in (clean): Fix a mismatched parenthesis.

2006-09-01  Kazu Hirata  <kazu@codesourcery.com>

	Merge from newlib-csl-20060320-branch:
	2006-08-31  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/bdm-crt1.c: Call hardware_init_hook before copying
	initialized data.

	* m68k/Makefile.in (CF_BDM_SCRIPTS): Rename to CF_RAM_SCRIPTS.
	(CF_SCRIPTS): Update.
	(%-bdm.ld): Rename to %-ram.ld.

	2006-08-25  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/Makefile.in (DBUG_BSP, DBUG_OBJS): Remove.
	(BDM_CRT0): New.
	(BDM_OBJS): Add bdm-crt1.o.
	(BDM_OTHER_OBJS): Remove print.o putnum.o
	(CF_BOARDS): New.
	(CF_BDM_SCRIPTS): Generated name of ram scripts.
	(CF_ROM_SCRIPTS): Generated name of rom scripts.
	(CF_SCRIPTS): Adjust.
	(all): Add BDM_CRT0.
	(bdm-crt0.o, bdm-crt1.o): New targets.
	(bdm-isv.o): Remove.
	(m5208evb, m5213evb, m52235evb, m5235evb, m5273c3, m5282evb,
	m5329evb, m5485evb): New.
	(%-bdm.ld, %-rom.ld): New. Replace individual linker script rules.
	(install): Remove DBUG installs.
	* m68k/bdm-crt0.S: New.
	* m68k/bdm-crt1.c: New.
	* m68k/bdm-exit.c: Call __reset.
	* m68k/bdm-isv.c: Remove.
	* m68k/cf.sc: Adjust to produce either rom or ram images.
	* m68k/dbug-exit.S, m68k/dbug-inbyte.S, m68k/dbug-outbyte.S: Remove.

	2006-07-24  Nathan Sidwell  <nathan@codesourcery.com>

	Bug 844
	* m68k/cf.sc: Set entry point to _start.
	* m68k/crt0.X (_start): New name for entrypoint
	(start): Weak alias for start.

	2006-06-09  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/bdm-system.c (_system): Support system(NULL).

	2006-06-08  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/bdm-system.c (_system): Properly encode non failure exit
	code.

	2006-06-05  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/Makefile.in (BDM_SYSOBJS): Remove bdm-inbyte.o.
	Add bdm-time.o.
	* m68k/bdm-close.c: Add copyright notice.
	* m68k/bdm-fstat.c: Add copyright notice.
	* m68k/bdm-gettimeofday.c: Add copyright notice.
	* m68k/bdm-inbyte.c: Remove.
	* m68k/bdm-isatty.c: Add copyright notice.
	* m68k/bdm-lseek.c: Add copyright notice. Fix &/| thinko.
	* m68k/bdm-open.c: Add copyright notice.
	* m68k/bdm-read.c: Add copyright notice.
	* m68k/bdm-rename.c: Add copyright notice.
	* m68k/bdm-stat.c: Add copyright notice.
	* m68k/bdm-system.c: Add copyright notice.
	* m68k/bdm-time.c: New.
	* m68k/bdm-unlink.c: Add copyright notice.
	* m68k/bdm-write.c: Add copyright notice.

	2006-05-25  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/Makefile.in (m52235-dbug.ld, m52235-bdm.ld): New
	scripts.

	2006-05-24  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/Makefile.in (BDM_SYSOBJS): Remove bdm-outbyte.o.
	* m68k/bdm-outbyte.c: Delete.
	* m68k/bdm-semihost.h (BDM_OUTBYTE): Mark as obsolete.

	2006-05-22  Sandra Loosemore <sandra@codesourcery.com>

	* m68k/bdm-semihost.h: Add new constants for additional
	semihosting functions.  Add new BDM_TRAP macro to encapsulate
	inline asm.
	* m68k/bdm-exit.c (_exit): Use new BDM_TRAP macro.
	* m68k/bdm-outbyte.c (outbyte): Ditto.
	* m68k/bdm-isrs.c, m68k/bdm-isv.c: Former BDM_TRAP
	now called BDM_TRAPNUM.
	* m68k/bdm-gdb.h, m68k/bdm-gdb.c: New files
	containing declarations and conversion functions for GDB's fileio
	protocol.
	* m68k/bdm-close.c: New file to define corresponding function.
	* m68k/bdm-fstat.c: Ditto.
	* m68k/bdm-gettimeofday.c: Ditto.
	* m68k/bdm-isatty.c: Ditto.
	* m68k/bdm-lseek.c: Ditto.
	* m68k/bdm-open.c: Ditto.
	* m68k/bdm-read.c: Ditto.
	* m68k/bdm-rename.c: Ditto.
	* m68k/bdm-stat.c: Ditto.
	* m68k/bdm-system.c: Ditto.
	* m68k/bdm-unlink.c: Ditto.
	* m68k/bdm-write.c Ditto.
	* m68k/Makefile.in: Add dependencies for new files.

	2006-03-29  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/bdm-isv.c (software_init_hook): Fix trap numbering.

	* m68k/Makefile.in (CF_SCRIPTS): Add m5329 board.
	Reorder.
	(*-dbug.ld, *-bdm.ld): Add appropriate IO definition.
	(m5329evb-dbug.ld, m5329evb-bdm.ld): New.
	* cf.sc (GROUP): Revert previous change.  Add IO library.

	* m68k/Makefile.in (BDM_BSP, BDM_OBJS, BDM_ISRS): New.
	(CF_SCRIPTS): Rename dbug scripts.  Add bdm scripts. Add m5485
	scripts.
	(all): Add new targets.
	(BDM_BSP): New target.
	(bdm-isv.o, bdm-exit.o, bdm-outbyte.o, bdm-semihost.o): New
	targets.
	(BDM_ISRS): New targets.
	(m5208evb.ld, m5213evb.ld, m5235evb.ld, m5272c3.ld, m5282evb.ld):
	Rename and adjust.
	(m5485evb-dbug): New.
	(m5208evb-bdm.ld, m5213evb-bdm.ld, m5235evb-bdm.ld,
	m5272c3-bdm.ld, m5282evb-bdm.ld, m5485evb-bdm.ld): New.
	(install): Add BDM_BSP.
	* m68k/bdm-exit.c: New
	* m68k/bdm-inbyte.c: New
	* m68k/bdm-outbyte.c: New
	* m68k/bdm-semihost.c: New
	* m68k/bdm-semihost.h: New
	* m68k/bdm-isrs.c: New.
	* m68k/bdm-isv.c: New.
	* dbug-cf.sc: Renamed to ...
	* cf.sc: ... here.  Add bdm flexibility. Remove GROUP

	2006-05-22  Sandra Loosemore <sandra@codesourcery.com>

	* m68k/bdm-semihost.h: Add new constants for additional
	semihosting functions.  Add new BDM_TRAP macro to encapsulate
	inline asm.
	* m68k/bdm-exit.c (_exit): Use new BDM_TRAP macro.
	* m68k/bdm-outbyte.c (outbyte): Ditto.
	* m68k/bdm-isrs.c, m68k/bdm-isv.c: Former BDM_TRAP
	now called BDM_TRAPNUM.
	* m68k/bdm-gdb.h, m68k/bdm-gdb.c: New files
	containing declarations and conversion functions for GDB's fileio
	protocol.
	* m68k/bdm-close.c: New file to define corresponding function.
	* m68k/bdm-fstat.c: Ditto.
	* m68k/bdm-gettimeofday.c: Ditto.
	* m68k/bdm-isatty.c: Ditto.
	* m68k/bdm-lseek.c: Ditto.
	* m68k/bdm-open.c: Ditto.
	* m68k/bdm-read.c: Ditto.
	* m68k/bdm-rename.c: Ditto.
	* m68k/bdm-stat.c: Ditto.
	* m68k/bdm-system.c: Ditto.
	* m68k/bdm-unlink.c: Ditto.
	* m68k/bdm-write.c Ditto.
	* m68k/Makefile.in: Add dependencies for new files.

2006-08-30  Kazunori Asayama  <asayama@sm.sony.co.jp>

	* spu/syscalls.c: Add a new argument to _send_to_ppe() to 
	specify signal code.
	* spu/jsre.h: Update declaration of _send_to_ppe().
	* spu/close.c: Replace _send_to_ppe_0x2101() by _send_to_ppe().
	* spu/fstat.c: Ditto.
	* spu/lseek.c: Ditto.
	* spu/open.c: Ditto.
	* spu/read.c: Ditto.
	* spu/stat.c: Ditto.
	* spu/unlink.c: Ditto.
	* spu/write.c: Ditto.

2006-08-30  Kazunori Asayama  <asayama@sm.sony.co.jp>

	* spu/Makefile.in: Add dependency.

2006-08-24  Paul Brook  <paul@codesourcery.com>

	* arm/linux-crt0.c: Disable Arm stub for Thumb-2.

2006-08-23  Kazunori Asayama  <asayama@sm.sony.co.jp>

	* spu/Makefile.in: Add new object files.
	* spu/syscalls.c: Move each system call to individual file.
	* spu/jsre.h: Add declaration of _send_to_ppe_0x2101().
	* spu/close.c: New file. Moved from spu/syscalls.c.
	* spu/fstat.c: Likewise.
	* spu/getpid.c: Likewise.
	* spu/isatty.c: Likewise.
	* spu/kill.c: Likewise.
	* spu/lseek.c: Likewise.
	* spu/open.c: Likewise.
	* spu/read.c: Likewise.
	* spu/stat.c: Likewise.
	* spu/unlink.c: Likewise.
	* spu/write.c: Likewise.

2006-08-21  David Ung  <davidu@mips.com>

	* mips/Makefile.in: Add rule for cygmon.o and pass the -mno-mips16
	option since it uses the syscall instruction.

2006-08-16  Joel Schopp  <jschopp@austin.ibm.com>

	* spu/Makefile.in: Add special compiler
	options to reduce size.

2006-08-16  Joel Schopp  <jschopp@austin.ibm.com>

	* spu/jsre.h(JSRE_STAT): New define.
	(syscall_stat_t): New type.
	* spu/syscalls.c(stat): New syscall.

2006-08-16  Joel Schopp  <jschopp@austin.ibm.com>

	* configure.in: Add spu support.
	* configure: Regenerated.
	* spu/Makefile.in: New file.
	* spu/aclocal.m4: Ditto.
	* spu/configure: Ditto.
	* spu/configure.in: Ditto.
	* spu/crt0.c: Ditto.
	* spu/exit.c: Ditto.
	* spu/init.c: Ditto.
	* spu/jsre.h: Ditto.
	* spu/sbrk.c: Ditto.
	* spu/syscalls.c: Ditto.

2006-07-05  Shaun Jackman  <sjackman@gmail.com>

	* arm/linux-crt0.S: Remove file.
	* arm/linux-crt0.c: New file. Supports PIC code.

2006-07-04  Shaun Jackman  <sjackman@gmail.com>

	* arm/linux-syscalls0.S (ftruncate, getegid, geteuid, getgid,
	getgroups, getpgid, getpgrp, getuid, lchown, pause, pipe,
	setpgid, setgid, setsid, setuid, sigprocmask, sync, uname): New
	system call.

2006-06-30  DJ Delorie  <dj@redhat.com>

	* m32c/crt0.S (done_inilist): Fix dwarf2 address sizes.

2006-06-23  Shaun Jackman  <sjackman@gmail.com>

	* arm/elf-linux.specs: New file.

2006-06-13  Sandra Loosemore <sandra@codesourcery.com>

        * arm/syscalls.c (_unlink, isatty, _system, _rename):
        Make them do something useful in the ARM_RDI_MONITOR case.

2006-06-08  Fred Fish  <fnf@specifix.com>

	* mips/idt.ld, mips/idt32.ld, mips/idt64.ld, mips/nullmon.ld,
	mips/pmon.ld:  Keep special sections generated by mips gcc.

2006-06-05  Shaun Jackman  <sjackman@gmail.com>

	* arm/linux-syscalls0.S (reboot): Remove.
	* arm/linux-syscalls1.c (reboot): New function.

2006-06-05  Shaun Jackman  <sjackman@gmail.com>

	* arm/syscalls.c (kill) [ARM_RDI_MONITOR]: Use the signal
	argument to choose an ADP exception reason.
	* arm/libcfunc.c (abort): Remove this function.

2006-05-30  Shaun Jackman  <sjackman@gmail.com>

	* arm/Makefile.in: Add Linux syscall interface.
	* arm/linux-crt0.S: New file.
	* arm/linux-syscall.h: New file.
	* arm/linux-syscalls0.S: New file.
	* arm/linux-syscalls1.c: New file.

2006-05-23  Fred Fish  <fnf@specifix.com>

	* mips/configure.in: Change mipsisa64-*-* to
	mipsisa64*-*-* to catch minor variations like
	mipsisa64sb1.
	* mips/configure: Regenerated.

2006-05-10  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.in: Pass some additional flags in FLAGS_TO_PASS.
	* configure.in: Add additional flags when creating Makefile.
	* configure: Regenerated.
	* arm/configure
	* arm/configure.in: Set with_multisubdir when creating Makefile.
	* cris/configure.in: Ditto.
	* d30v/configure.in: Ditto.
	* frv/configure.in: Ditto.
	* i386/configure.in: Ditto.
	* iq2000/configure.in: Ditto.
	* libnosys/configure.in: Ditto.
	* m32c/configure.in: Ditto.
	* m32r/configure.in: Ditto.
	* m68hc11/configure.in: Ditto.
	* m68k/configure.in: Ditto.
	* mcore/configure.in: Ditto.
	* mips/configure.in: Ditto.
	* mn10200/configure.in: Ditto.
	* mn10300/configure.in: Ditto.
	* mt/configure.in: Ditto.
	* pa/configure.in: Ditto.
	* rs6000/configure.in: Ditto.
	* sparc/configure.in: Ditto.
	* cris/configure: Regenerated.
	* d30v/configure: Ditto.
	* frv/configure: Ditto.
	* i386/configure: Ditto.
	* iq2000/configure: Ditto.
	* libnosys/configure: Ditto.
	* m32c/configure: Ditto.
	* m32r/configure: Ditto.
	* m68hc11/configure: Ditto.
	* m68k/configure: Ditto.
	* mcore/configure: Ditto.
	* mips/configure: Ditto.
	* mn10200/configure: Ditto.
	* mn10300/configure: Ditto.
	* mt/configure: Ditto.
	* pa/configure: Ditto.
	* rs6000/configure: Ditto.
	* sparc/configure: Ditto.

2006-04-19  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.in: Modified to support autoconf 2.59.
	* */configure.in: Ditto.
	* configure: Regenerated.
	* */configure: Ditto.
	* wince/aclocal.m4: Ditto.
	* acinclude.m4: New file.
	* aclocal.m4: Ditto.
	* arm/aclocal.m4: Ditto.
	* cris/aclocal.m4: Ditto.
	* crx/aclocal.m4: Ditto.
	* d30v/aclocal.m4: Ditto.
	* fr30/aclocal.m4: Ditto.
	* frv/aclocal.m4: Ditto.
	* hp74x/aclocal.m4: Ditto.
	* i386/aclocal.m4: Ditto.
	* i960/aclocal.m4: Ditto.
	* iq2000/aclocal.m4: Ditto.
	* libnosys/aclocal.m4: Ditto.
	* m32c/aclocal.m4: Ditto.
	* m32r/aclocal.m4: Ditto.
	* m68hc11/aclocal.m4: Ditto.
	* m68k/aclocal.m4: Ditto.
	* mcore/aclocal.m4: Ditto.
	* mips/aclocal.m4: Ditto.
	* mn10200/aclocal.m4: Ditto.
	* mn10300/aclocal.m4: Ditto.
	* mt/aclocal.m4: Ditto.
	* pa/aclocal.m4: Ditto.
	* rs6000/aclocal.m4: Ditto.
	* sparc/aclocal.m4: Ditto.
	* sparc/libsys/aclocal.m4: Ditto.
	* xstormy16/aclocal.m4: Ditto.

2006-04-18  Mark Mitchell  <mark@codesourcery.com>

	* doc/porting.texi: Document libgloss build conventions.

2006-03-22  Nathan Sidwell  <nathan@codesourcery.com>

	* mt/startup-16-002.S (.internal_io): Make @nobits.
	* mt/startup-16-003.S (.internal_io): Make @nobits.
	* mt/startup-ms2.S (.internal_io): Make @nobits.

2006-03-02  DJ Delorie  <dj@redhat.com>

	* m32c/exit.S: Preserve r1.

2006-02-24  Paul Brook  <paul@codesourcery.com>

	* arm/redboot-crt0.S: Use cps in Thumb-2 mode.

2006-02-22  Nathan Sidwell  <nathan@codesourcery.com>

	* m68k/Makefile.in (CF_SCRIPTS): New.
	(all): Add CF_SCRIPTS.
	(m5208evb.ld, m5213evb.ld, m5235evb.ld, m5272c3.ld,
	m5282evb.ld): New targets
	(install): Iterate over CF_SCRIPTS.
	* m68k/crt0.S: Don't use dbra on any cf chips.
	* m68k/dbug-cf.sc: New.

2006-02-07  Paul Brook  <paul@codesourcery.com>

	* arm/crt0.S: Add Thumb-2 startup code.
	* arm/redboot-crt0.S: Ditto.
	* arm/libcfunc.c (do_AngelSWI): Use AngelSWIInsn.
	* arm/swi.h (AngelSWIInsn, AngelSWIAsm): Define.
	* arm/trap.S: Disable for Thumb-2.

2006-01-18  Nathan Sidwell  <nathan@codesourcery.com>

	* mt/ms2.ld (.sram): Correct typo in section names.

2006-01-16  Nathan Sidwell  <nathan@codesourcery.com>

	* mt/Makefile.in (SCRIPTS, CRT0): Add ms2 files.
	(crt0-ms2.o): New target.
	* mt/crt0-ms2.S, mt/exit-ms2.c, mt/ms2.ld, mt/startup-ms2.S: New.

2006-01-04  Paul Brook  <paul@codesourcery.com>

	* m68k/bcc.ld: Add .got.plt and .got
	* m68k/idp.ld: Ditto.
	* m68k/idpgdb: Ditto.
	* m68k/mvme135.ld: Ditto.
	* m68k/sbc5204.ld: Ditto.
	* m68k/sbc5206.ld: Ditto.
	* m68k/sim.ld: Ditto.

2005-12-13  DJ Delorie  <dj@redhat.com>

	* m32c/crt0.S: Add support for preinit, init, and fini arrays, and
	.init and .fini processing.
	* m32c/crtn.S: Likewise.
	* m32c/exit.S: Likewise.

2005-12-13  Nathan Sidwell  <nathan@codesourcery.com>

	* mt/16-002.ld: Change architecture to 'mt'.  Remove
	SEARCH_DIR.
	* mt/16-003.ld: Likewise.
	* mt/64-001.ld: Likewise.
	* mt/Makefile.in: Change comment to reference 'mt' rather than 'ms1'.
	* mt/crt0.S: Likewise.

2005-12-12  Nathan Sidwell  <nathan@codesourcery.com>

	* configure.in: Replace ms1 arch with mt arch.
	* configure: Rebuilt.
	* mt: Renamed from ms1 dir.

2005-12-06  Paul Brook  <paul@codesourcery.com>

	* m68k/bcc.ld: Add .text.*, .rodata.*, .data.* and .bss.*.
	* m68k/idp.ld: Ditto.
	* m68k/idpgdb: Ditto.
	* m68k/mvme135.ld: Ditto.
	* m68k/sbc5204.ld: Ditto.
	* m68k/sbc5206.ld: Ditto.
	* m68k/sim.ld: Ditto.

2005-11-30  Shaun Jackman  <sjackman@gmail.com>

	* libnosys/Makefile.in (OBJS): Add chown, readlink, and symlink.
	* libnosys/chown.c: New file.
	* libnosys/readlink.c: New file.
	* libnosys/symlink.c: New file.

2005-11-30  Shaun Jackman  <sjackman@gmail.com>

	* arm/libcfunc.c (clock, sleep, usleep): New functions.
	* arm/syscalls.c (_clock): New function.
	(_times): Call _clock.

2005-11-17  Shaun Jackman  <sjackman@gmail.com>

	* libgloss/arm/libcfunc.c (isatty): Call _isatty. GDB now supports
	the IsTTY SWI that _isatty calls.

2005-11-17  Hans-Peter Nilsson  <hp@axis.com>

	* cris/linunistd.h: Don't redefine errno as extern int.

2005-10-20  Jeff Johnston  <jjohnstn@redhat.com>

	* arm/configure.in: Add AC_SUBST for BUILD_CRT0_TRUE and
	BUILD_CRT0_FALSE.
	* arm/configure: Regenerate.

2005-10-17  Jeff Johnston  <jjohnstn@redhat.com>

	* arm/configure.in: Support building crt0.o when syscalls
	are disabled in newlib.
	* arm/configure: Regenerated.

2005-10-03  James E Wilson  <wilson@specifix.com>

	* mips/array.ld, mips/cfe.ld, mips/ddb-kseg0.ld, mips/ddb.ld,
	mips/dve.ld, mips/idt.ld, mips/idt32.ld, mips/idt64.ld,
	mips/idtecoff.ld, mips/jmr3904app-java.ld, mips/jmr3904app.ld,
	jmr3904dram-java.ld, mips/jmr3904dram.ld, mips/lsi.ld, mips/nullmon.ld,
	mips/pmon.ld: Add support for .bss.* sections.

2005-09-23  James E Wilson  <wilson@specifix.com>

	* mips/array.ld, mips/cfe.ld, mips/ddb-kseg0.ld, mips/ddb.ld,
	mips/dve.ld, mips/idt.ld, mips/idt32.ld, mips/idt64.ld,
	mips/idtecoff.ld, mips/jmr3904app-java.ld, mips/jmr3904app.ld,
	jmr3904dram-java.ld, mips/jmr3904dram.ld, mips/lsi.ld, mips/nullmon.ld,
	mips/pmon.ld: Change x* to x.* in existing linkonce lines.  Add
	support for .gnu.linkonce.b.*.

2005-08-30  Jeff Johnston  <jjohnstn@redhat.com>

	* rs6000/Makefile.in (VPATH): Use colon as separator.

2005-08-24  Aldy Hernandez  <aldyh@redhat.com>

        * ms1/access.c: Change copyright notice.

2005-08-19  DJ Delorie  <dj@redhat.com>

	* m32c/Makefile.in (m16cmon.ld, m32cmon.ld): Fix output names.
	(*.o): Add dependencies.
	* m32c/m32csys.h: Move syscall location to 0x400 as per Renesas
	recommendations.

2005-08-18  DJ Delorie  <dj@redhat.com>

	* m32c/Makefile.in: Block out memory regions reserved for monitors
	and simulators.  Add monitor link scripts.

2005-08-16  Shaun Jackman  <sjackman@gmail.com>

	* arm/syscalls.c (initialise_monitor_handles): Set
	monitor_stderr to the result of SWI_open(":tt", "a")
	instead of simply duplicating stdout.

2005-08-10  DJ Delorie  <dj@redhat.com>

	* configure.in: Add m32c support.
	* configure: Regenerated
	* m32c: New directory, Renesas R8C/M16C/M32C support.
	* m32c/abort.S m32c/argvlen.S m32c/argv.S m32c/chdir.S, 
	m32c/chmod.S m32c/close.S m32c/configure m32c/configure.in,
	m32c/crt0.S, m32c/crtn.S, m32c/exit.S, m32c/fstat.S,
	m32c/genscript, m32c/getpid.S, m32c/gettimeofday.S,
	m32c/heaptop.S, m32c/isatty.S, m32c/kill.S, m32c/link.S,
	m32c/lseek.S, m32c/m32csys.h, m32c/m32c.tmpl, m32c/Makefile.in,
	m32c/open.S, m32c/read.S, m32c/sbrk.c, m32c/stat.S, m32c/time.S,
	m32c/times.S, m32c/unlink.S, m32c/utime.S, m32c/write.S: New files

2005-08-02  Shaun Jackman  <sjackman@gmail.com>

        * libgloss/arm/libcfunc.c (isatty): New function.

2005-08-02  Shaun Jackman  <sjackman@gmail.com>

        * libgloss/arm/syscalls.c (_exit): Call _kill with the second
        argument set to -1, which is an invalid signal number.
        (_kill): Comment and coding style changes only.
        (_raise): Remove function.

2005-07-19  Paul Brook  <paul@codesourcery.com>

	* arm/crt0.S: Ensure doubleword stack alignment.

2005-07-18  Richard Sandiford  <richard@codesourcery.com>

	* mips/array.ld (.sdata): Include .gnu.linkonce.s.*, not
	.gnu.linkonce.s*.
	(.sbss): Include .sbss.* and .gnu.linkonce.sb.*.
	* mips/cfe.ld, mips/ddb-kseg0.ld, mips/ddb.ld, mips/dve.ld,
	* mips/idt32.ld, mips/idt64.ld, mips/idtecoff.ld, mips/idt.ld,
	* mips/jmr3904app-java.ld, mips/jmr3904app.ld,
	* mips/jmr3904dram-java.ld, mips/jmr3904dram.ld,
	* mips/lsi.ld, mips/nullmon.ld, mips/pmon.ld: As for mips/array.ld.

2005-07-18  Shaun Jackman  <sjackman@gmail.com>

	* libgloss/arm/libcfunc.c (abort): Call _exit instead of the RDI swi.
	(alarm): Add the weak attribute.
	(pause): New function. Return ENOSYS.
	* libgloss/arm/syscalls.c (_getpid): Add the weak attribute.
	(_fstat): Ditto.
	(_stat): Ditto.
	(_link): Ditto. Return ENOSYS.
	(_unlink): Call the swi instead of returning -1.
	(_raise): Add the weak attribute. Return ENOSYS.
	(isatty): Rename to _isatty. Call the swi instead of returning 1.
	(_system): Call the swi instead of returning ENOSYS.
	(_rename): Ditto.

2005-07-06  Aldy Hernandez  <aldyh@redhat.com>

	* configure.in: Add ms1 case.
	* configure: Regenerate.
	* ms1/16-002.ld: New.
	* ms1/16-003.ld: New.
	* ms1/64-001.ld: New.
	* ms1/access.c: New.
	* ms1/chmod.c: New.
	* ms1/close.c: New.
	* ms1/configure: New.
	* ms1/configure.in: New.
	* ms1/crt0-16-002.S: New.
	* ms1/crt0-16-003.S: New.
	* ms1/crt0-64-001.S: New.
	* ms1/crt0.S: New.
	* ms1/exit-16-002.c: New.
	* ms1/exit-16-003.c: New.
	* ms1/exit-64-001.c: New.
	* ms1/exit.c: New.
	* ms1/fstat.c: New.
	* ms1/getpid.c: New.
	* ms1/gettime.c: New.
	* ms1/isatty.c: New.
	* ms1/kill.c: New.
	* ms1/lseek.c: New.
	* ms1/Makefile.in: New.
	* ms1/open.c: New.
	* ms1/read.c: New.
	* ms1/sbrk.c: New.
	* ms1/startup-16-002.S: New.
	* ms1/startup-16-003.S: New.
	* ms1/startup-64-001.S: New.
	* ms1/stat.c: New.
	* ms1/time.c: New.
	* ms1/times.c: New.
	* ms1/trap.h: New.
	* ms1/trap.S: New.
	* ms1/unlink.c: New.
	* ms1/utime.c: New.
	* ms1/write.c: New.

2005-05-19  Corinna Vinschen  <vinschen@redhat.com>

	* arm/elf-redboot.ld, iq2000/sim.ld, m68hc11/sim-valid-m68hc11.ld,
	* m68hc11/sim-valid-m68hc12.ld, mcore/elf-cmb.ld, mips/cfe.ld,
	* mips/ddb-kseg0.ld, mips/ddb.ld, mips/dve.ld, mips/idt.ld,
	* mips/idt32.ld, mips/idt64.ld, mips/jmr3904app-java.ld,
	* mips/jmr3904app.ld, mips/jmr3904dram-java.ld, mips/jmr3904dram.ld,
	* mips/nullmon.ld, mips/pmon.ld, mn10200/eval.ld, mn10200/sim.ld,
	* mn10300/asb2303.ld, mn10300/asb2305.ld, mn10300/eval.ld,
	* mn10300/sim.ld, rs6000/ads.ld, rs6000/mbx.ld, rs6000/yellowknife.ld,
	* sh/sh1lcevb.ld, sh/sh2lcevb.ld, sh/sh3bb.ld, sh/sh3lcevb.ld,
	* sparc/elfsim.ld, sparc/ex930.ld, sparc/ex931.ld, sparc/ex934.ld,
	* sparc/sparc86x.ld, xstormy16/eva_app.ld, xstormy16/eva_stub.ld,
	* xstormy16/sim_high.ld, xstormy16/sim_rom.ld: Add .debug_ranges
	section.

2005-05-05  Tobias Anderberg  <tobias.anderberg@axis.com>

        * arm/syscalls.c (get_errno): Fix output register constraint.

2005-05-05  J"orn Rennecke <joern.rennecke@st.com>

        * rs6000/sim-getrusage.S: New file, broken out of:
        (simulator.S).
        * rs6000/Makefile.in (SIM_OBJS): Add sim-getrusage.o.
        (sim-getrusage.o): New rule.

2005-04-28  Shaun Jackman  <sjackman@gmail.com>

	* libgloss/syscalls.c (get_errno): Add an output register constraint.

2005-04-19  Eric Christopher  <echristo@redhat.com>

	* mips/regs.S: Sign extend constants for mips64 and unify
        address handling.

2005-04-12  Shaun Jackman  <sjackman@gmail.com>

	* libgloss/arm/Makefile.in (RDPMON_BSP): librdpmon.a was empty due 
	to a typo. Fixed.
	(RDIMON_BSP): Ditto.

2005-04-12  Richard Sandiford  <rsandifo@redhat.com>

	* mips/array.ld, mips/cfe.ld, mips/dve.ld, mips/idt32.ld,
	* mips/idt64.ld, mips/idtecoff.ld, mips/idt.ld,
	* mips/jmr3904app-java.ld, mips/jmr3904app.ld,
	* mips/jmr3904dram-java.ld, mips/jmr3904dram.ld, mips/lsi.ld,
	* mips/nullmon.ld, mips/pmon.ld: Keep .init and .fini.

2005-02-08  Antony King  <antony.king@st.com>

	* arm/syscalls.c: Change CHECK_INIT to pass reentrant struct
	instead of file pointer.

2005-02-01  Hans-Peter Nilsson  <hp@axis.com>

	* cris/Makefile.in (ALL_INSTALL_FILES): New macro.
	(ALL_INSTALL_FILES_NEWLIB_COPY): New macro.
	(all): Use ALL_INSTALL_FILES instead of its contents.  Add
	ALL_INSTALL_FILES_NEWLIB_COPY.
	($(objroot)/newlib/%, $(objroot)/newlib/libnosys.a): New rules

2005-01-27  Hans-Peter Nilsson  <hp@axis.com>

        * configure.in: Support cris-*-* and crisv32-*-*.
        * libnosys/configure.in: Ditto.
	* configure, libnosys/configure: Regenerate.
	* cris: New directory.
	* cris/crt0.S, cris/crtn.c, cris/gensyscalls, cris/linunistd.h,
	cris/outbyte.c, cris/configure.in, cris/crti.c, cris/lcrt0.c,
	cris/Makefile.in, cris/setup.S, cris/configure: New files.

2005-01-21  Hans-Peter Nilsson  <hp@axis.com>

	* libnosys/warning.h (stub_warning): Remove "warning: " prefix.

2005-01-18  Hans-Peter Nilsson  <hp@axis.com>

	* libnosys/warning.h (link_warning) [HAVE_GNU_LD and HAVE_ELF]:
	Prefix symbol in section name with __SYMBOL_PREFIX.  Do not use
	__make_section_unallocated.  Mark magic variable as used.

2005-01-18  Hans-Peter Nilsson  <hp@axis.com>

	* libnosys/configure.in (libc_cv_asm_previous_directive): Set
	cache-id variable.
	(libc_cv_asm_popsection_directive): Ditto.
	(libc_cv_section_attributes): Ditto.
	(libc_symbol_prefix): Rename from libc_dollar_prefix.  Check for
	"_" as well, and set __SYMBOL_PREFIX accordingly.
	* libnosys/configure: Regenerate.

2005-01-18  Hans-Peter Nilsson  <hp@axis.com>

	* libnosys/Makefile.in (LD, AS): Correct obsoleted suffix: Say
	as-new and ld-new, not as.new and ld.new.

2005-01-14  Hans-Peter Nilsson  <hp@axis.com>
                                                                                
        * libnosys/warning.h (__make_section_unallocated)
        [HAVE_ASM_PREVIOUS_DIRECTIVE, HAVE_ASM_POPSECTION_DIRECTIVE]: Use "\n"
        instead of ";" to delimit assembly lines.
                                                                                
2005-01-07  Paul Brook  <paul@codesourcery.com>
                                                                                
	* arm/crt0.S: Call __libc_{init,fini}_array instead of
	_init/_fini if they exist.

2004-11-26  Paul Brook  <paul@codesourcery.com>
                                                                                
        * arm/crt0.S (_start): Add .cantunwind annotation.
                                                                                
2004-10-28  Nick Clifton  <nickc@redhat.com>

	* configure.in: Add support for iq2000 target.
	* configure: Regenerate.

2004-10-05  Tomer Levi  <Tomer.Levi@nsc.com>

        * configure.in: Support crx-*-*.
        * configure: regenerate.
        * crx/_exit.c: New file.
        * crx/_getenv.c: Ditto.
        * crx/_rename: Ditto.
        * crx/close.c: Ditto.
        * crx/configure.in: Ditto.
        * crx/crti.S: Ditto.
        * crx/crtn.S: Ditto.
        * crx/crt0.S: Ditto.
        * crx/dvz_hndl.c: Ditto.
        * crx/flg_hndl.c: Ditto.
        * crx/fstat.c: Ditto.
        * crx/getpid.c: Ditto.
        * crx/iad_hndl.c: Ditto.
        * crx/intable.c: Ditto.
        * crx/isatty.c: Ditto.
        * crx/kill.c: Ditto.
        * crx/lseek.c: Ditto.
        * crx/Makefile.in: Ditto.
        * crx/open.c: Ditto.
        * crx/putnum.c: Ditto.
        * crx/read.c: Ditto.
        * crx/sbrk.c: Ditto.
        * crx/sim.ld: Ditto.
        * crx/stat.c: Ditto.
        * crx/svc_hndl.c: Ditto.
        * crx/time.c: Ditto.
        * crx/und_hndl.c: Ditto.
        * crx/unlink.c: Ditto.
        * crx/write.c: Ditto.

2004-10-01  Paul Brook  <paul@codesourcery.com>

	* arm/configure.in: Add *-*-aebi target.
	* arm/configure: Regenerate.

2004-08-25  Corinna Vinschen  <vinschen@redhat.com>

	* i386/cygmon.ld (.text): Fix alignment.
	(.rodata): Handle .rodata.* sections.

2004-06-27  Hideki Iwamoto <h-iwamoto@kit.hi-ho.ne.jp>

	* Makefile.in: Support $(DESTDIR).
	* arm/Makefile.in: Ditto.
	* d30v/Makefile.in: Ditto.
	* doc/Makefile.in: Ditto.
	* fr30/Makefile.in: Ditto.
	* frv/Makefile.in: Ditto.
	* hp74x/Makefile.in: Ditto.
	* i386/Makefile.in: Ditto.
	* i960/Makefile.in: Ditto.
	* iq2000/Makefile.in: Ditto.
	* libnosys/Makefile.in: Ditto.
	* m32r/Makefile.in: Ditto.
	* m68hc11/Makefile.in: Ditto.
	* m68k/Makefile.in: Ditto.
	* mcore/Makefile.in: Ditto.
	* mips/Makefile.in: Ditto.
	* mn10200/Makefile.in: Ditto.
	* mn10300/Makefile.in: Ditto.
	* pa/Makefile.in: Ditto.
	* rs6000/Makefile.in: Ditto.
	* sparc/Makefile.in: Ditto.
	* sparc/libsys/Makefile.in: Ditto.
	* xstormy16/Makefile.in: Ditto.

2004-06-25  Jeff Johnston  <jjohnstn@redhat.com>

	* libnosys/_exit.c: New file.
	* libnosys/Makefile.in: Add _exit.o.

2004-06-17  Jeff Johnston  <jjohnstn@redhat.com>

	* arm/configure.in: Check the value of newlib-may-supply-syscalls
	enablement variable to determine if crt0 should or should not be
	built.
	* arm/configure: Regenerated.
	* arm/Makefile.in: Changed to look at @BUILD_CRT0_TRUE@ and
	@BUILD_CRT0_FALSE@ variables set in configure to determine
	if crt0.o should be built and installed.

2004-06-09  Toralf Lund  <toralf@procaptura.com>

	* arm/crt0.S: Copied from newlib and it now also sets up stacks for 
	FIQ and IRQ mode, plus calls hardware_init_hook() and 
	software_init_hook() if present.
	* arm/libcfunc.c, arm/swi.h, arm/syscalls.c: Copied
	from newlib.
	* arm/Makefile.in: Build crt0.o, rdpmon-crt0.o, rdimon-crt0.o,
	librdpmon.a, librdimon.a - support file for "bare" setup, as well
	as "RDP" and "RDI" monitors.
	* arm/coff-rdpmon.specs, arm/elf-rdpmon.specs,
	arm/coff-rdimon.specs, arm/elf-rdimon.specs: gcc specs files to go
	with above mentioned support libs and startfiles.

2004-06-03  Alexandre Oliva  <aoliva@redhat.com>

        * mn10300/sim.ld: Start at address 4, to avoid ambiguity with NULL
        pointers.

2004-05-26  Jeff Johnston  <jjohnstn@redhat.com>

	* libnosys/sbrk.c: Add include of <_syslist.h> and "config.h".

2004-05-05  Richard Sandiford  <rsandifo@redhat.com>

	* mips/array.ld, mips/cfe.ld, mips/ddb-kseg0.ld, mips/ddb.ld,
	* mips/dve.ld, mips/idt32.ld, mips/idt64.ld, mips/idt.ld
	* mips/jmr3904app.ld, mips/lsi.ld, mips/nullmon.ld, mips/pmon.ld
	(.eh_frame_hdr, .eh_frame, .gcc_except_table, .jcr): New sections.

2004-04-02  Chris Demetriou  <cgd@broadcom.com>

	* mips/regs.S (C0_COUNT): Fix comment that kept this from being
	defined.
	* mips/vr4300.S: Use C0_COUNT as appropriate instead of hardcoding $9.
	* mips/vr5xxx.S: Likewise.

2004-03-23  Eric Christopher  <echristo@redhat.com>

	* frv/crt0.S: Fix comment.
	* mips/configure.in: Add mipsisa64-*-* to target support.
	* mips/configure: Regenerate.

2004-03-03  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11/sci-inout.S: Supports -mlong-calls.
	* m68hc11/sim-valid-m68hc11.ld (.tramp): New section for trampolines.
	(.text): Mark the .installN and .finiN section with KEEP.
	(.vectors): Likewise for .vectors.
	(.gcc_except_table): New section.
	* m68hc11/sim-valid-m68hc12.ld (.tramp): New section for trampolines.
	(.text): Mark the .installN and .finiN section with KEEP.
	(.vectors): Likewise for .vectors.
	(.gcc_except_table): New section.

2004-01-23  Gábor Lóki  <loki@inf.u-szeged.hu>

	* m68k/leds.c: remove led_putnum(), zylons() forward
	function declarations.
	* m68k/leds.h: add zylons() forward function declaration.

2004-01-06  Alexandre Oliva  <aoliva@redhat.com>

	2003-12-02  Richard Sandiford  <rsandifo@redhat.com>
	* frv/crt0.S (_start): Fix use of FDPIC conditionals.  Move the set of
	gr11 outside the FDPIC conditional.  Avoid clobbering gr4 too early.
	2003-11-14  Richard Sandiford  <rsandifo@redhat.com>
	* frv/crt0.S: Fix fdpic sp calculation.
	2003-11-05  Alexandre Oliva  <aoliva@redhat.com>
	* frv/crt0.S: Use __stacksize, not __stack, to initialize sp on
	FDPIC.  Update comments on computing _GLOBAL_OFFSET_TABLE_.  Don't
	fixup ctors nor dtors on FDPIC.
	2003-09-19  Alexandre Oliva  <aoliva@redhat.com>
	* frv/crt0.S (_start): Set up gr15 only for FDPIC.
	* frv/crt0.S (_start): Save _GLOBAL_OFFSET_TABLE_ in gr17, and set
	gr15 before function calls.
	2003-09-19  DJ Delorie  <dj@redhat.com>, Alexandre Oliva  <aoliva@redhat.com>
	* frv/crt0.S (_start): Set up gr15 with _GLOBAL_OFFSET_TABLE_'s
	value.

2003-10-27  Bernardo Innocenti  <bernie@develer.com>

	* m68k/asm.h: Add macros for -fPIC, -msep-data and
	-mid-shared-library support.
	* m68k/crt0.S: Use macros for -fPIC, -msep-data and
	-mid-shared-library support.
	* m68k/sim-crt0.S: Likewise.

2003-10-15  Bernardo Innocenti  <bernie@develer.com>

	* m68k/sim-funcs.c (_XOPEN_SOURCE): Define to get the pid_t
	typedef from <unistd.h>.

2003-08-26  Jason Merrill  <jason@redhat.com>

	* sparc/elfsim.ld: Fix __EH_FRAME_BEGIN__ definition.
	* sparc/sparc86x.ld: Likewise.

2003-08-20  Chris Demetriou  <cgd@broadcom.com>

        * mips/crt0_cfe.S: New file.
        * mips/cfe_mem.c: New file.
        * mips/cfe_prestart.S: Remove.
        * mips/cfe.ld: Adjust to use crt0_cfe.o as the startup file, and
        and use _start as the entry point.  Align BSS to 32-byte boundary.
        * mips/cfe.c: Reimplement to fit on top of a crt0_cfe.o file.
        * mips/cfe_api.h (__libcfe_stack_size, __libcfe_mem_limit)
        (__libcfe_meminit, __libcfe_stack_top): New prototypes.
        * mips/Makefile.in (CFEOBJS): Replace cfe_prestart.o with cfe_mem.o.
        (cfe.o, cfe_api.o, cfe_mem.o, crt0_cfe.o): New targets.
        * mips/configure.in: Build and install crt0_cfe.o when CFE support
        is built.
        * mips/configure: Regenerate.

2003-08-12  Jeff Johnston  <jjohnstn@redhat.com>

	* i386/cygmon-salib.c (unlink): New stub.

2003-08-08  Mark Salter <msalter@redhat.com>

        * i386/cygmon.ld: Add 4 byte alignment to __CTOR_LIST__

        Bernd Schmidt  <bernds@redhat.com>

        * i386/cygmon.ld: Add entry for .rodata.

2003-07-14  Kazuhiro Inaoka <inaoka.kazuhiro@renesas.com>

	* m32r/configure.in: fixed bug to delete ../config-ml.in.

2003-07-10  Alexandre Oliva  <aoliva@redhat.com>

	2001-10-30  Jeff Johnston  <jjohnstn@redhat.com>
	* mn10300/asb2305.ld: Added ASB2305 support.
	* mn10300/configure: Ditto.
	* mn10300/configure.in: Ditto.
	2001-09-12  Stan Cox  <scox@redhat.com>
	* mn10300/asb2303.ld: New file.  Linker script for the ASB2303
	AM33/2.00 board.
	* mn10300/configure.in: Add support for asb2303 board script.

2003-07-08  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.in: Reapply Kazuhiro Inaoko's multilib patch from
	04-17-03.
	* configure: Regenerated.

2003-06-23  Kazuhiro Inaoka  <inaoka.kazuhiro@renesas.com>

	* m32r/crt0.S (_start): Allow _stack to be placed anywhere
	in memory.

2003-06-06  Stan Cox  <scox@redhat.com>
            Jeff Johnston  <jjohnstn@redhat.com>
            Anthony Green  <green@redhat.com>

	* configure.in: Add iq2000 support.
	* configure: Rebuilt.
	* iq2000/Makefile.in, iq2000/access.c, iq2000/_exit.c,
	iq2000/configure, iq2000/chmod.c, iq2000/chown.c, iq2000/close.c,
	iq2000/configure.in, iq2000/creat.c, iq2000/crt0.S, iq2000/crt1.c,
	iq2000/execv.c, iq2000/execve.c, iq2000/fork.c, iq2000/fstat.c,
	iq2000/getpid.c, iq2000/gettime.c, iq2000/isatty.c, iq2000/kill.c,
	iq2000/lseek.c, iq2000/open.c, iq2000/pipe.c, iq2000/read.c,
	iq2000/sbrk.c, iq2000/sim.ld, iq2000/stat.c, iq2000/test.c,
	iq2000/time.c, iq2000/times.c, iq2000/trap.c, iq2000/trap.h,
	iq2000/unlink.c, iq2000/utime.c, iq2000/wait.c, iq2000/write.c:
	New files.

2003-05-27  Jeff Johnston  <jjohnstn@redhat.com>

	* libnosys/Makefile.in: Add errno.o.
	* libnosys/errno.c: New file to supply errno definition if
	one not provided yet.

2003-05-26  Eric Christopher  <echristo@redhat.com>

	* mips/crt0.S: Remove stackbase variable set.

2003-05-02  Eric Christopher  <echristo@redhat.com>

	* mips/cma101.c (__sizemem): Make sure that end is not in .sdata.

2003-04-29  Nick Clifton  <nickc@redhat.com>

	* libnosys/sbrk.c: Remove unnecessary #include's.
	Change return type of _sbrk() function to void * to match
	definition in system header files.
	Fix formatting.

2003-04-23  Andrew Haley  <aph@cambridge.redhat.com>

	* xstormy16/sim_rom.ld: New.
	* xstormy16/Makefile.in (SIM_SCRIPTS): Add sim_rom.ld.
	* xstormy16/crt0.s (_int_reset): Copy ROM data to RAM.
	* xstormy16/eva_app.ld (_rdata, _data): New.
	* xstormy16/sim_high.ld (_rdata, _data): New.

2003-04-17  Inaoka Kazuhiro  <inaoka.kazuhiro@renesas.com>

	* m32r/Makefile.in: Add multilib support.
	* m32r/configure.in: Ditto.
	* m32r/configure: Regenerated.

2003-04-16  Nick Clifton  <nickc@redhat.com>

	* xstormy16/sim_high.ld: Add .jcr section mapping.
	* xstormy16/eva_stub.ld: Likewise.
	* xstormy16/eva_app.ld: Likewise.

2003-04-09  Chris Demetriou  <cgd@broadcom.com>

	* mips/cfe.c (_flush_cache): New function.

2003-02-18  Richard Sandiford  <rsandifo@redhat.com>

	* mips/nullmon.c (_ftext, _end): Adjust declaration.
	(get_mem_info): Rework.

2003-02-18  Richard Sandiford  <rsandifo@redhat.com>

	* mips/crt0.S (zerobss): Reload __memsize after call.

2003-02-17  Chris Demetriou  <cgd@broadcom.com>

	* mips/cfe.c (__cfe_handle, __cfe_entrypt): Fix types.

2003-02-05  Chris Demetriou  <cgd@broadcom.com>

	* mips/configure.in (mipsisa32el-*-*): Handle in the same way
	as mipsisa32-*-*.
	(mipsisa32r2-*-*, mipsisa32r2el-*-*): New, handled in the same
	way as mipsisa32-*-*.
	* mips/configure: Regenerate.

2003-02-05  Chris Demetriou  <cgd@broadcom.com>

	* mips/cfe.c (hardware_hazard_hook): Move...
	* mips/cfe_prestart.S (hardware_hazard_hook): To here,
	and translate into assembly.

2003-01-08  Richard Sandiford  <rsandifo@redhat.com>

	* mips/crt0.S (_start): Allocate 64 bytes of stack instead of 32.
	Pass an empty argv and envp to main().

2003-01-08  Richard Sandiford  <rsandifo@redhat.com>

	* mips/configure.in (mips64vr-elf, mips64vrel-elf): New config.
	* mips/configure: Regenerate.

2003-01-07  Chris Demetriou  <cgd@broadcom.com>

	* crt0.S: Check for definition of __mips64 rather than
	checking (__mips < 3).
	* pmon.S: Likewise.
	* cygmon.c (sysCall): Avoid multi-line string literals.

2002-11-12 Jeff Johnston  <jjohnstn@redhat.com>

	*  mips/Makefile.in: Add cygmon support.
	*  mips/configure.in: Ditto.
	*  mips/configure: Regenerated.
	*  mips/crt0_cygmon.S: New file.
	*  mips/cygmon.c: Ditto.
	*  mips/pmon.S: Minor formatting and copyright changes.
	*  mips/crt0.S: Ditto.

2002-11-08 Jeff Johnston  <jjohnstn@redhat.com>

	* arm/Makefile.in: Add support for new pid specs.
	* arm/coff-iq80310.specs: Change to allow future support.
	* arm/elf-iq80310.specs: Ditto.
	* arm/elf-redboot.specs: Ditto.
	* arm/coff-redboot.ld: Add EH frame support.
	* arm/redboot-crt0.S: Add optional code to clear bss without
	memset.
	* arm/coff-pid.specs: New file.
	* arm/elf-pid.specs: New file.

2002-11-08 Jeff Johnston  <jjohnstn@redhat.com>
	   Catherine Moore  <clm@redhat.com>

        * m32r/configure.in:  Do not require gcc to be able to link an
        executable.
        * m32r/configure: Regenerate.
	* m32r/Makefile.in: Directly reference gdbstub.

2002-10-25  Bernd Schmidt  <bernds@redhat.com>

        * i386/cygmon.ld: Add entry for .gcc_except_table.

2000-10-25  Mark Salter  <msalter@redhat.com>

        * i386/cygmon-crt0.S: Use __USER_LABEL_PREFIX__ for symbols. Always
        use __start for start symbol.
        * i386/cygmon-salib.c: Don't build __do_global_[cd]tors for AOUT.
        Disable file I/O extensions to make Plum Hall happy.
        * i386/cygmon.ld: Set __start as entry point.
        * i386/Makefile.in: Support IS_AOUT.
        * i386/configure.in: Support IS_AOUT.
        * i386/configure: Regenerated.
        * i386/cygmon-salib.c:
        * i386/cygmon-gmon.c (_mcount): It's _etext.

2002-10-25  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.in: Clarify some of the triplets so unsupported
	configurations don't pass through.
	* configure: Regenerated.

2002-10-18  Stephane Carrez  <stcarrez@nerim.fr>

	* m68hc11/syscalls.c (sbrk): Use ptrdiff_t for increment parameter.

2002-10-07  Richard Sandiford  <rsandifo@redhat.com>

	* mips/ddb.ld: KEEP .init and .fini.
	* mips/ddb-kseg0.ld: Likewise.

2002-10-04  Michael Snyder  <msnyder@redhat.com>

        * m32r/m32r-lib.c (exceptionHandler): Fix computation of
        exception vector address, as suggested by Mitsubishi.
        (getExceptionVector): Ditto.

2002-08-01  Chris Demetriou  <cgd@broadcom.com>

	* mips/cfe.ld (STARTUP): New definition.
	* mips/ddb-kseg0.ld (STARTUP): Likewise.
	* mips/ddb.ld (STARTUP): Likewise.
	* mips/dve.ld (STARTUP): Likewise.
	* mips/idt.ld (STARTUP): Likewise.
	* mips/jmr3904app-java.ld (STARTUP): Likewise.
	* mips/jmr3904app.ld (STARTUP): Likewise.
	* mips/jmr3904dram-java.ld (STARTUP): Likewise.
	* mips/jmr3904dram.ld (STARTUP): Likewise.
	* mips/lsi.ld (STARTUP): Likewise.
	* mips/nullmon.ld (STARTUP): Likewise.
	* mips/pmon.ld (STARTUP): Likewise.

2002-07-23  Stephane Carrez  <stcarrez@nerim.fr>

        * README: Mention 68HC11/68HC12 support.
        * configure.in: Recognize m6811-elf and m6812-elf.
	* configure: Regenerated.
        * m68hc11/Makefile.in: New file.
        * m68hc11/configure.in: New file.
        * m68hc11/configure: New file.
        * m68hc11/crt0.S: New file.
        * m68hc11/sci-inout.S: New file for 68hc11/68hc12 sio.
        * m68hc11/sim-valid-m68hc11.ld: New file.
        * m68hc11/sim-valid-m68hc12.ld: New file.
        * m68hc11/syscalls.c: New file.

2002-07-22  Aldy Hernandez  <aldyh@redhat.com>

        * rs6000/simulator.S (gettimeofday): New.
        (getrusage): New.

2002-07-18  Chris Demetriou  <cgd@broadcom.com>

        * read.c (read): Don't assign past end of buffer, fix return value.

2002-07-12  Chris Demetriou  <cgd@broadcom.com>

        * mips/Makefile.in (GENOBJS2): New variable to name other
        commonly used objects.
        (DVEOBJS, JMR3904OBJS): Reference GENOBJS2.

        * mips/Makefile.in: Add support for Broadcom CFE firmware.
        * mips/configure.in: (mipsisa32*-*-*, *): Likewise.
        * mips/configure: Regenerate.
        * mips/cfe.c: New file.
        * mips/cfe.ld: New file.
        * mips/cfe_api.c: New file.
        * mips/cfe_api.h: New file.
        * mips/cfe_api_int.h: New file.
        * mips/cfe_error.h: New file.
        * mips/cfe_prestart.S: New file.

2002-07-12  Chris Demetriou  <cgd@broadcom.com>

        * mips/array.ld (hardware_exit_hook, hardware_hazard_hook): New
        symbols for optionally-provided functions.
        * mips/ddb-kseg0.ld: Likewise.
        * mips/ddb.ld: Likewise.
        * mips/dve.ld: Likewise.
        * mips/idt.ld: Likewise.
        * mips/idt32.ld: Likewise.
        * mips/idt64.ld: Likewise.
        * mips/idtecoff.ld: Likewise.
        * mips/jmr3904app-java.ld: Likewise.
        * mips/jmr3904app.ld: Likewise.
        * mips/jmr3904dram-java.ld: Likewise.
        * mips/jmr3904dram.ld: Likewise.
        * mips/lsi.ld: Likewise.
        * mips/nullmon.ld: Likewise.
        * mips/pmon.ld: Likewise.
        * mips/crt0.S: Invoke hardware_exit_hook and hardware_hazard_hook
        functions if they are provided.
        (_exit): Handle __embedded_pic properly.

2002-06-18  Dave Brolley  <brolley@redhat.com>

	From Catherine Moore, Michael Meissner, Richard Sandiford:
	* configure.in: Support frv*-*-*.
	* frv/Makefile.in: New file.
	* frv/configure: New file.
	* frv/configure.in: New file.
	* frv/crt0.S: New file.
	* frv/fstat.c: New file.
	* frv/getpid.c: New file.
	* frv/isatty.c: New file.
	* frv/kill.c: New file.
	* frv/print.c: New file.
	* frv/putnum.c: New file.
	* frv/sbrk.c: New file.
	* frv/sim-close.S: New file.
	* frv/sim-exit.S: New file.
	* frv/sim-inbyte.c: New file.
	* frv/sim-lseek.S: New file.
	* frv/sim-open.S: New file.
	* frv/sim-read.S: New file.
	* frv/sim-time.c: New file.
	* frv/sim-unlink.S: New file.
	* frv/sim-write.S: New file.
	* frv/stat.c: New file.

2002-05-11  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* libnosys/acconfig.h (HAVE_SECTION_ATTRIBUTES): New macro.
	* libnosys/configure.in: Check gcc's support for section attributes.
	* libnosys/warning.h: Have link_warning expand to nothing if gcc
	does not support section attributes.

2002-04-22  Jonathan Larmour  <jlarmour@redhat.com>

	* arm/syscall.h: New file. To define extra syscall values for RedBoot.

	* arm/redboot-syscalls.c (_close): Fix setting of errno value.
	(_lseek): Ditto.
	(_open): Ditto.
	(_write): Ditto.
	(_read): Ditto.
	(_rename): New function.
	(_system): Ditto.
	(_stat): Ditto.
	(_unlink): Call a syscall for this now.
	(isatty): Ditto.
	(_fstat): Ditto.
	(_gettimeofday): Ditto.

2002-04-17  Joel Sherrill <joel@OARcorp.com>

	* debug.h: Change mem_err to volatile to match definition in
	debug.c.

2002-04-17  Joel Sherrill <joel@OARcorp.com>

	* sparc/cygmon-salib.c, sparc/erc32-stub.c: Don't use multi-line
	strings.

2002-04-16  Jeff Johnston  <jjohnstn@redhat.com>

	* m68k/configure.in: Change to use LIB_AC_PROG_CC instead
	of AC_PROG_CC to avoid building an executable in configuration.
	* m68k/configure: Regenerated.

2002-04-15  Hans-Peter Nilsson  <hp@bitrange.com>

        * d30v/syscalls.c: #include <time.h>.  Don't use multi-line
        strings.

2002-04-15  Hans-Peter Nilsson  <hp@bitrange.com>

        * m32r/trapmon0.c (__trap0): Don't use multi-line strings.

2002-02-05  Mark Salter  <msalter@redhat.com>

	* arm/elf-iq80310.specs: Ditto.
	* arm/elf-redboot.specs: Ditto.
	* arm/elf-redboot.ld: Fix eh_frame sections. Add .jcr section.
	* arm/redboot-crt0.S: Add support for __USES_INITFINI__.

2002-02-01  Geoffrey Keating  <geoffk@redhat.com>

	* xstormy16/Makefile.in (SIM_OBJS): Remove sbrk.o, add
	sim_malloc_start.o.
	* xstormy16/eva_app.ld: Add __malloc_start.
	* xstormy16/sbrk.c: Remove.
	* xstormy16/sim_malloc_start.s: New file.
	* xstormy16/sim_high.ld: Make the stack start immediately at the
	end of the program.

2002-02-01  Michael Meissner  <meissner@redhat.com>

	* mips/cma101.c (__sizemem_default): Allow user to specify the
	memory size.
	(__sizemem): Use it.

2002-01-24  Mark Salter  <msalter@redhat.com>

	* arm/redboot-crt0.S: Use __get_memtop to put stack in high memory.

	* arm/redboot-syscalls.c (_times): Unconditionally use SYS_times.
	(__get_memtop): New funtion to return top of memory.

2002-01-15  Mark Salter  <msalter@redhat.com>

	* xstormy16/eva_stub.ld: Provide interrupt routine symbols which
	forward interrupts to user application vectors.

	* xstormy16/crt0_stub.s: Remove default interrupt routines.

	* xstormy16/Makefile.in: Rename stub app to eva_stub.elf and
	add it to install list.

2002-01-07  Mark Salter  <msalter@redhat.com>

	* configure.in: Add support for arm, strongarm, and xscale.
	* configure: Regenerated.
	* arm/coff-iq80310.specs: New file.
	* arm/coff-redboot.ld: New file.
	* arm/coff-redboot.specs: New file.
	* arm/configure: New file.
	* arm/configure.in: New file.
	* arm/elf-iq80310.specs: New file.
	* arm/elf-redboot.ld: New file.
	* arm/elf-redboot.specs: New file.
	* arm/Makefile.in: New file.
	* arm/redboot-crt0.S: New file.
	* arm/redboot-syscalls.c: New file.

2001-12-22  Geoffrey Keating  <geoffk@redhat.com>
	    Mark Salter  <msalter@redhat.com>
	    Catherine Moore  <clm@redhat.com>
	    Richard Henderson  <rth@redhat.com>

	* configure.in: Add xstormy16.
	* libnosys/configure.in: Add xstormy16.
	* configure: Regenerated.
	* libnosys/configure: Regenerated.
	* xstormy16/Makefile.in: New file.
	* xstormy16/close.c: New file.
	* xstormy16/configure: New file.
	* xstormy16/configure.in: New file.
	* xstormy16/crt0.s: New file.
	* xstormy16/crt0_stub.s: New file.
	* xstormy16/crti.s: New file.
	* xstormy16/crtn.s: New file.
	* xstormy16/eva_app.c: New file.
	* xstormy16/eva_app.ld: New file.
	* xstormy16/eva_stub.ld: New file.
	* xstormy16/fstat.c: New file.
	* xstormy16/getpid.c: New file.
	* xstormy16/kill.c: New file.
	* xstormy16/lseek.c: New file.
	* xstormy16/open.c: New file.
	* xstormy16/sbrk.c: New file.
	* xstormy16/sim_high.ld: New file.
	* xstormy16/stat.c: New file.
	* xstormy16/syscalls.S: New file.
	* xstormy16/syscalls.m4: New file.
	* xstormy16/unlink.c: New file.
	* xstormy16/xstormy16_stub.c: New file.

2001-10-31  Jeff Johnston  <jjohnstn@redhat.com>

	* m32r/Makefile.in: Use gdb stub set by configure.
	* m32r/configure.in: Add a special macro for testing
	c compiler without building executable.  Add setting of
	GDBSTUB.
	* m32r/configure: Regenerated.

2001-10-31  David Howells  <dhowells@redhat.com>

	* syscall.h: Added SYS_times, SYS_gettimeofday, SYS_link values.
        * mn10300/times.c: Renamed "times" to "_times" so that it can be
        referenced by newlib.
        * mn10300/cygmon.c: New file.
        * mn10300/crt0_redboot.S: Ditto.
        * mn10300/crt0_cygmon.S: Ditto.
        * mn10300/Makefile.in: Added RedBoot and Cygmon support.
	* mn10300/configure.in: Changed to allow for future
	evaluation boards to be added.
	* mn10300/configure: Regenerated.

2001-10-17  Michael Meissner  <meissner@redhat.com>

	* regs.S (K0BASE_ADDR,K1BASE_ADDR): Define as addresses to
	identify if a program is running in kernel segment 0.

	* cma101.c (__sizemem): If we are running in kernel segment 0,
	instead of kernel segment 1, use kernel segment 0 addresses which
	are uncached when sizing memory.

	* ddb-kseg0.ld: New file, clone of ddb.ld, except it links the
	program to run in kernel segment 0, instead of kernel segment 1.

	* configure.in: Treat ddb-kseg0.ld like ddb.ld.
	* configure: Regenerate.

2001-09-15  Eric Christopher  <echristo@redhat.com>

	* mips/configure.in (LIB_AC_PROG_CC): Fix typo in mipsisa32 to
	mipsisa32*.
	* mips/configure: Regenerate.

2001-09-14  Eric Christopher  <echristo@redhat.com>

	* mips/configure.in: Add mipsisa32 support.
	* mips/configure: Regenerate.
	* mips/idt32.ld: New file.
	* mips/idt64.ld: New file.

2001-09-11  Michael Meissner  <meissner@redhat.com>

	* mips/crt0.S (_start): If -mfp32, don't enable 64-bit floating
	point registers, even if we are compiling for a mips3 or greater.

2001-09-10  Jim Blandy  <jimb@redhat.com>

	Add support for GDB monitor-style I/O.
	* m68k/idp-outbyte.c (raw_outbyte): Renamed from outbyte; made
	static.
	(outbyte): Call raw_outbyte; if GDB_MONITOR_OUTPUT is #defined,
	precede the byte with a ^O character.
	* m68k/idpgdb.ld: New linker script.
	* m68k/Makefile.in (IDPGDB_LDFLAGS, IDPGDB_BSP, IDPGDB_OBJS): New
	variables.
	(all): Add ${IDPGDB_BSP} to the list of things to build.
	(${IDPGDB_BSP}, idp-gdb-outbyte.o, idpgdb-test.x,
	idpgdb-test.srec, idpgdb-test.dis, idpgdb-test): New rules.
	(install): Install the IDPGDB stuff, too.

2001-08-30  Richard Henderson  <rth@redhat.com>
	    Eric Christopher  <echristo@redhat.com>

	* mips/crt0.S: Fix for .init/.fini sections.

2001-08-30  Richard Henderson  <rth@redhat.com>
	    Eric Christopher  <echristo@redhat.com>

	* mips/idt.ld: Rewrite for .init/.fini sections.

2001-08-22  Jonathan Larmour  <jlarmour@redhat.com>

	* mips/Makefile.in (jmr3904-io.o): Remove bogus use of `-mips3.'

2001-07-18  Jeff Johnston  <jjohnstn@redhat.com>

        * hp74x/configure: Regenerated with current autoconf.
        * m32r/configure: Ditto.
        * m68k/configure: Ditto.
        * pa/configure: Ditto.
        * sparc/configure: Ditto.

2001-03-08  Geoffrey Keating  <geoffk@redhat.com>

	* rs6000/simulator.S (dup): New syscall.

2001-02-28  Will Cohen  <wcohen@redhat.com>

        * src/libgloss/m68k/Makefile.in: Updated copyright and
         added rules to build simulator related libraries.
        (SIM_SCRIPTS): New variable.
        (SIM_LDFLAGS): New variable.
        (SIM_BSP): New variable.
        (SIM_CRT0): New variable.
        (SIM_OBJS): New variable.
        (SIM_TEST): New variable.
        (SIM_INSTALL): new variable.
        * src/libgloss/m68k/sim-abort.c: New file.
        * src/libgloss/m68k/sim-crt0.S: New file.
        * src/libgloss/m68k/sim-errno.c: New file.
        * src/libgloss/m68k/sim-funcs.c: New file.
        * src/libgloss/m68k/sim-inbyte.c: New file.
        * src/libgloss/m68k/sim-print.c: New file.
        * src/libgloss/m68k/sim-sbrk.c: New file.
        * src/libgloss/m68k/sim.ld: New file.
        * src/libgloss/m68k/simulator.S: New file.

2001-02-22  Jeff Johnston  <jjohnstn@redhat.com>

	* mn10200/access.c: With DJ Delorie's permission, this code is
	now freely modifiable with no reference to "copying.dj".
	* mn10300/access.c: Ditto.

2001-02-06  Will Cohen  <wcohen@redhat.com>

        * rs6000/sim-errno.c (__errno): Removed.
        (_cerror): Use re-entrant version of errno.

2000-09-05  Geoff Keating  <geoffk@cygnus.com>

	* rs6000/simulator.S: Use conditional returns for documentation
	purposes.
	(access): Add new syscall.

Wed May 24 16:47:12 2000  Alexandre Oliva  <aoliva@cygnus.com>

	* mn10300/time.c (time): Set *tloc, since the sim doesn't.

Mon Jan 31 18:45:26 2000  Donald Lindsay  <dlindsay@cygnus.com>

	* mips/crt0.S: If compiled into a mips2 multilib, sets processor
	status register for 32 bit addressing
	* mips/regs.S: Add symbols for status and config register fields.
	* mips/vr5xxx.S: Variant of vr300.S with extensions to __cpu_flush()
	to cope with Vr5000 secondary cache and with Vr5432 CACHE instruction.
	* mips/Makefile.in:  Add rule for forming vr5xxx.o.
	* mips/configure.in:  Add case arm for mips64vr5000 since the
	default (which was previously used) should not get vr5xxx.o.

Wed Dec 22 19:08:09 1999  Christopher Faylor <cgf@cygnus.com>

	* wince/Makefile.am: Use LDADD from configure.
	* wince/Makefile.in: Regenerate.
	* wince/configure.in: Determine libraries needed based (crudely) on
	target.
	* wince/configure: Regenerate.

1999-12-16  Tom Tromey  <tromey@cygnus.com>

	* mips/Makefile.in (jmr3904-io.o): Don't compile with `-mips3'.

	* mips/jmr3904-io.c: Actually completed merge of Andrew Haley's
	patch of 1998-11-23.

	* mips/jmr3904dram-java.ld: Provide _Jv_QthreadsStackSize.  Link
	against -lgcjcoop, not -lqthreads.
	* mips/jmr3904app-java.ld: Provide _Jv_QthreadsStackSize.

1999-12-16  Brendan Kehoe  <brendan@cygnus.com>

	* m68k/idp.ld: Only use specific .dtors and .ctors uses of KEEP,
	without the bits for __{C,D}TOR_{LIST,END}__.

1999-12-14  Geoff Keating  <geoffk@cygnus.com>

	* m68k/idp.ld (.text): Put crtbegin at the start of the
	constructors and destructors.

Mon Nov 29 12:14:48 1999  Christopher Faylor <cgf@cygnus.com>

	* wince/Makefile.am: Add missing gdbdir assignment.
	* wince/Makefile.in: Regenerate.

1999-11-22  Gavin Romig-Koch  <gavin@cygnus.com>

       * mips/idt.ld: Remove the OUTPUT_ARCH("mips:4000") directive.

1999-11-15  Nick Clifton  <nickc@cygnus.com>

	* configure.in: Add arm-wince-pe target.
	* configure: Regenerate.

1999-11-11  Brendan Kehoe  <brendan@cygnus.com>

	* sparc/elfsim.ld (.text): Also provide __EH_FRAME_BEGIN__ since we're
	not bringing in crtbegin.o.
	* sparc/sparc86x.ld (.text): Likewise.   Add initp support.

1999-10-30  Geoffrey Keating  <geoffk@cygnus.com>

	* mips/crt0.S: Handle -membedded-pic properly.  Set the $gp much
 	earlier because it'll be needed.  Set the high bits of the PC to
 	be consistent with other pointers, so that exception handling
 	doesn't get confused.

1999-09-27  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* sparc/crt0.s: Delete. This file is obsolete and caused problems
	on case-insensitive windows filesystems.

Wed Sep 22 15:59:17 1999  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Generalize Windows CE target detection.
	* configure: Regenerate.
	* wince/Makefile.am: Rename CE stub filename.
	* wince/Makefile.in: Regenerate.
	* wince/configure.in: Allow changing of CE stub.
	* wince/configure: Regenerate.

1999-07-26  Andrew Haley  <aph@cygnus.com>

	* m32r/crt0.S (_start): Use a full word immediate for __bss_start
	and _end to allow them to be placed anywhere in memory.

1999-07-08  Jason Merrill  <jason@yorick.cygnus.com>

	* sparc/elfsim.ld: Provide initp support.

1999-06-22  Nick Clifton  <nickc@cygnus.com>

	* mips/dve.ld (.rdata): Rename section to .rodata.
	* mips/idt.ld (.rdata): Rename section to .rodata.
	* mips/jmr3904app-java.ld (.rdata): Rename section to .rodata.
	* mips/jmr3904app.ld (.rdata): Rename section to .rodata.
	* mips/lsi.ld (.rdata): Rename section to .rodata.
	* mips/nullmon.ld (.rdata): Rename section to .rodata.
	* mips/pmon.ld (.rdata): Rename section to .rodata.
	* mips/r5900.ld (.rdata): Rename section to .rodata.
	* mips/sky.ld (.rdata): Rename section to .rodata.
	* mips/vpu.ld (.rdata): Rename section to .rodata.

Tue Jun 01 16:57:46 1999  Jeff Johnston <jjohnstn@cygnus.com>

	* libnosys/configure.in: Added setting of ac_file
	prior to calling config-ml.in.
	* libnosys/configure: Regenerated.
	* libnosys/Makefile.in: Added code to make install directory
	for libnosys.a prior to installing.

Wed May 26 17:22:46 1999  Christopher Faylor <cgf@cygnus.com>

	* Makefile.am: Expect the object file to be in the
	current directory.
	* Makefile.in: Regenerate.

Tue May 25 14:35:21 1999  Christopher Faylor <cgf@cygnus.com>

	* configure.in: Add wince targest.
	* configure: Regenerate.
	* wince: New directory
	* wince/Makefile.am: New file.
	* wince/Makefile.in: New file.
	* wince/aclocal.m4: New file.
	* wince/configure: New file.
	* wince/configure.in: New file.

1999-05-24  Jim Wilson  <wilson@cygnus.com>

	* sparc/elfsim.ld: Add `.data.*'.

1999-05-22  Jason Merrill  <jason@yorick.cygnus.com>

	* m68k/idp.ld: Add initp support.
	* sparc/cygmon.ld.src: Likewise.

1999-05-14  Nick Clifton  <nickc@cygnus.com>

	* mcore/syscalls.S (_sbrk): Round to 8 bytes not 4.

1999-05-13  Mark Salter  <msalter@cygnus.com>

	* mcore/configure.in: Fixed multilib support.
	* mcore/configure: Regenerated.
	* mcore/Makefile.in: Fixed multilib problems.
	Added cmb board support
	* mcore/close.c: New file.
	* mcore/cmb-exit.c: Ditto.
	* mcore/cmb-inbyte.c: Ditto.
	* mcore/cmb-outbyte.c: Ditto.
	* mcore/elf-cmb.ld: Ditto.
	* mcore/elf-cmb.specs: Ditto.
	* mcore/fstat.c: Ditto.
	* mcore/getpid.c: Ditto.
	* mcore/kill.c: Ditto.
	* mcore/lseek.c: Ditto.
	* mcore/open.c: Ditto.
	* mcore/pe-cmb.ld: Ditto.
	* mcore/pe-cmb.specs: Ditto.
	* mcore/print.c: Ditto.
	* mcore/putnum.c: Ditto.
	* mcore/raise.c: Ditto.
	* mcore/read.c: Ditto.
	* mcore/sbrk.c: Ditto.
	* mcore/stat.c: Ditto.
	* mcore/unlink.c: Ditto.
	* mcore/write.c: Ditto.
	* mcore/c-syscalls.c: Removed.

1999-05-07  Nick Clifton  <nickc@cygnus.com>

	* mcore/syscalls.S (_write): Use 0x50FF instead of trap 1.
	Tidy up code layout.

1999-05-06  Nick Clifton  <nickc@cygnus.com>

	* mcore/Makefile.in: Fix build rule.
	* mcore/syscalls.s: Rename to syscalls.S

1999-05-04  Nick Clifton  <nickc@cygnus.com>

	* mcore/configure.in: Depend upon crt0.S not crt0.s.
	* mcore/configure: Regenerate.

1999-04-29  Nick Clifton  <nickc@cygnus.com>

	* mcore/crt0.S: Renamed file from crt0.s.
	Only invoke init() and fini() routines for ELF builds.
	Use __bss_start__ and __bss_end__ to locate .bss section.

1999-04-26  Angela Marie Thomas <angela@cygnus.com>

        * mips/array.ld:  Fix ELF ctor/dtor support.
        * mips/ddb.ld: Likewise.
        * mips/dve.ld: Likewise.
        * mips/idt.ld: Likewise.
        * mips/jmr3904app.ld: Likewise.
        * mips/lsi.ld: Likewise.
        * mips/nullmon.ld: Likewise.
        * mips/pmon.ld: Likewise.
	* mips/r5900.ld: Likewise.
	* mips/sky.ld: Likewise.
	* mips/vpu.ld: Likewise.

1999-04-22  Nick Clifton  <nickc@cygnus.com>

	* mcore/crt0.s: Initialise data section, call _init and _fini.

	* mcore/syscalls.s (_exit): Renamed from __exit.

	* fr30/crt0.s (_start): Initialise arg[cv] after calling _init and
	atexit.

1999-04-21  Nick Clifton  <nickc@cygnus.com>

	* mcore/crt0.s (_start): Use .long directive, not .word.

	* mcore/syscalls.s (_sbrk): fix syntax.

1999-04-20  Jason Molenda  (jsm@bugshack.cygnus.com)

	* sparc/sparc86.ld: Set alignment for the .data section.

1999-04-18  Nick Clifton  <nickc@cygnus.com>

	* configure.in: Add support for mcore targets.
	* configure: Regenerate.
	* mcore: New directory.
	* mcore/Makefile.in: New File: meta Makefile.
	* mcore/configure.in: New File: meta configure file..
	* mcore/configure: New File: Generated.
	* mcore/crt0.s: New File: mcore startup code.
	* mcore/syscalls.s: New File: Assembler system call stubs.
	* mcore/c-syscalls.c: New File: C system call stubs.

Tue Apr 13 17:20:34 1999  Catherine Moore  <clm@cygnus.com>

        * mips/array.ld:  Support linkonce sections.
        * mips/ddb.ld: Likewise.
        * mips/dve.ld: Likewise.
        * mips/idt.ld: Likewise.
        * mips/jmr3904app.ld: Likewise.
        * mips/jmr3904app-java.ld: Likewise.
        * mips/jmr3904dram.ld: Likewise.
        * mips/jmr3904dram-java.ld: Likewise.
        * mips/lsi.ld: Likewise.
        * mips/nullmon.ld: Likewise.
        * mips/pmon.ld: Likewise.
        * mips/r5900.ld: Likewise.
        * mips/sky.ld: Likewise.
        * mips/vpu.ld: Likewise.

Mon Apr 12 21:01:46 1999  Catherine Moore  <clm@cygnus.com>

        * mips/array.ld:  Add ELF ctor/dtor support.
        * mips/ddb.ld: Likewise.
        * mips/dve.ld: Likewise.
        * mips/idt.ld: Likewise.
        * mips/jmr3904app.ld: Likewise.
        * mips/lsi.ld: Likewise.
        * mips/nullmon.ld: Likewise.
        * mips/pmon.ld: Likewise.
        * mips/r5900.ld: Likewise.
        * mips/sky.ld: Likewise.
        * mips/vpu.ld: Likewise.

Sun Apr 11 00:43:34 1999  Jim Wilson  <wilson@cygnus.com>

	* i960/crt0.c (_start): Increase stack size to 256K.

Wed Mar 31 17:56:41 1999  Bob Manson  <manson@charmed.cygnus.com>

	* i386/cygmon-salib.c: Add read and write syscall support.
	* i386/cygmon-syscall.h: Ditto.

	* i386/cygmon-gmon.[ch]: Profile support.

Sun Feb 28 23:39:32 1999  Geoffrey Noer  <noer@cygnus.com>

	* libnosys/configure.in: Check cygwin*, not cygwin32.
	* libnosys/configure: Regenerate.

1999-02-18  Tom Tromey  <tromey@cygnus.com>

	* mips/configure: Rebuilt.
	* mips/configure.in (script_list): Added jmr3904dram-java and
	jmr3904app-java.
	* mips/jmr3904dram-java.ld: New file.
	* mips/jmr3904dram.ld: Don't mention -lqthreads.
	* mips/jmr3904app-java.ld: New file.
	* mips/jmr3904app.ld: Don't mention -lgcjcoop.

Wed Feb 17 13:27:24 1999  Jim Wilson  <wilson@cygnus.com>

	* m68k/crt0.S (start): Use jpbl not jmi in coldfire code.

1999-02-18  Tom Tromey  <tromey@cygnus.com>

	* Merge from branch:

	Tue Feb 16 12:57:06 PST 1999  Angela Marie Thomas  <angela@cygnus.com>

	* mips/jmr3904app.ld: Change -lqthreads to -lgcjcoop due to
	library name change.

	Thu Feb  4 16:15:44 1999  Warren Levy  <warrenl@cygnus.com>

	* mips/configure.in (script_list): Added jmr3904dram.ld.
	* mips/configure: Rebuilt.

	Thu Jan 21 19:11:45 1999  Warren Levy  <warrenl@cygnus.com>

	* mips/jmr3904dram.ld: Created.

	Wed Dec 30 11:15:46 1998  Anthony Green  <green@cygnus.com>

	* mips/jmr3904app.ld: libgcc is dependent on libqthreads, so
	it must be linked it.

	Wed Dec 30 11:04:54 1998  Anthony Green  <green@cygnus.com>

	* mips/jmr3904app.ld: Make sure the stack owns all 8k plus
	the padding allocated for alignment.

	1998-11-23  Andrew Haley  <aph@viagra.cygnus.co.uk>

	* mips/jmr3904-io.c: change get_mem_info() to use _mem_size
	imported from the linker script.
	* mips/jmr3904app.ld: Provide _mem_size.

	* mips/jmr3904app.ld: Allocate 8k bytes for stack.

	1998-11-19  Andrew Haley  <aph@viagra.cygnus.co.uk>

	* mips/crt0.S: set argc to 0 before calling main()
	* get_mem_info() was incorrect; jmr3904 has 1M max of SRAM.

	Wed Nov  4 15:28:44 1998  Anthony Green  <green@cygnus.com>

	* mips/jmr3904-io.c: Implement get_mem_info().

	Wed Nov  4 15:22:41 1998  Anthony Green  <green@cygnus.com>

	* mips/Makefile.in: Rename libtx39jmr.a to libjmr3904.a.
	* mips/configure.in: Ditto.
	* mips/configure: Regenerate.

	Tue Nov  3 15:39:14 1998  Angela Marie Thomas (angela@cygnus.com)

	* mips/configure.in: Add jmr3904app to script list for tx39.
	* mips/configure: Regenerate.

1999-02-08  Nick Clifton  <nickc@cygnus.com>

	* libnosys/configure.in: Add support for StrongARM target.
	* libnosys/configure: Regenerate.

Thu Feb  4 10:56:59 1999  Jeff Johnston  <jjohnstn@cygnus.com>

	* d30v/syscalls.c (time): Added code to honor argument
	passed to time which is either a pointer to a time_t
	value to set or is the NULL pointer.

1999-02-03  Keith Seitz  <keiths@cygnus.com>

        * m32r/m32r-lib.c (rx_char): Rename rx_uchar and return
        only unsigned chars.
        (getDebugChar2): Remove and integrate support into "M"
        packet code.

1999-01-29  Doug Evans  <devans@casey.cygnus.com>

	* sparc/erc32-crt0.S (_exit): Set magic number for simulator.
	* sparc/traps.S (win_flush): Make sure %sp is valid before flushing
	all windows.

Tue Jan 19 06:19:51 1999  Jeffrey A Law  (law@cygnus.com)

	* mn10300/crt0.S: Use ".stack" for the name of the stack section,
	not "._stack".  Remove mn10200 support.
	* mn10300/trap.S: Remove mn10200 support.
	* mn10300/sim.ld: Collect *(.stack) *(._stack) input sections into
	the .stack output section to be safe.
	* mn10300/eval.ld: Likewise.

	* mn10200/crt0.S: Use ".stack" for the name of the stack section,
	not "._stack".
	* mn10200/sim.ld: Collect *(.stack) *(._stack) input sections into
	the .stack output section to be safe.
	* mn10200/eval.ld: Likewise.

1999-01-14  Nick Clifton  <nickc@cygnus.com>

	* fr30/Makefile.in: Set target of install to be SIM_INSTALL not
	MON_INSTALL.

	* fr30/crt0.s (_start): Use atexit to call C++ global
	destructors.  Patch from Mark Salter <msalter@cygnus.com>

1999-01-12  Nick Clifton  <nickc@cygnus.com>

	* fr30/crt0.s: Remove .stack section - it is no longer necessary.

1999-01-11  Nick Clifton  <nickc@cygnus.com>

	* fr30/crt0.s (_start): Add calls to _init and _fini for C++
	global constructor/destructor support.

1999-01-07  Nick Clifton  <nickc@cygnus.com>

	* fr30/crt0.s (_start): Apply patch from Mark Salter
	<msalter@cygnus.com> to cope with initialising .bss areas that are
	not word sized.

1998-12-23  Michael Meissner  <meissner@cygnus.com>

	* m68k/idp.ld (.eh_frame): Add section to the .text segment.
	(__{INIT,FINI}__SECTION__): Align to a 4 byte boundary.
	(.gcc_except_table): Ditto.

Mon Dec 21 22:45:05 1998  Mark Alexander  <marka@cygnus.com>

	* sh/sh1lcevb.ld: Add DWARF sections.
	* sh/sh2lcevb.ld: Ditto.
	* sh/sh3lcevb.ld: Ditto.
	* sh/sh3bb.ld: Ditto.

Fri Dec 18 22:07:21 1998  Bob Manson  <manson@charmed.cygnus.com>

	* i386/cygmon.ld: Make sure -lcygmon appears both before
	and after -lc, so we pick up functions from there in
	preference to libc functions.

	* i386/cygmon-salib.c: Add syscalls for time and gettimeofday.
	Don't add __do_global_ctors () and __do_global_dtors () if
	we're on a coff target.
	(open): Add dummy function so plumhall will compile.
	(clock): Replacement for clock () syscall that uses
 	gettimeofday().


1998-12-18  Gavin Romig-Koch  <gavin@cygnus.com>

	* mips/Makefile.in, mips/vr4300.S: Move the -mips3 into vr4300.S.

1998-12-17  Nick Clifton  <nickc@cygnus.com>

	* fr30/syscalls.c: Include ../syscall.h not ../../sim/fr30/targ-vals.h
	(_open): Return file descriptor allocated by simulator.
	(isatty): Always false to avoid having to cope with reads from
	stdin.  For Now...

1998-12-16  Nick Clifton  <nickc@cygnus.com>

	* fr30/Makefile.in: Add libraries to clean target.

	* fr30/syscalls.c (_write): Save length so that it can be returned
	to caller.

	* fr30/crt0.s (_start): Initialise argc, argv and envp before
	calling main().

1998-12-15  Gavin Romig-Koch  <gavin@cygnus.com>

	* mips/ddb.ld (OUTPUT_ARCH): Remove.

1998-12-12  Nick Clifton  <nickc@cygnus.com>

	* fr30/syscalls.c: Remove stub for abort and add stubs for _kill
	and _getpid.

1998-12-11  Nick Clifton  <nickc@cygnus.com>

	* configure.in: Add support for fr30 target.
	* configure: Regenerate.
	* fr30: New directory.
	* fr30/Makefile.am: New file - build crt0.o and libsim.a
	* fr30/Makefile.in: New file - generate from Makefile.am.
	* fr30/configure.in: New file - support fr30 target
	* fr30/configure: New file - generate from configure.in.
	* fr30/crt0.s: New file - Basic executable startup code.
	* fr30/syscalls.c: New file - System call emulation library.

1998-12-11  Gavin Romig-Koch  <gavin@cygnus.com>

	*  mips/crt0.S (_start): Change initialization of FR.

1998-12-08  James E Wilson  <wilson@wilson-pc.cygnus.com>

	* i960/crt0.c (set_stack): Change return type to void.  Init SP to
	FP + 64 instead of FP.  Simplify code to align ptr.
	(_start): Call exit instead of _exit.  Delete local variable stack.
	Init stack to heap+4096.
	* i960/mon960.c (abort): Ifdef out.
	* i960/syscall.h: New file.

1998-12-04  Ken Raeburn  <raeburn@cygnus.com>

	* mips/cma101.c (time): Add heuristic to handle Y2K overflow.

Tue Dec  1 17:57:52 1998  Stan Shebs  <shebs@andros.cygnus.com>

	* config/ppc.mh (.s.o): Don't use CFLAGS_MRELOCATABLE when
	assembling.

Wed Nov 18 19:14:15 1998  Jim Wilson  <wilson@cygnus.com>

	* mips/entry.S: Handle mips16 builds.

1998-10-30  Ian Molee  <imolee@cygnus.com>

	* m32r/trapmon0.c: New file.  Mon2000 trap handler.
	* m32r/trapmon0.S: Removed.
	* m32/Makefile.in: Changed to reflect above-changed files.

Wed Oct 28 07:55:55 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/crt0.S: Move entry point to start of text section.
	Put the address of the data section at the start of the section,
	so the GDB sparclite loader can find it for a.out loads.

Mon Oct 26 13:11:41 1998  Jeffrey A Law  (law@cygnus.com)

	* d30v/syscalls.c (time): Returns a time_t and accepts a pointer to
	a time_t as its argument.

	* i386/cygmon-syscall.h: Fix bogus asm constraints.  You must not
	clobber a register that overlaps with an input or output.

Fri Oct 23 11:06:16 1998  John Metzler  <jmetzler@cygnus.com>

	* mips/jmr3904-io.c (hardware_init_hook): Add file to support
 	serial input and out put as required by libgloss read and write
 	functions.

	* mips/jmr3904app.ld : LInker script for tx39jmr3904 board. Uses
 	addresses per eCos conventions, not original ROM monitor.

	* configure.in: Add libtx39jmr.c to build target

	* Makefile.in: rules for libtx39jmr.a and jmr3904-io.o

1998-10-15  Ian Molee  <imolee@cygnus.com>

	* m32r/mon.specs: New file
	* m32r/trapmon0.S: New file
	* m32r/Makefile.in: Modified to add support for mon2000 trap0.

Tue Oct 13 11:52:03 1998  Jeff Johnston  <jjohnstn@cygnus.com>

	* libnosys/warning.h: New file.

1998-10-06  Ken Raeburn  <raeburn@cygnus.com>

	* mips/configure.in: Build nullmon stuff in default case.  Don't
	treat vr4100 specially.

Tue Oct  6 15:17:42 1998  Jeff Johnston  <jjohnstn@cygnus.com>

	* libnosys/sbrk.c (_sbrk): Added reference to config.h.
	* libnosys/close.c (_close): Added stub warning outside of
	function body and added reference to config.h.
	* libnosys/execve.c (_execve): Ditto.
	* libnosys/fork.c (_fork): Ditto.
	* libnosys/fstat.c (_fstat): Ditto.
	* libnosys/getpid.c (_getpid): Ditto.
	* libnosys/gettod.c (_gettimeofday): Ditto.
	* libnosys/isatty.c (_isatty): Ditto.
	* libnosys/kill.c (_kill): Ditto.
	* libnosys/link.c (_link): Ditto.
	* libnosys/lseek.c (_lseek): Ditto.
	* libnosys/open.c (_open): Ditto.
	* libnosys/read.c (_read): Ditto.
	* libnosys/stat.c (_stat): Ditto.
	* libnosys/times.c (_times): Ditto.
	* libnosys/unlink.c (_unlink): Ditto.
	* libnosys/wait.c (_wait): Ditto.
	* libnosys/write.c (_write): Ditto.
	* libnosys/acconfig.h: New file.
	* libnosys/config.h.in: New file.
	* libnosys/exit.c: Removed as _exit cannot be stubbed.
	* libnosys/Makefile.in: Regenerated.
	* libnosys/configure.in: Configure header file specified.
	* libnosys/configure: Regenerated.

Wed Sep 30 12:45:43 1998  Bob Manson  <manson@charmed.cygnus.com>

	* i386/cygmon.ld: Increase memory limits; put the initial
	executable above 1MB.

Fri Sep 25 13:49:22 1998  Bob Manson  <manson@charmed.cygnus.com>

	* i386/configure.in: Changed crt0.c to cygmon-salib.c.

Wed Sep 23 19:25:46 1998  Bob Manson  <manson@charmed.cygnus.com>

	* configure.in: Add i386-*-elf* triplet.
	* i386/*: Support for i386 targets.

Wed Sep 16 19:43:52 1998  Doug Evans  <devans@canuck.cygnus.com>

	* m32r/m32r-lib.c: Rename -DMSA2000 to -DREVC and reverse test.
	(exceptionHandler,getExceptionHandler): Add cast to avoid warning.

Wed Sep  9 19:22:03 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/Makefile.in: Remove cache86x.o, not needed any more.
	* sparc/sparclite.h: (read_asr, write_asr): Define.
	* sparc/cache.c (is_danlite): New function.
	(cache_off, cache_on, flush_i_cache): Test for DANlite.
	* sparc/salib.c (update_leds): Allow user to disable LED flashing.
	* sparc/sparc86x.ld: Prevent section overlap.

1998-09-04  Keith Seitz  <keiths@cygnus.com>

	* m32r/m32r-lib.c (rx_rdy): Add support for MSA2000G01 board.
	(rx_char): Ditto.
	(getDebugChar2): New function to support binary downloads (gdb
	remote protocol "X" command).
	(exceptionHandler): Add support for MSA2000G01 board.
	(getExceptionHandler): Ditto.

1998-08-20  Michael Meissner  <meissner@cygnus.com>

	* libnosys/gettod.c: Include sys/time.h so that struct timezone is
	declared.

Sun Aug 16 10:46:43 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/Makefile.in: Add new BSP for sparc86x (DANlite).
	* sparc/salib.c (outbyte): Add hook for GDB stub.
	(cache_off, cache_on, flush_i_cache): Move to cache.c.
	* sparc/cache.c: New file for sparclite-specific cache code.
	* sparc/cache-86x.c: New file for sparc86x-specific cache code.
	* sparc/sparc86x.ld: New linker script for sparc86x.
	* sparc/crt0.S: Disable broken data relocation code.
	* sparc/sparcl-stub.c (outbyte_stub): New function for redirecting
	standard output to GDB.
	(handle_exception): Initialize outbyte hook.

Tue Aug 11 13:27:31 1998  Jim Wilson  <wilson@cygnus.com>

	* m68k/idp.ld (__INIT_SECTION__): Align to 2 byte boundary.
	* m68k/bcc.ld, m68k/mvme135.ld, m68k/mvme162.ld: Likewise.
	* m68k/sbc5204.ld, m68k/sbc5206.ld: Likewise.

1998-08-11  Jason Merrill  <jason@yorick.cygnus.com>

	* mn10300/{sim.ld,eval.ld}: Add init_priority support.

Tue Aug 11 10:04:05 1998  Jeffrey A Law  (law@cygnus.com)

	* mn10200/sim.ld: Rework code to insert pad before the start of the
	data segment.
	* mn10200/eval.ld: Likewise.
	* mn10300/sim.ld: Likewise.
	* mn10300/eval.ld: Likewise.

Sat Aug  8 09:46:37 1998  Jim Wilson  <wilson@cygnus.com>

	* mips/cma101.c (__sizemem): New local variable extra.  Align base
	to int boundary.

Tue Jul 28 10:57:12 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/Makefile.in (ERC32_OBJS): Add fixctors.
	* sparc/erc32-crt0.S: Call __fix_ctors just before calling main.
	* sparc/fixctors.c: New file.

Sat Jul 18 07:15:33 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/crt0.S (win_ovf_trap, win_unf_trap): Use correct names for
	extern functions win_ovf and win_unf; fixes unresolved symbols
	in COFF.

Mon Jul 13 17:50:41 1998  Jeff Johnston  <jjohnstn@cygnus.com>

	* configure.in: Added libnosys as subdir.
	* configure: Rebuilt configure based on configure.in.
	* libnosys/close.c (_close): Part of new libnosys stub library
 	to use for situations with no operating system support.
	* libnosys/environ.c (environ): ditto.
	* libnosys/execve.c (_execve): ditto.
	* libnosys/exit.c (_exit): ditto.
	* libnosys/fork.c (_fork): ditto.
	* libnosys/fstat.c (_fstat): ditto.
	* libnosys/getpid.c (_getpid): ditto.
	* libnosys/gettod.c (_gettimeofday): ditto.
	* libnosys/isatty.c (_isatty): ditto.
	* libnosys/kill.c (_kill): ditto.
	* libnosys/link.c (_link): ditto.
	* libnosys/lseek.c (_lseek): ditto.
	* libnosys/open.c (_open): ditto.
	* libnosys/read.c (_read): ditto.
	* libnosys/sbrk.c (_sbrk): ditto.
	* libnosys/stat.c (_stat): ditto.
	* libnosys/times.c (_times): ditto.
	* libnosys/unlink.c (_unlink): ditto.
	* libnosys/wait.c (_wait): ditto.
	* libnosys/write.c (_write): ditto.
	* libnosys/Makefile.in : Makefile.in for creating libnosys Makefile.
	* libnosys/configure.in: configure.in to create libnosys configure.
	* libnosys/configure: Configure for libnosys library.

Mon Jul 13 14:13:07 EDT 1998  Jim Lemke  <jlemke@cygnus.com>

	* sim/mips.ld: Clarify a comment.

Tue Jul  7 21:12:41 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/elfsim.ld: Make it work on both a.out and ELF.
	* sparc/traps.S: Rename trap_table label to work on both a.out
	and ELF.  Put the address of the data section at the start
	of the section, so the simulator loader can find it for a.out loads.

Thu Jun 25 09:24:53 1998  Mark Alexander  <marka@cygnus.com>

	* config/mn10200.mt: New file.

Tue Jun 23 22:45:49 1998  Mark Alexander  <marka@cygnus.com>

	* mn10200/crt0.S: Don't waste top four bytes of stack.
	* mn10200/eval.ld: Fix stack top address.

Mon Jun 22 09:30:22 1998  Drew Moseley  <dmoseley@cygnus.com>

	* mips/dvemon.c: Remove the close function and get it from the generic
	close.o
	* mips/Makefile.in (DVEOBJS): Add generic open.o and close.o to the DVEOBJS
	list to ensure that the proper API's are included.

Wed Jun 17 12:33:05 1998  Mark Alexander  <marka@cygnus.com>

	* configure.in: Add mn10200 support.
	* configure: Regenerate.
	* mn10200/Makefile.in: New file.
	* mn10200/_exit.c: New file.
	* mn10200/access.c: New file.
	* mn10200/chmod.c: New file.
	* mn10200/chown.c: New file.
	* mn10200/close.c: New file.
	* mn10200/configure: New file.
	* mn10200/configure.in: New file.
	* mn10200/creat.c: New file.
	* mn10200/crt0.S: New file.
	* mn10200/crt1.c: New file.
	* mn10200/eval.ld: New file.
	* mn10200/execv.c: New file.
	* mn10200/execve.c: New file.
	* mn10200/fork.c: New file.
	* mn10200/fstat.c: New file.
	* mn10200/getpid.c: New file.
	* mn10200/gettime.c: New file.
	* mn10200/isatty.c: New file.
	* mn10200/kill.c: New file.
	* mn10200/lseek.c: New file.
	* mn10200/open.c: New file.
	* mn10200/pipe.c: New file.
	* mn10200/read.c: New file.
	* mn10200/sbrk.c: New file.
	* mn10200/sim.ld: New file.
	* mn10200/stat.c: New file.
	* mn10200/test.c: New file.
	* mn10200/time.c: New file.
	* mn10200/times.c: New file.
	* mn10200/trap.S: New file.
	* mn10200/trap.h: New file.
	* mn10200/unlink.c: New file.
	* mn10200/utime.c: New file.
	* mn10200/wait.c: New file.
	* mn10200/write.c: New file.

Fri Jun 12 17:26:56 1998  Doug Evans  <devans@seba.cygnus.com>

	* m32r/sys/syscall.h: Delete.  Use ./syscall.h now.
	* m32r/trap0.S: Renamed from trap.S.
	* m32r/eit.h: New file.
	* m32r/crtsysc.c: Delete, split up into several files.
	* m32r/chmod.c: New file.
	* m32r/close.c: New file.
	* m32r/exit.c: New file.
	* m32r/fstat.c: New file.
	* m32r/getpid.c: New file.
	* m32r/isatty.c: New file.
	* m32r/kill.c: New file.
	* m32r/lseek.c: New file.
	* m32r/open.c: New file.
	* m32r/raise.c: New file.
	* m32r/read.c: New file.
	* m32r/sbrk.c: New file.
	* m32r/stat.c: New file.
	* m32r/unlink.c: New file.
	* m32r/utime.c: New file.
	* m32r/write.c: New file.
	* m32r/Makefile.in (SYSCALLS): Delete.
	(LIBOBJS,LIBGLOSS): New variables.
	(all,install): Update.
	(libgloss.a): New rule.

Thu Jun 11 08:38:42 1998  Doug Evans  <devans@seba.cygnus.com>

	* sparc/cygmon-salib.c (setitimer): Add `const' to second arg.
	(gettimeofday): Change type of 2nd arg to struct timezone *.

Tue Jun  9 12:02:21 1998  Ian Carmichael  <iancarm@cygnus.com>

	* mips/syscalls.c (sbrk): Allow memory allocation to work
	for configurations which don't have memory at K1BASE.
	* mips/cma101.c (__sizemem): Ditto.

Tue Jun  9 13:17:28 1998  Michael Snyder  <msnyder@cleaver.cygnus.com>

	* m68k/emc-stub.c: New file, stub for the EMC Symmetrix target.
	* m68k/gdbinit.emc: New file, user support for special features
	supported only on the EMC Symmetrix target.

Fri Jun  5 16:40:20 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/elfsim.ld: Fix ctor and dtor tables to work in both
	little- and big-endian executables.

Wed Jun  3 23:09:38 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/sparcl-stub.c: Include asm.h.  Use STRINGSYM macro to generate
	proper prefix for public assembly language labels.
	* sparc/ex930.ld: Add DWARF sections.
	* sparc/ex931.ld: Ditto.
	* sparc/ex934.ld: Ditto.
	* sparc/elfsim.ld: Simplify and clean up.
	* sparc/Makefile.in: Build ex934 BSP.  Allow little-endian builds.
	* sparc/traps.S (win_flush): Rewrite using code from Cygmon
	to eliminate register corruption.

Mon Jun  1 15:21:05 1998  Geoffrey Noer  <noer@cygnus.com>

	* sparc/cygmon-salib.c: Stop including sys/itimer.h

Sun May 31 10:46:37 1998  Michael Meissner  <meissner@cygnus.com>

	* rs6000/Makefile.in (SOLARIS_*): Don't build solaris bsp's any
	more.

Fri May 22 13:50:55 1998  Angela Marie Thomas (angela@cygnus.com)

	* mn10300/Makefile.in: Install sim.ld.

Wed May 20 22:45:11 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/elfsim.ld: Add constructor and destructor tables.

Sat May 16 17:08:17 1998  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/cygmon-salib.c (__getProgramArgs): Use asm constraints.

Fri May 15 16:50:36 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/traps.S (win_flush): Don't destroy %g1 and %g2.

Fri May 15 15:59:30 1998  Gavin Koch  <gavin@cygnus.com>

 	* mips/configure.in: Add idt to tx39 chain.
	* mips/configure: Rebuild.

Fri May 15 15:48:28 1998  Gavin Koch  <gavin@cygnus.com>

	* mips/crt0.S (__stackbase): Added.
	(zerobss): Initialize __stackbase.

1998-05-13  Brendan Kehoe  <brendan@cygnus.com>

	* mips/configure.in: Also grok `mipstx39*-*-*'.
	* mips/configure: Regenerated.

Mon May 11 15:07:12 1998  Bob Manson  <manson@charmed.cygnus.com>

	* configure.in: Added powerpcle target.
	* configure: Regenerated.

Thu May  7 16:43:37 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/elfsim.ld (OUTPUT_FORMAT): Add little-endian support.

	* sparc/crt0.S (_start): Define label for ELF targets.
	* sparc/salib.c: Include asm.h.  Use STRINGSYM macro to generate
	proper prefix for public assembly language labels.
	(write, read): Disable to avoid conflict with generic versions
	of these functions.
	* sparc/erc32-stub.c: Move STRINGSYM macro to sparc/asm.h.
	* sparc/asm.h: Move STRINGSYM macro here from sparc/erc32-stub.c

Mon May  4 08:30:58 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/configure.in: Treat sparc86x as a sparclite.
	* sparc/configure.in: Ditto.
	* sparc/Makefile.in (slite-install): Install missing files
	for simulator.

Thu Apr 30 16:41:15 1998  John Metzler  <jmetzler@cygnus.com>

	* mips/configure.in: adjust target type pattern to export nullmon.ld
	* mips/configure: regenerated

Mon Apr 27 21:38:18 1998  Mark Alexander  <marka@cygnus.com>

	* configure.in: Added sparc86x configuration.
	* configure: Ditto.

Wed Apr 22 21:45:13 1998  Jeffrey A Law  (law@cygnus.com)

	* mips/crt0.S: Increase stack alignment.

Fri Apr 10 21:17:48 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/traps.S (win_flush): Prevent immediate window underflow
	trap on return.  Miscellaneous comment formatting cleanup.

Tue Apr  7 18:34:51 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/elfsim.ld: Align BSS at 8-byte boundary.

Mon Apr  6 13:12:32 1998  Mark Salter  <msalter@chef.cygnus.com>

	* rs6000/ads-io.c (write): Added write().

	* rs6000/Makefile.in: Changed objects used for libads to be
	new ads specific object files instead of some mvme objects.

	* Added ads-io.c and ads-exit.c to provide function stubs which
	are safe on ads board (SDS monitor).

	* rs6000/mbx-outbyte.c (outbyte): Foundry console output
	is fixed, so re-enable output char quoting for mbx.

	* rs6000/mbx.specs: Added blank line to end of file. There
	were link errors without it?

	* rs6000/mbx.specs: Use mbx.ld script for linking.

	* rs6000/mbx-outbyte.c: Don't quote characters. We don't want
	gdb to display program output, yet.

	* rs6000/Makefile.in (install-mbx): Fixed install of mbx.specs
	file.

	* rs6000/Makefile.in: Support for MBX EPPCBug monitor.
	* rs6000/mbx-{exit,inbyte,outbyte,print}.c: New files for MBX.
	* rs6000/mbx.ld,mbx.specs: New files for MBX.

Wed Apr  1 21:42:40 1998  Mark Alexander  <marka@cygnus.com>

	* sparc/elfsim.ld: New linker script for running ELF programs
	in erc32 simulator.
	* sparc/erc32-crt0.S: Disable copying of data segment.
	* sparc/erc32-stub.c: Generate correct public name for breakinst.
	* sparc/Makefile.in: Build erc32 library always.

Thu Apr  2 11:24:32 1998  Andrew Cagney  <cagney@b1.cygnus.com>

	* mips/syscalls.c (sbrk): Check word size correct for
 	get_mem_info.

Fri Mar 27 08:55:52 1998  Mark Alexander  <marka@cygnus.com>

	* mips/crt0.S: Insert NOP before _start to keep GDB happy.
  	* mips/dve.ld: Eliminate references to VR4300.

Thu Mar 26 19:47:36 1998  Mark Alexander  <marka@cygnus.com>

	* mn10300/eval.ld: Don't use absolute path in SEARCH_DIR.
	* mn10300/sim.ld: Ditto.

Wed Mar 25 10:49:49 1998  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/cygmon-salib.c (__getProgramArgs): New function.

	* sparc/cygmon-crt0.S (init): Call __getProgramArgs.

	* configure.in: Added sparc64 configuration.

	* configure: Regenerated.

Tue Mar 24 10:44:41 1998  Mark Alexander  <marka@cygnus.com>

	* mn10300/Makefile.in: Install libraries, not just linker scripts.

Tue Mar 24 09:52:28 1998  Mark Alexander  <marka@cygnus.com>

	* config/mn10300.mt: New file
	* mn10300/configure.in: Use mn10300.mt as target makefile fragment
	instead of nothing at all.
	* mn10300/configure: Ditto.

Tue Mar 24 16:59:06 1998  Stu Grossman  <grossman@bhuna.cygnus.co.uk>

	* doc/configure:  Regenerate with autoconf 2.12.1 to fix shell
	issues for NT native builds.

Mon Mar 16 18:51:11 1998  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/cygmon-crt0.S: Make start a global symbol (for the linker
	script; we also need to make SYM(start) global).

Wed Mar 11 10:24:39 1998  Stan Cox  <scox@rtl.cygnus.com>

	* sparc/cygmon.ld.src (.debug*): Added dwarf sections.

Fri Mar  6 23:41:54 1998  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/cygmon.ld.src: Use TARGET_RAM_START.

	* sparc/Makefile.in (SLITE_RAM_START): Add.
	(SPARC_RAM_START): Add.
	(SPARC64_RAM_START): Add.
	(SLITE_ALL): Add cygmon object files and linker script.
	slite-install: Install CygMon libraries and linker script.

Mon Mar  2 19:36:12 1998  Michael Meissner  <meissner@cygnus.com>

	* rs6000/ads.ld: Add default attributes to memory region.
	* a29k/{p3dgps,sa29200{,b}}.ld: Ditto.
	* hp74x/hppa.ld: Ditto.
	* m68k/{bcc,idp,mvme{135,162},sbc520{4,6}}.ld: Ditto.
	* pa/{op50n,w89k}.ld: Ditto.
	* sh/{sh1{l,2,3}cevb,sh3bb}.ld: Ditto.
	* sparc/{erc32,ex93{0,1,4}}.ld: Ditto.

Fri Feb 27 17:15:35 1998  Mark Alexander  <marka@cygnus.com>

	* mn10300/configure.in (AC_INIT): Use crt0.S instead of crt0-eval.S.

Fri Feb 27 17:39:23 1998  Jeffrey A Law  (law@cygnus.com)

	* configure.in: Use "mn10300" subdir for "mn10300-*-*".

Mon Feb 23 20:29:42 1998  Mark Alexander  <marka@cygnus.com>

	* mn10300/Makefile.in (GENOBJS): Remove system calls no longer
	supported.
	* mn10300/trap.h: Use generic syscall.h.
	* mn10300/sys/syscall.h: Removed in favor of generic syscall.h.

Mon Feb 23 16:19:17 1998  Gavin Koch  <gavin@cygnus.com>

	* mips/Makefile.in (cma101.o): Add rule to explicitly use -mno-mips16.
	* mips/cma101.c: Reverse my previous change.
	Add #ifdef __mips16 then #error.

Mon Feb 23 11:29:33 1998  Mark Alexander  <marka@cygnus.com>

	* mn10300/Makefile.in: Add rules for building libeval.a.
	* mn10300/configure: Don't use default.mt.
	* mn10300/configure.in: Ditto.
	* mn10300/eval.ld: Replace with modified version of default script.

	* mn10300/_exit.c: New file for libeval.a.
	* mn10300/access.c: Ditto.
	* mn10300/chmod.c: Ditto.
	* mn10300/chown.c: Ditto.
	* mn10300/close.c: Ditto.
	* mn10300/creat.c: Ditto.
	* mn10300/crt0.S: Ditto.
	* mn10300/crt1.c: Ditto.
	* mn10300/execv.c: Ditto.
	* mn10300/execve.c: Ditto.
	* mn10300/fork.c: Ditto.
	* mn10300/fstat.c: Ditto.
	* mn10300/getpid.c: Ditto.
	* mn10300/gettime.c: Ditto.
	* mn10300/isatty.c: Ditto.
	* mn10300/kill.c: Ditto.
	* mn10300/lseek.c: Ditto.
	* mn10300/open.c: Ditto.
	* mn10300/pipe.c: Ditto.
	* mn10300/read.c: Ditto.
	* mn10300/sbrk.c: Ditto.
	* mn10300/sim.ld: Ditto.
	* mn10300/stat.c: Ditto.
	* mn10300/time.c: Ditto.
	* mn10300/times.c: Ditto.
	* mn10300/trap.S: Ditto.
	* mn10300/trap.h: Ditto.
	* mn10300/unlink.c: Ditto.
	* mn10300/utime.c: Ditto.
	* mn10300/wait.c: Ditto.
	* mn10300/write.c: Ditto.
	* mn10300/sys/syscall.h: Ditto.

Fri Feb 20 17:19:22 1998  Gavin Koch  <gavin@cygnus.com>

	* mips/cma101.c: #ifdef out whole file if mips16.

Thu Feb 19 13:05:58 1998  Bob Manson  <manson@charmed.cygnus.com>

	* i960/*: Revised.

Wed Feb 18 12:00:20 1998  Jeff Johnston  <jjohnstn@cygnus.com>

	* m68k/crt0.S (start): Fixed code that clears .bss.  Code
	was using dbra instruction and did not account for the fact
	that the instruction branches until counter is -1, not 0.

Tue Feb 17 18:21:52 1998  Mark Alexander  <marka@cygnus.com>

	* mn10300/Makefile.in: New file for MN10300 eval board support.
	* mn10300/configure: Ditto.
	* mn10300/configure.in: Ditto.
	* mn10300/crt0-eval.S: Ditto.
	* mn10300/eval.ld: Ditto.
	* mn10300/test.c: Ditto.

Tue Feb 17 19:55:47 1998  Gavin Koch  <gavin@cygnus.com>

	* mips/vr4300.S (__previous): Fix comment type-o in
	previous change.

Tue Feb 17 10:47:45 1998  Gavin Koch  <gavin@cygnus.com>

	* mips/vr4300.S (__previous,baseaddr,res_baseaddr):
 	Figure the length of the exception handler at runtime
	rather than compile time.

Tue Feb  3 14:07:51 1998  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: When running config-ml.in, put --enable-multilib
	before ac_configure_args, so that --disable-multilib can override
	it.
	* configure: Rebuild.

Fri Jan  9 17:10:59 1998  Mark Alexander  <marka@cygnus.com>

	* mips/Makefile.in (LSIOBJS, DVEOBJS): Add part-specific objects.

Mon Jan  5 17:01:45 1998  Mark Alexander  <marka@cygnus.com>

	* config/mips.mt: Add rules for read.o and write.o.
	* mips/dvemon.c: New file to support Densan DVE-R3900 board.
	* mips/dve.ld: New file to support Densan DVE-R3900 board.
	* mips/Makefile.in: Add rules for Densan support library libdve.a.
	* mips/configure.in: Build libdve.a for tx39 targets.
	* mips/configure: Ditto.

Tue Dec 30 15:34:17 1997  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/Makefile.in: Add define for TARGET_CPU_$(CPU).

	* sparc/cygmon-salib.c: If TARGET_CPU_SPARC64, include
	sys/types.h, and define _open_r, _close_r, etc.

Sun Dec 28 17:15:50 1997  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/cygmon-salib.c (_open_r, _close_r): New functions.
	(read, write): If the fd isn't 0, 1, or 2, return an error.

Fri Dec 26 18:45:28 1997  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/cygmon-salib.c (_sbrk_r, _fstat_r,_brk_r): Define.

	* sparc/cygmon-crt0.S: Zero out %fp so backtraces from gdb work
	properly.

	* sparc/configure.in: Set CYGMONLDSCRIPTTEMPL appropriately.

	* sparc/Makefile.in ($(objdir)/cygmon.ld): Use CYGMONLDSCRIPTTEMPL
	to determine what template file we use.

1997-12-22  Felix Lee  <flee@cygnus.com>

	* rs6000/sim-errno.c (_cerror): need to return -1.
	* rs6000/sol-cfuncs.c (_cerror): likewise.

Mon Dec 22 16:54:31 1997  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/cygmon-crt0.S: Add stack bias code if TARGET_CPU_SPARC64 is
	defined. Allocate 128 bytes for a frame if sparc64.

	* sparc/cygmon.ld.src: New file, replaced cygmon.ld.

	* sparc/Makefile.in (SPARC_OBJ_FORMAT): Added.
	(SPARC64_ALL,SPARC64_INSTALL,SPARC64_OBJ_FORMAT): Added.
	($(objdir)/cygmon.ld): Create from $(objdir)/cygmon.ld.src.

	* sparc/configure.in: Add sparc64 to CPU list.
	* sparc/configure: Regenerated.
	* configure: Regenerated.

Sun Dec 21 18:19:27 1997  Bob Manson  <manson@charmed.cygnus.com>

	* configure.in: Added sparc64-elf configuration.

Wed Dec 10 19:15:26 1997  Andrew Cagney  <cagney@b1.cygnus.com>

	* mips/pmon.ld, mips/ddb.ld: Add handling of DWARF
 	sections. Copied from mips/idt.ld.

Wed Dec 10 12:31:04 1997  Mark Alexander  <marka@cygnus.com>

	* mips/configure: Add entry.o to LSI library.
	* mips/configure.in: Ditto.
	* mips/crt0.S: Declare init hooks as .text to avoid linker errors.
	* mips/pmon.S: Don't use 64-bit instructions on 32-bit EABI machines.
	* mips/entry.S: New file (MIPS16 entry/exit exception handler).

Tue Dec  9 18:51:45 1997  Michael Meissner  <meissner@cygnus.com>

	* d30v/crt0.S (_start): Don't load r1 with 32 anymore.  Zero out
	the 3 bss areas.

Fri Nov 28 22:34:14 1997  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/cygmon-salib.c (open): New syscall.

	* sparc/cygmon.ld: Add gcc_except_table section.

	* sparc/cygmon-crt0.S: Call __install_signal_handler.
	Run ctors/dtors as appropriate.

	* sparc/cygmon-salib.c (gettimeofday): New syscall.
	(stime): Ditto.
	(add_mapping): Ditto.
	(remove_mapping): Ditto.
	(__install_signal_handler): Ditto.

Wed Nov 26 15:25:11 1997  Michael Meissner  <meissner@cygnus.com>

	* rs6000/mcount.S: New file to in case no profiling module was
	defined.

	* rs6000/Makefile.in (OBJS): Add mcount.o
	(mcount.o): Depend on mcount.S.

Mon Nov 24 23:25:07 1997  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/cygmon.ld: Add linkonce sections.

Mon Nov 24 18:42:55 1997  Michael Meissner  <meissner@cygnus.com>

	* d30v/syscalls.c (__syscall): Correct setting errno.

Sun Nov 23 17:49:45 1997  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/Makefile.in: Removed TARGET_CFLAGS.
	* sparc/configure.in: Ditto.
	* sparc/configure: Regenerated.

Fri Nov 21 21:21:23 1997  Michael Meissner  <meissner@cygnus.com>

	* syscall.h: Remove d30v from comments.

	* d30v/syscalls.c: Use common syscall.h file, move setting errno
	into common function, rather than have each stub do it.

	* d30v/Makefile.in (syscalls.c): Use common syscall.h, not the old
	d30v specific version.
	(clean): Properly remove libraries.

	* d30v/sys/syscall.h: Delete.

Wed Nov 19 16:13:00 1997  Doug Evans  <devans@seba.cygnus.com>

	* rs6000/Makefile.in (unlink.o): Add rule for.

	* syscall.h: New file.

Tue Nov 18 17:22:18 1997  Doug Evans  <devans@seba.cygnus.com>

	* sparc/asm.h (CONCAT1): Use __USER_LABEL_PREFIX__.

	* sparc/Makefile.in: Reorganize file.

	* sparc/Makefile.in: Rename all occurences of SIM to ERC32.
	(all): Don't build erc32 support any more (never installed anyway).
	* sparc/erc32-io.c: Renamed from sim-io.c.
	* sparc/erc32-stub.c: Renamed from sim-stub.c.
	* sparc/erc32-crt0.S: Renamed from sim-crt0.S.
	* sparc/erc32.ld: Renamed from sim.ld.
	* sparc/configure.in (AC_INIT): Update.
	* sparc/configure: Regenerate.

Tue Nov 18 13:54:46 1997  Michael Meissner  <meissner@cygnus.com>

	* d30v/syscalls.c: New file to provide system call stubs.
	* d30v/sys/syscall.h: New file to provide system call numbers.
	* d30v/sim-{exit,read,write}.S: Delete, no longer used.
	* d30v/Makefile.in: Remove old system stubs, and use the new ones
	in syscalls.c.

Tue Nov 18 12:38:37 1997  Michael Meissner  <meissner@cygnus.com>

	* d30v/sys/syscall.h: Define for d30v system calls.

Mon Nov 17 22:04:04 1997  Bob Manson  <manson@charmed.cygnus.com>

	* configure.in: Configure the sparc directory for the sparc-elf
	toolchain.
	* configure: Regenerated.

	* sparc/Makefile.in: For a generic sparc toolchain, build the cygmon
	crt0 and install the cygmon linker script.

	* sparc/asm.h (USER_LABEL_PREFIX): If it's already defined, don't
	redefine it.

	* sparc/configure.in: Add LIB_AC_PROG_CC. Add TARGET_CFLAGS
	subst variable.
	* sparc/configure: Regenerated.

	* sparc/cygmon.ld: New file.
	* sparc/cygmon-crt0.S: New file.
	* sparc/cygmon-salib.c: New file.

Sun Nov 16 20:22:22 1997  Michael Meissner  <meissner@cygnus.com>

	* d30v/crt0.S (_start): Set up stack pointer to end of internal
	memory by default.

Tue Nov 11 17:43:06 1997  Michael Meissner  <meissner@cygnus.com>

	* d30v/Makefile.in (OBJS): Use print.o, not print.c.  Add sbrk.o.

Mon Nov 10 13:57:40 1997  Michael Meissner  <meissner@cygnus.com>

	* configure.in (d30v-*-*): Add configuration.
	* configure: Regenerate.

	* d30v/{crt0,sim-{read,write,exit}}.S: Correct typos.
	* d30v/Makefile.in: Ditto.

Sat Nov  8 14:38:57 1997  Michael Meissner  <meissner@cygnus.com>

	* d30v/crt0.S: New file for d30v port.
	* d30v/configure{,.in}: Ditto.
	* d30v/Makefile.in: Ditto.
	* d30v/{in,out}byte.c: Ditto.
	* d30v/sim-{read,write,exit}.c: Ditto.

Tue Sep 16 15:21:08 1997  Gavin Koch  <gavin@cygnus.com>

	* mips/Makefile.in (vr4300.o): Reinstate command, it's will
	be necessary until all hosts properly set BSP in configure.in.

Mon Sep 15 16:20:29 1997  Bob Manson  <manson@charmed.cygnus.com>

	* m68k/*.ld: Add underscore versions of __CTOR_LIST__ and
	__DTOR_LIST__.

Mon Sep 15 12:13:34 1997  Mark Alexander  <marka@cygnus.com>

	* mips/crt0.S: Declare external functions as .text to
	eliminate linker warnings.

Tue Sep  9 23:35:04 1997  Gavin Koch  <gavin@cygnus.com>

	* mips/Makefile.in (SCRIPTS): Now is configurable.
	(BSP): Now is configurable.
	(vr4300.o): Remove unnecessary command.
	* mips/configure.in: Configure the newly configuable
	SCRIPTS and BSP.
	* mips/configure: Re-autoconf.


Mon Sep  8 16:53:12 1997  Bob Manson  <manson@charmed.cygnus.com>

	* mips/Makefile.in (pmon.o): Added compile command that includes
	PART_SPECIFIC_DEFINES. Don't include cma101.o by default.

	* mips/configure.in (part_specific_defines): New variable
	used when building pmon.o.
	(part_specific_obj): Include cma101.o as well as vr4300.o,
	since it is board-specific in many ways (and relies on
	routines in vr4300.o).

Mon Sep  8 14:42:44 1997  Gavin Koch  <gavin@cygnus.com>

	* mips/idt.ld: Add handling of DWARF sections.

Sun Sep  7 16:43:05 1997  Gavin Koch  <gavin@cygnus.com>

	* mips/crt0.S, mips/idtmon.S, mips/vr4300.S: Handle mips16 builds.

Thu Sep  4 19:35:12 1997  Andrew Cagney  <cagney@b1.cygnus.com>

	* v850/sys/syscall.h: Match with what is in newlib.

Mon Sep  1 12:43:50 1997  Andrew Cagney  <cagney@b1.cygnus.com>

	* v850/sys/syscall.h: New file.

Thu Aug 28 17:27:16 1997  Stan Shebs  <shebs@andros.cygnus.com>

	* rs6000/ads.ld: Define ram region.
	(__stack): Fix value.
	* rs6000/crt0.S: Clear the sbss area as well as bss.

Tue Aug 26 16:22:36 1997  Ian Lance Taylor  <ian@cygnus.com>

	* m68k/bcc.ld: Don't use BLOCK for the section addresses.
	Instead, just force . to be aligned when necessary.
	* m68k/idp.ld, m68k/mvme135.ld, m68k/mvme162.ld: Likewise.
	* m68k/sbc5204.ld, m68k/sbc5206: Likewise.

Fri Aug  8 14:20:16 1997  Michael Meissner  <meissner@cygnus.com>

	* rs6000/Makefile.in (install-{yellowknife,ads}): The linker
	scripts are in the source directory, not the object directory.

Fri Aug  1 12:21:31 1997  Stan Shebs  <shebs@andros.cygnus.com>

	* rs6000/ads.ld: New file, linker script for 821/860 ADS board.
	* rs6000/yellowknife.ld: New file, linker script for embedded
	Yellowknife (CHRP/PPCP) box.
	* rs6000/Makefile.in: Add rules for ADS and Yellowknife bits,
	remove references to EVM, don't optimize the test program.
	* rs6000/crt0.S: Renamed from mvme-crt0.S, is generic.
	* rs6000/mvme-stack.S: Removed, unnecessary.

Tue Jun  3 12:54:59 1997  Bob Manson  <manson@charmed.cygnus.com>

	* mips/crt0.S: Added GCRT0 #ifdef for profiling support.

	* mips/Makefile.in (SCRIPTS): Added idtecoff.
	(PCRT0): Added.

	* mips/idtecoff.ld: Added. Add crt0.o startup entry.

Fri Apr 18 15:54:11 1997  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/crt0.S: Remove references to .fillinsn.

Mon Apr 14 16:34:27 1997  Ian Lance Taylor  <ian@cygnus.com>

	* testsuite/Makefile.in (INSTALL): Change install.sh to
	install-sh.

Wed Apr  9 15:41:39 1997  Mike Meissner  <meissner@cygnus.com>

	* rs6000/configure.in (AC_PROG_CC): copied from configure.in.
	* rs6000/configure: Regenerate.


Sat Mar 29 12:21:08 1997  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/(ex930.ld,ex931.ld,ex934.ld}: Set __end as well
	as _end and end.

Fri Mar 28 23:01:38 1997  Mark Alexander  <marka@cygnus.com>

	* mips/lsi.ld: Before setting _gp, use ALIGN(8) instead
	of ALIGN(16).  Remove ALIGN from _gp computation.

Mon Mar 17 10:00:29 1997  Gavin Koch  <gavin@cygnus.com>

	* mips/idtmon.S: Added magic number for _flush_cache slot.

Fri Mar 14 14:36:06 1997  J.T. Conklin  <jtc@beauty.cygnus.com>

	* m68k/Makefile.in (install): Fix typo.

	* m68k/crt0.S: Changed to use correct loop condition for coldfire.

Wed Mar 12 16:00:51 1997  Stu Grossman  (grossman@critters.cygnus.com)

	* sparc/Makefile.in: Add rules for above.
	(701_OBJS): Add salib-701.o, sparclet-stub.o.
	[Brought over from Nov 5 change in sparclet branch.]

	* sparc/salib-701.c (flush_i_cache):  Implement cache flushing to fix
	intermittent problems with gdb stub and breakpoints.  Fixes pr 11755.

Wed Mar 12 15:49:30 1997  J.T. Conklin  <jtc@cygnus.com>

	* m68k/sbc5204: Fix GROUP specifier.
	* m68k/sbc5206: Likewise.

Tue Mar 11 13:43:49 1997  J.T. Conklin  <jtc@cygnus.com>

	* m68k/Makefile.in (all): Fix typo.

	* m68k/crt0.S: Use cmpl #0,aX instead of cmpw #0,aX as the latter
 	is an invalid instruction on the coldfire.

Fri Mar  7 19:42:50 1997  Mark Alexander  <marka@cygnus.com>

	* mips/lsi.ld: New file.
	* mips/lsipmon.S: New file.
	* Makefile.in: Add support for LSI variant of PMON (MiniRISC board).
	* pmon.S: Ditto.

Fri Mar  7 10:29:11 1997  Ian Lance Taylor  <ian@cygnus.com>

	* mips/regs.S (pc): Define.

Thu Mar  6 18:11:57 1997  Bob Manson  <manson@charmed.cygnus.com>

       * mips/pmon.S (INDIRECT): For a target that uses the 64-bit
        ABI, set up the stack for a 32-bit call before actually calling
        PMON.

        * mips/regs.S: K1BASE needs to be a 64-bit value on a machine
        with 64-bit pointers.

        * mips/syscalls.c (sbrk): Use size_t instead of unsigned int
        when comparing pointers.

Wed Mar  5 15:44:04 1997  Doug Evans  <dje@seba.cygnus.com>

	* m32r/crtsysc.c (_sbrk): Change _end decl to __model__ (__medium__).
	* m32r/Makefile.in (m32r-stub.o): Use MULTISRCTOP to find m32r-stub.c.

Tue Mar  4 07:01:44 1997  J.T. Conklin  <jtc@cygnus.com>

	* m68k/crt0.S: Use cmpw #0,aX instead of tstl aX, as the latter is
 	an invalid addressing mode on the 68000 core.

Mon Mar  3 16:38:19 1997  Jim Wilson  <wilson@cygnus.com>

	* mips/crt0.S: Subtract 24 instead of 8 when computing sp.

Mon Mar  3 13:35:20 1997  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/m32r-lib.c: New file.
	* m32r/{eva,eva-stub}.ld: New files.
	* m32r/Makefile.in: Build and install them.
	Also build and install m32r-stub.o.

Tue Feb 25 11:59:20 1997  Gavin Koch  <gavin@cygnus.com>

	* mips/configure.in (LIB_AC_PROG_CC): copied from configure.in.
	* mips/configure.in (AC_PROG_CC): replaced by LIB_AC_PROG_CC
	can't do final link until libs in this directory are built.
	* mips/configure: regenerated.

Tue Feb 25 00:31:27 1997  Ian Lance Taylor  <ian@cygnus.com>

	* mips/crt0.S: Call hardware_init_hook and software_init_hook via
	a register, to avoid relocation overflow if they are zero.

Mon Feb 24 22:25:49 1997  Gavin Koch  <gavin@cygnus.com>

	* mips/Makefile.in (IDTOBJS,PMONOBJS): Part specific modules
	can now be configured by part_specific_obj.
	* mips/configure.in (part_specific_obj): added.
	* mips/configure: regenerate.

Fri Feb 21 14:29:54 1997  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/crtsysc.c (_sbrk): Declare _end with __attribute ((__sym32__)).

Fri Feb 21 10:10:55 1997  Jim Wilson  <wilson@cygnus.com>

	* mips/ddb.ld: Align the location counter before setting _gp, and
	before setting edata.  Remove ALIGN from _gp computation.
	* mips/idt.ld, mips/pmon.ld: Before setting _gp, use ALIGN(8) instead
	of ALIGN(16).  Remove ALIGN from _gp computation.

Thu Feb 20 17:30:41 1997  Ian Lance Taylor  <ian@cygnus.com>

	* mips/array.ld: Add mips16 sections.
	* mips/ddb.ld, mips/idt.ld, mips/pmon.ld: Likewise.

	* mips/crt0.S (zerobss): Use subu, not sub.

Tue Feb 18 17:25:56 1997  Mark Alexander  <marka@cygnus.com>

	* mips/crt0.S: Add .ent lines for all code fragments, so
	that objdump --disassemble will display them correctly.

Fri Feb 14 11:07:20 1997  J.T. Conklin  <jtc@cygnus.com>

	* m68k/mvme-stub.c: New file.  Common debugger stub used for mvme-
 	based targets.  This should eventually be merged with or replaced
 	by the m68k stub from gdb.
	* m68k/{mvme135-stub.c, mvme162lx-stub.c}: Removed.
	* m68k/Makefile.in: Updated for above change.

	* m68k/{mvme135-asm.S, mvme162lx-asm.S}: Removed all whitespace
 	differences and changed to consistantly use the IMM macro for
	immediate constants.  It is now possible to compare these two
	files without having to filter out insignificant differences.

	* m68k/mvme135-stub.c (set_debug_traps): Renamed from
 	init_debug_traps to match documentation and other sample debugger
	stubs.

	* m68k/sbc5204.ld: New file, linker script for Arnewsh SBC5204.

	* m68k/sbc5206.ld: New file, linker script for Arnewsh SBC5206.

	* m68k/Makefile.in (DBUG_OBJ, DBUG_BSP): New BSP for coldfire
	targets running the dbug monitor.

	* m68k/{dbug-exit.S,dbug-inbyte.S,dbug-outbyte.S}: New files.

Thu Feb  6 13:31:06 1997  Bob Manson  <manson@charmed.cygnus.com>

	* m68k/crt0.S: Don't use SYM to refer to symbols defined
	in the linker script.

Thu Jan 16 10:34:36 1997  Jim Wilson  <wilson@cygnus.com>

	* mips/{ddb.ld,idt.ld,pmon.ld}: Readd OUTPUT_FORMAT definition.

Wed Jan  8 14:49:26 1997  Jim Wilson  <wilson@cygnus.com>

	* mips/crt0.S (_start): Don't try to use FPU registers if
	__mips_soft_float is defined.

Fri Dec 27 15:41:08 1996  Bob Manson  <manson@charmed.cygnus.com>

	* sparc/Makefile.in (splet-install): Add tsc701.ld.

Thu Dec 26 14:59:34 1996  Michael Snyder  <msnyder@cleaver.cygnus.com>

	* sparc/sparclet-stub.c: Add support for "P" protocol command.
	  Add support for %cc coprocessor registers, %asr registers.
	  Work-around broken SAVE instruction on sparclet.

Tue Dec 24 22:15:53 1996  Angela Marie Thomas (angela@cygnus.com)

	* mips/pmon.S: add an INDIRECT for _flush_cache to be the
	same as mon_flush_cache.  This fixes failures in "make check"

Mon Dec 23 18:08:05 1996  Jim Wilson  <wilson@cygnus.com>

	* mips/syscalls.c (__errno, _raise): Delete.

Wed Dec 18 17:29:28 1996  Ian Lance Taylor  <ian@cygnus.com>

	* mips/idt.ld: Align the location counter before setting _gp, and
 	before setting edata.
	* mips/pmon.ld: Likewise.

Sat Dec 14 21:52:40 1996  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Use a special version of AC_PROG_CC.  Autoconf
	2.12 introduced a check for whether the compiler works, and that
	check will fail for a cross compilers without a complete set of
	libraries.

Fri Dec 13 10:40:14 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* sbrk.c: Set the heap pointer to the address of _end, not the
	value.

Wed Dec 11 15:26:50 1996  Jim Wilson  <wilson@cygnus.com>

	* mips/{ddb.ld,idt.ld,pmon.ld}: Delete OUTPUT_FORMAT definition.

Fri Dec  6 15:52:36 1996  Jim Wilson  <wilson@cygnus.com>

	* mips/crt0.S: Delete unreachable instruction after exit call.
	Move exit call before .end _start.

Tue Nov 26 15:05:26 1996  Doug Evans  <dje@rtl.cygnus.com>

	* configure: Regenerate with autoconf 2.12.

Mon Nov 11 15:12:08 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* config/ppc.mh: New PowerPC eabi target specific config file.
	Always use -mrelocatable-lib -mno-eabi.

	* rs6000/configure.in (host_makefile_frag): Use config/ppc.mh.
	* rs6000/configure: Regenerate.

	* rs6000/{mvme,sim}-crt0.o (_start): Make initial stack frame 64
	bytes, not 56 so that it is aligned to a 16 byte boundary.

Tue Nov  5 10:24:29 1996  Doug Evans  <dje@canuck.cygnus.com>

	* sparc/Makefile.in (crt0-701.o): Use default rule to build.
	* sparc/crt0-701.S: Second pass at little endian support.

Tue Nov  5 10:08:40 1996  Dawn Perchik <dawn@critters.cygnus.com>

	* sparc/{salib-701.c,sparclet-stub.c,tsc701.ld}: New files.
	* sparc/Makefile.in: Add rules for above.
	(701_OBJS): Add salib-701.o, sparclet-stub.o.

Fri Nov  1 21:50:12 1996  Angela Marie Thomas (angela@cygnus.com)

	* mips/ddb.ld: rename cairo.ld to ddb.ld
	* mips/Makefile.in: rename cairo to ddb

Thu Oct 31 13:54:58 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* sh/sh1lcevb.ld, sh/sh2lcevb.ld, sh/sh3lcevb.ld: New files,
	linker scripts for Hitachi eval boards.

Thu Oct 31 12:39:53 1996  Doug Evans  <dje@seba.cygnus.com>

	* m32r/crt0.S: Set up fp.  Speed up zeroing of bss.

Sun Oct 27 20:34:27 1996  Mark Alexander  <marka@cygnus.com>

	* mips/crt0.S: Initialize gp register correctly.

Tue Oct 22 12:02:19 1996  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/sys/syscall.h: New file.
	* m32r/crt0.S: Rewrite.
	* m32r/crtsysc.c (__trap): Adjust literal and comment syntax.

Thu Oct 17 13:47:54 1996  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/syscalls.c: Deleted, renamed to
	* m32r/crtsysc.c: this.
	* m32r/Makefile.in: Updated.

Mon Sep 30 11:42:08 1996  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/{Makefile.in,configure.in,configure}: New files.
	* m32r/{crt0.S,syscalls.c,trap.S}: New files.
	* configure.in: Recognize m32r-*-*.
	* configure: Regenerated.

Thu Sep 26 10:59:25 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/crt0.S (_exit): Update terminating break instruction to use
 	an explicit high value.

Mon Sep 23 19:02:32 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* sh: New directory, Hitachi SH libgloss support.
	* sh/sh3bb.ld: New file, SH3 big box linker script.

Thu Sep 19 12:02:23 1996  Ian Lance Taylor  <ian@cygnus.com>

	* mips/crt0.S (zerobss): Use bltu in zerobss loop, not bne, in
	case the end symbol is not aligned.

Sun Sep 15 12:23:47 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/vr4300.S (__cpu_flush): Fix lui constant.
	* mips/crt0.S (init): Fix passing of arg0 through exit() and
 	_exit().
	* mips/syscalls.c (__errno): Return address of errno, rather than
 	NULL.

Wed Sep 11 10:45:13 1996  Stu Grossman  (grossman@critters.cygnus.com)

	* m68k/bcc.ls, m68k/idp.ld, m68k/mvme135.ld, m68k/mvme162.ld:
	Merge .init and .fini sections into .text to fix a.out.

Sun Sep  8 09:50:08 1996  Stu Grossman  (grossman@critters.cygnus.com)

	* m68k/bcc.ls, m68k/idp.ld, m68k/mvme135.ld, m68k/mvme162.ld:
	Many fixes for problems discovered during testing.  Make stack end
	at end of ram.  Force __CTOR_LIST__ and __DTOR_LIST__ to be
	longword aligned.  Move .shdata out of .text section.  Put .rodata
	and .gcc_except_table into .text section.  Get rid of .shbss
	section, load it into .bss.  Remove bogus start address
	calculation for .bss.  Force all sections to be longword aligned.
	Create .init and .fini sections (including function prologues and
	epilogues) for ELF support.
	* cpu32bug.S cpu32bug.h:  Move defs for cpu32bug monitor into
	cpu32bug.h.  Make sure that cpu32bug function codes aren't global.
	Remove creation of vbr_table.  Fix function prologue in	_exit.
	Use fp instead of a6.  Add .text pseudo-op to the beginning of
	each function.
	* crt0.S:  Remove global symbols zeroboss, init and launch.  Make
	main, exit, hardware_init_hook, software_init_hook, atexit and
	__do_global_dtors extern, not global.  Fix logic error when
	initializing stack pointer.  It now loads sp if	__stack is non-
	zero.  Reverse order of software and hardware init hooks.
	Hardware now comes first.  Add call to __INIT_SECTION__, and
	register __FINI_SECTION__ with atexit.  This is needed to make ELF
	static constructors and destructors work right.

Tue Sep  3 11:55:01 1996  Ian Lance Taylor  <ian@cygnus.com>

	* m68k/bcc.ld: Set address of .stab and .stabstr to 0, not `.'.
	* m68k/idp.ld, m68k/mvme135.ld, m68k/mvme162.ld: Likewise.
	* hp74x/hppa.c, rs6000/evm.ld, sparc/ex930.ld: Likewise.
	* sparc/ex931.ld, sparc/ex934.ld, sparc/sim.ld: Likewise.

Fri Aug 30 15:57:37 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/Makefile.in (SCRIPTS): Add cairo.
	(vr4300.o:): Force build with target CFLAGS to ensure correct
 	multilib endianness. The -Tcairo.ld target uses libpmon.a aswell
 	as the -Tpmon.ld target.
	* mips/{idt.ld,pmon.ld}: Remove explicit crt0.o include.
	* mips/cairo.ld: Added.
	* mips/crt0.S: Restore atexit() call. Fix startup stack
 	initialisation.
	* mips/pmon.S: Fix monitor indirection to be 64bit clean.
	* mips/vr4300.s: Added simple bus error handler to cope with
 	sizing memory that doesn't ghost, but does abort.
	* mips/cma101.c: Improve the memory sizer.
	* mips/regs.S: Add definitions for SR_KX, SR_SX and SR_UX.

Thu Aug 29 17:07:45 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* a29k/configure.in (i[345]86-*-*): Recognize i686 for pentium
	pro.
	* testsuite/libgloss.all/configure.in (i[345]86-*-*): Ditto.
	* a29k/configure: Regenerate.

Thu Aug 22 10:31:38 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/Makefile.in (install{,-linux,-solaris}): Add install of
	Linux, Solaris libraries if built.

Fri Aug 16 10:12:48 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* m68k/Makefile.in: Add -nostdlib to the test targets.
	* m68k/{idp,bcc,mvme135,mvme162}.ld: Move the CTORS and DTORS from
	.data to .text where they really belong.
	* m68k/crt0.S(launch): Don't put __do_global_dtors into atexit,
	GCC is supposed to do this in __main.

Mon Aug  5 15:04:34 1996  Doug Evans  <dje@canuck.cygnus.com>

	* sparc/libsys/isatty.c: New file.

Sun Aug  4 22:32:14 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* pa/Makefile.in: Build the test case as seperate targets.
	* pa/{w89k,op50n}.ld: Use GROUP rather than INPUT to get all the
	libraries.

Fri Aug  2 18:25:07 1996  J.T. Conklin  <jtc@rtl.cygnus.com>

	* m68k/Makefile.in: Install common crt0.o, remove old references
 	to per-bsp crt0's.

Tue Jul 30 21:48:05 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* sparc/Makefile.in: Built crt0.S, not crto.s.
	* sparc/crt0.S: Don't use REGS macro, use % always.
	* sparc/salib.c: Add a prototype for putDebugChar.

Tue Jul 23 15:12:42 1996  Doug Evans  <dje@canuck.cygnus.com>

	* sparc/{sysc-701.c,crt0-701.S}: New files.
	* sparc/Makefile.in (all): Build them.
	($(701_BSP),crt0-701.o): New targets.
	($(CRT0),$(SIM_CRT0),dtor.o): Don't use $<, for sunos make.
	(all): Depend on $($(CPU)_ALL).
	(install): Use $(INSTALL_DATA), not $(INSTALL_PROGRAM).
	Depend on $($(CPU)_INSTALL).
	* sparc/configure.in (libgloss_topdir): Delete unnecessary $(srcdir).
	(AC_CONFIG_AUX_DIR): Call.
	(CPU): Define.
	* sparc/configure: Regenerated.

Mon Jul 22 14:32:39 1996  Doug Evans  <dje@canuck.cygnus.com>

	* config/{default.mt,mips.mt}: Don't use $<, for sunos make.

Mon Jul 22 15:54:02 1996  Ian Lance Taylor  <ian@cygnus.com>

	* m68k/crt0.S (zerobss): Don't use dbra if __mcf5200__.

Sun Jul 14 16:47:14 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* lseek.c (lseek): Don't use SET_ERRNO.
	* open.c (open): Ditto.

Wed Jul  3 18:19:10 1996  Stu Grossman  (grossman@critters.cygnus.com)

	* sparc/Makefile.in:  Install ex930/931/934.ld files.
	* sparc/configure, sparc/configure.in:  Use AC_CANONICAL_SYSTEM to
	define target_alias to make install work from this directory.

Wed Jul  3 18:04:49 1996  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in: Make sure we always have an argument to for.  Make
	sure rootpre and srcrootpre are always set before using
	FLAGS_TO_PASS.

Tue Jul  2 18:04:31 1996  J.T. Conklin  <jtc@hippo.cygnus.com>

	* glue.h (SET_ERRNO): Removed.
	* sbrk.c, stat.c, unlink.c: Don't use SET_ERRNO.

Mon Jul  1 14:24:51 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/Makefile.in: Add $(srcdir)/.. dependencies for all files
	in the toplevel.

Sat Jun 29 23:26:39 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/cma101.c (DOSYNC): Explicitly select -mips2 for the
 	assembly of the "sync" instruction.
	* mips/Makefile.in: Removed special cma101.o build. Seperate
 	install.sh invocations for the BSP libraries.

Sat Jun 29 08:17:52 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* doc/porting.texi (GNU remote protocol): Fix bad texinfo.

Fri Jun 28 23:16:37 1996  Rob Savoye  <rob@chinadoll>

	* sparc/traps.S: Don't use REGS macro, use % always.
	* sparc/Makefile.in: Add -nostdlib when building the test cases,
	as gcc keeps thinks it wants two crt0.o.
	* sparc/asm.h: Don't define the REGS macro, we'll use explicit
	register prefixes. Always define USER_LABEL_PREFIX cause gcc is
	broken, and I doubt it'll get fixed.

Sat Jun 29 05:05:15 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/crt0.S (zerobss): Fix the stack-pointer calculation.

Thu Jun 27 17:23:33 1996  Ian Lance Taylor  <ian@cygnus.com>

	* mips/Makefile.in (vr4300.o): Pass -mips3 after $(ASFLAGS).
	(cma101.o): Pass -mips2 after $(CFLAGS).

Tue Jun 25 22:48:15 1996  Jason Molenda  (crash@godzilla.cygnus.co.jp)

	* Makefile.in (bindir, libdir): Use autoconf-set values.
	* configure: Rebuilt.

	* doc/Makefile.in (mandir, infodir): Use autoconf-set values.
	* doc/configure.in (AC_PREREQ): autoconf 2.5 or higher.
	* doc/configure: Rebuilt.

	* {a29k,hp74x,i960,m68k,mips,pa,rs6000,sparc,sparc/libsys}/Makefile.in
	(bindir, libdir): Use autoconf-set values.
	* {a29k,hp74x,i960,m68k,mips,pa,rs6000,sparc,sparc/libsys}/configure.in
	(AC_PREREQ): autoconf 2.5 or higher.
	* {a29k,hp74x,i960,m68k,mips,pa,rs6000,sparc,sparc/libsys}/configure:
	Rebuilt.

Mon Jun 24 22:01:11 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* sparc/crt0.S: Set the stack to the upper part of memory. Execute
	hardware_init_hook and software_init_hook if they exist with a
	legit address. Drop into exit after main. Zero the bss section.
	* sparc/ex930.ld:  PROVIDE hardware_init_hook and
	software_init_hook.

Mon Jun 24 19:44:45 1996  Ian Lance Taylor  <ian@cygnus.com>

	* mips/Makefile.in (cma101.o): Use -mips2 option when compiling.

Wed Jun 19 13:57:36 1996  Rob Savoye  <rob@darkstar.cygnus.com>

	* debug.[ch]: New files for GDB stub support.
	* config/default.mt: Add rules for debug.o.
	* config/default.mh: Add rule for building C++ source. Add $srcdir
	to INCLUDES so shared header files can be found.

	* sparc/salib.c(exceptionHandler): Range check the vector number
	so we get a legit %tbr value. Add wrappers so inbyte and outbyte
	work.
	* sparc/crt0.s: Handle cpus that don't have FP support.
	* sparc/Makefile.in: Add multilib support. Add variable for
	objcopy and objdump. Build the BSPs as archive libraries, not
	object files. Add support for the SIS sparc simulator. Build the
	test case srecords and dissasembly as seperate makefile
	targets. Also optionally build the C++ test case. Use a target
	makefile fragment.
	* sparc/configure.in: Add multilib support.
	* sparc/configure: Regenerated.
	* sparc/asm.h: Macros to deal with aout and coff formats portably.
	* sparc/slite.h: Sparclite specific stuff.
	* sparc/{sim-crt0.S,sim-stub.c,sim-io.c,sim.ld}: New support for
	the SIS sparc simulator.
	* sparc/traps.S: Generic trap handlers for SIS and ex93x targets.
	* sparc/tests.c: Test case for linking and GDB protocol.

Tue Jun 18 20:06:16 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* pa/Makefile.in: Build the test case srecords and dissasembly
	as seperate makefile targets. Also optionally build the C++ test
	case.
	* pa/crt0.S: If __stack and __globals have a legit address, use
	that for %sp and %gp. Execute hardware_init_hook and
	software_init_hook if they exist with a legit address. Add
	__do_global_dtors() to the atexit array.
	* pa/{w89k,op50n}.ld: Use GROUP rather than INPUT to get the
	libraries. Allocate the stack and global spaces from the top of
	memory. PROVIDE hardware_init_hook and software_init_hook.

	* m68k/Makefile.in: Build the test case srecords and dissasembly
	as seperate makefile targets. Also optionally build the C++ test
	case.
	* m68k/asm.h: Don't define __USER_LABEL_PREFIX__ and
	__REGISTER_PREFIX__ ourselves since suprisingly gcc sets them
	correctly for a change.
	* m68k/{bcc,mvme135,mvme162,idp}.ld: Use the same crt0 rather than
	building seperate ones. PROVIDE hardware_init_hook and
	software_init_hook. Stick the Constructors and Destructors in
	.data cause they don't work in .text (which is where they should
	really be).
	* m68k/cpu32bug: Add a few more traps to support the older ABug
	monitor.
	* m68k/crt0.S: If __stack is isn't set, set the stack to the top
	of memory. Excecute hardware_init_hook and software_init_hook if
	they exist with a legit address. Add __do_global_dtors() to the
	atexit array.

	* rs6000/Makefile.in: Use the linker script to build the test
	case. Also build a C++ test case.
	* rs6000/dtor.C: Test contructors and destructors.
	* rs6000/{sim,mvme}.ld: New linkers scripts for the simulator and
	the mvme board.
	* rs6000/evm.ld: Provide hardware_init_hook and software_init_hook
	so we can test for them in the crt0.S.
	* rs6000/crto.S: Excecute hardware_init_hook and
	software_init_hook if they exist with a legit address.

Mon Jun 17 18:39:17 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* mips/Makefile.in: Replace the "test" target with seperate
	targets for the dissasembled file, and the srecord.
	* mips/configure.in: Use a target makefile fragment.
	* mips/configure: Regenerate.
	* mips/idt.ld: Add a comment on producing srecords. Setup a space
	for the stack. PROVIDE hardware_init_hook and software_init_hook.
	* mips/crt0.S: Make a small stack. Run memsize() using the temp
	stack, and then set the stack to the top of memory. Also grab some
	space for the globals. Add __do_global_dtors() to the atexit
	array. Call _exit from newlib so the atexit array gets run, then
	exits.

Thu Jun 13 15:44:46 1996  Ian Lance Taylor  <ian@cygnus.com>

	* mips/Makefile.in (vr4300.o): Use -mips3 option when assembling.

Sat Jun  1 16:27:53 1996  Michael Meissner  <meissner@wogglebug.tiac.net>

	* rs6000/simulator.S (open, close, lseek): Add system calls.
	* rs6000/Makefile.in (OBJS): Don't put open.o, close.o, lseek.o
	here.
	(SIM_OBJS): Put them here instead.

Tue Apr 30 20:01:08 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* m68k/crt0.S: Don't allocate __stack in the .bss section.
	* m68k/{idp,mvme135,mvme162,bcc}.ld: Set __stack to a word below
	the top of memory. Use "-l" in GROUP rather than the full name so
	it'll get found using the path lookup in LD. Also link in libgcc
	too. Don't set __lstack anymore.
	* m68k/Makefile.in: Build test as a series of Makefile targets,
	rather than as a big loop.

Thu Apr 25 08:38:15 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/mvme-stack.S: New file, define __stack.
	* rs6000/mvme-crt0.S (_start): If __stack is not 0, use that for
	the stack address.

Thu Apr 25 06:42:02 1996  Rob Savoye <rob@chinadoll.cygnus.com>

	* rs6000/Makefile.in: Add support for multilib.
	* rs6000/configure.in: Ditto.
	* rs6000/configure: Regenerate.

Wed Apr 24 11:02:33 1996  Doug Evans  <dje@blues.cygnus.com>

	* sparc/libsys/Makefile.in (isatty.o): Add rule for SunOS VPATH.

Fri Apr 19 13:23:31 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* {mips,a29k,pa}/configure.in: Add support for multilibs
	by using config-ml.in.
	* {mips,a29k,pa}/configure: Regenerate.
	* {mips,a29k,pa}/Makefile.in: Build archive libraries,
	not objects for the BSPs.

Fri Apr 19 12:33:25 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/sol-crt0.c: Delete, file moved into gcc directory.

Mon Apr 15 14:09:26 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/simulator.S: Call _cerror to save errno if an error
	occurred.
	* rs6000/sim-errno.c (_cerrno): New function to set errno.

Thu Apr 11 14:19:01 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/sol-{crt0.c,syscall.S,cfuncs.c}: New files to support
	libgloss on PowerPC Solaris.

	* rs6000/Makefile.in: Add Solaris support.

Tue Apr 16 17:43:06 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* Makefile.in: Don't do anything if SUBDIRS is empty.

Mon Apr 15 15:37:52 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* configure.in, m68k/configure.in: Add support for multilibs by
	using config-ml.in.
	* m68k/crt0.S: If a value for __stack hasn't been specified,
	initialize %sp to some memory in .bss.
	* m68k/Makefile.in: Build archive libraries, not objects for the
	BSPs. Build multiple copies of the crt0.o, one for each target. Add
	support to build multilibs.
	* idp.ld, bcc.ld, mvme135.ld, mvme162.ld: Use GROUP to look for
	libc.a and the BSP rather than INPUT an object. Get the right
	crt0.o.

Tue Apr  9 23:31:53 1996  Ian Lance Taylor  <ian@cygnus.com>

	* m68k/cpu32bug.S (getDebugChar): Use extw/extl rather than
	extbl, so it can be used on a 68000.

Wed Mar 27 17:18:01 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/{mvme-exit,simulator}.S (_exit): Loop on a trap
	instruction following the _exit system call.  This also makes sure
	that the debugger reports the address as being in _exit, rather
	than whatever function follows _exit.

Fri Mar 15 12:30:02 1996  J.T. Conklin  <jtc@rtl.cygnus.com>

	* i960/{Makefile.in,asm.h,configure,configure.in,mon-read.c,
	mon-syscalls.S,mon-write.c}: Initial support for MON960.
	* configure.in: Add support for i960.
	* configure: Rebuild with autoconf 2.8.

Fri Mar  8 18:12:52 1996  Ian Lance Taylor  <ian@cygnus.com>

	* a29k/configure.in: Call AC_CONFIG_AUX_DIR.
	* a29k/configure: Rebuild with autoconf 2.7.
	* m68k/configure.in: Call AC_CONFIG_AUX_DIR before
	AC_CANONICAL_SYSTEM.
	* mips/configure.in, pa/configure.in: Likewise.
	* rs6000/configure.in: Likewise.
	* m68k/configure, mips/configure, pa/configure: Rebuild.
	* rs6000/configure: Rebuild.

Fri Mar  8 08:11:14 1996  Doug Evans  <dje@charmed.cygnus.com>

	* sparc/libsys/sbrk.S (curbrk): Moved from here,
	* sparc/libsys/cerror.S (curbrk): To here.

Thu Mar  7 11:39:09 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/crt0.S (bssloop): Updated comment to reflect the source.

Wed Mar  6 18:12:25 1996  Doug Evans  <dje@charmed.cygnus.com>

	* configure.in (sparclet-*-aout*): Add entry.
	* configure: Regenerated.
	* sparc/libsys/{Makefile.in,configure.in,configure,isatty.c,
	libsys-crt0.S,sbrk.S,syscall.h,syscallasm.h,template.S,template_r.S}:
	New files.

Fri Feb 23 22:21:07 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* a29k: New dir for a29k-coff support for the AMSAT Phase-3D
	satellite. (doesn't use udi)
	* a29k/{29200-io.c,Makefile.in,configure,configure.in,README,crt0.s,
	p3dgps.ld,sa29200.ld,sa29200b.ld,test.c: New files for a29k
	support.
	* a29k/sys/{cpudef.h,intrinsi.h,macros.h,romdcl.h,sysmac.h,
	fpsymbol.h,libconfig.h,proreg.h,smartmac.h}: New files for a29k
	support.
	* configure.in: Add support for a29k.
	* configure: Rebuild.

Thu Feb 22 13:32:28 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/mvme-read.c (read): New file, if large read, do a .INLN
	system call, instead of sucessive .INCHR system calls.  Map \r on
	input to \n.

	* rs6000/mvme-inbyte.S: Add stub for new input system calls.

	* rs6000/Makefile.in (MVME_OBJS): Add mvme-read.o, delete read.o

Wed Feb 21 16:45:19 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/mvme-print.c: New file, map write into sequences of
	.OUTLN/.OUTCHR/.PCRLF rather than just using .OUTCHR.

	* rs6000/mvme-outbyte.S: Add stubs for new output system calls.

	* rs6000/Makefile.in (MVME_OBJS): Add mvme-print.o, delete print.o
	and write.o.

Thu Feb 15 11:37:02 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/{mipsidt,mipspmon}.ld: Added OUTPUT_ARCH definition.
	* mips/cma101.c (time): Added time() function.

Tue Feb 13 10:36:07 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/vr4300.S (__cpu_flush): Fix loop counter.

Tue Jan 30 15:41:19 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/syscalls.c: Used include file, rather than local manifest
 	definitions.
	* mips/crt0.S: Removed IDT monitor entry points.
	* mips/Makefile.in: Construct mipsidt and mipspmon BSP files.
	* mips/{cma101.c,idtmon.S,pmon.S,regs.S,vr4300.S}: Added.
	* mips/{mipspmon.ld}: Added.

Sun Jan 28 08:01:31 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/configure.in (AC_INIT): Use sim-crt0.S, not crt0.s.
	* rs6000/configure: Regenerate.

Wed Jan 24 14:26:01 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/{mvme,sim}-crt0.S (__atexit): Put the __atexit variable
	in the .sdata section, and provide a fixup for the address, in
	order to support the new -msdata compiler flag.

Thu Jan 11 11:24:25 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/{mvme,sim}-crt0.S (__atexit): Provide address of atexit,
	so eabi-ctors in libgcc.a can know to register the function to
	call all of the destructors.

Sat Dec 30 14:31:37 1995  Doug Evans  <dje@canuck.cygnus.com>

	* configure.in (AC_CONFIG_AUX_DIR): Adjust to new build tree layout.
	* {doc,hp74x,m68k,mips,pa,rs6000,sparc}/configure.in
	(AC_CONFIG_AUX_DIR): Define
	* {,doc,hp74x,m68k,mips,pa,rs6000,sparc}/configure: Regenerated.

Mon Dec 11 12:20:24 1995  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (FLAGS_TO_PASS): Add INSTALL, INSTALL_PROGRAM,
	and INSTALL_DATA.

Fri Dec  1 16:54:15 1995  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/syscalls.c (sbrk): Fixed memory addressing. System call
 	returns size, not (last address + 1).

Thu Nov 16 13:47:57 1995  Ian Lance Taylor  <ian@cygnus.com>

	* config/default.mh: Don't define CC_FOR_TARGET, AS_FOR_TARGET,
	AR_FOR_TARGET, LD_FOR_TARGET, RANLIB_FOR_TARGET, NM_FOR_TARGET,
	OBJDUMP_FOR_TARGET, or OBJCOPY_FOR_TARGET.  Change the build rules
	to use CC, etc., instead of CC_FOR_TARGET, etc.
	* configure.in, */configure.in: Get values for CC, AS, AR, LD, and
	RANLIB.  Always use default.mh.
	* Makefile.in (FLAGS_TO_PASS): Pass down LD.
	* Makefile.in, */Makefile.in: Let CC, AS, AR, LD, and RANLIB by
	substituted by the autoconf configure script.  Use them instead of
	the *_FOR_TARGET variants.
	* hp74x/configure.in: Don't call AC_CANONICAL_SYSTEM.
	* m68k/configure.in: Call AC_ARG_PROGRAM.
	* mips/configure.in, pa/configure.in: Likewise.
	* rs6000/configure.in: Likewise.
	* m68k/Makefile.in: Set program_transform_name, OBJDUMP, and
	OBJCOPY.
	* mips/Makefile.in, pa/Makefile.in, rs6000/Makefile.in: Likewise.
	* mips/Makefile.in: Split new test target from all target.
	* configure, */configure: Rebuild.

Tue Nov 14 12:04:36 1995  Angela Marie Thomas (angela@cygnus.com)

	* Makefile.in: Added prefix, exec-prefix and tooldir to
	FLAGS_TO_PASS so vaulting works correctly.

Tue Nov 14 18:32:41 1995  James G. Smith  <jsmith@cygnus.co.uk>

	* mips/mipsidt.ld: Added.
	* mips/syscalls.c: Added.
	* mips/crt0.S: Added FPU presence check, and entry points into IDT
	monitor.
	* mips/Makefile.in (all): Updated to build generic IDT monitor
 	crt0.o file.
	* mips/test.c (main): Removed unnecessary prototypes.
	* configure.in (configdirs): Removed mips64vr4300 target.
	* configure: Re-generated.
	* config/default.mh (OBJDUMP_FOR_TARGET): Added missing parent
 	directory path element.
	* mipsidt: Directory removed.

Fri Nov 10 12:50:03 1995  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in, */configure.in: Don't call AC_ARG_PROGRAM.
	* configure, */configure: Rebuild.
	* Makefile.in, */Makefile.in: Don't set program_transform_name.

Wed Nov  8 16:19:31 1995  James G. Smith  <jsmith@pasanda.cygnus.co.uk>

	* configure.in (configdirs): Add mips*vr4300*-*-* target.

	* configure: Re-generated.

	* mipsidt/crt0.S: Check for FPU presence.

	* mipsidt/mipsidt.ld: Removed explicit crt0.o from link.

	* mipsidt/Makefile.in: Explicitly link against crt0.o file.

Thu Nov  2 23:27:28 1995  Rob Savoye  <rob@chinadoll.cygnus.com>

	* config/default.mh: Add additional "../" to path used to find
	comp-tools binaries in an object tree.

Mon Oct 30 18:10:47 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/mvme-crt0.S (_start): Zero out bss before the the program
	starts.

Tue Oct 24 10:07:50 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/mvme-{exit,outbyte,inbyte}.S: Use hex for the system
	calls, not decimal, since formatting the disk when you intend to
	write out a character is not nice.

Mon Oct 23 22:17:12 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/mvme-crt0.S (_start): Bump sp by -4 before storing end of
	stack chain to avoid last word indebugger's memory.

	* rs6000/mvme-{exit,inbyte,outbyte}.S: System call number goes in
	r10, not r0.

Mon Oct 23 17:57:23 1995  James G. Smith  <jsmith@jaalfrezi.cygnus.co.uk>

	* mipsidt/Makefile.in: Removed the LDFLAGS_FOR_TARGET in the test
 	program link.

	* mipsidt/crt0.S: Changed monitor entry sequence.

	* mipsidt/syscalls.c: Added local sbrk() function, derived from
 	(libgloss/sbrk.c), but using the monitor routine to ascertain the
 	amount of memory available.

Mon Oct 23 11:58:04 1995  James G. Smith  <jsmith@pasanda.cygnus.co.uk>

	* mipsidt: Added (directory). This is a simple crt0 module for the
 	IDT MIPS monitor. The existing "libgloss/mips" directory is for a
 	specific R3000 board, so it was safer creating a new target
 	directory.
	* mipsidt/Makefile.in: Added.
	* mipsidt/configure: Added.
	* mipsidt/configure.in: Added.
	* mipsidt/crt0.S: Added.

	* mipsidt/syscalls.c: Added.
	* mipsidt/test.c: Added.

	* configure (mips*vr4300*-*-*): Use new mipsidt target directory.

Mon Oct  9 21:07:08 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/Makefile (all asm rules): Remove asm.h dependency.
	* rs6000/asm.h: File deleted, moved to gcc directory as ppc-asm.h.
	* rs6000/mvme-{crt0,exit,inbyte,outbyte}.S: Include ppc-asm.h, not
	asm.h.
	* rs6000/sim{-crt0,ulator}.S: Ditto.

	* rs6000/{mvme,sim}-crt0.S (_start): Don't use FUNC_START/FUNC_END
	for _start, since the linker needs to see this.

Mon Oct  9 12:08:12 1995  Stu Grossman  (grossman@cygnus.com)

	* sparc/sparc-stub.c:  include sparclite.h to get access to register
	fondling macros.
	* (trap_low):  Save and restore FP regs if necessary.  Also, clean
	up save and restore of debug unit regs.
	* (hard_trap_info):  Add more architecturally defined traps.
	* (set_debug_traps):  Only set FP disabled trap if FP is disabled.
	* (get_in_break_mode):  Clean up.  Get rid of calls to
	set_hw_breakpoint_trap().  Also, use write_asi macro
	* (handle_exception):  Clean up `g' and `G' commands.  Add `P'
	command.
	* (hw_breakpoint):  Why was this here!?  It's gone now...
	* sparc/crt0.s:  Speed up prom copy loop.  Clean up window over/under
	flow setup.  Call main instead of jumping to it.
	* sparc/salib.c (get_uart_status rcv_char flush_i_cache):  Use new
	and improved read_asi macro.
	* (win_ovf win_unf):  Parameterize window size.
	* sparclite.h (read_asi):  Rewrite so that macro returns an rval.
	* (read_psr write_psr):  New macros to do the obvious.
	* Add conditionalized code for 933 window size.

Fri Oct  6 15:35:01 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/simulator.S (abort): Delete abort.
	* rs6000/sim-abort.c: New file, to print message that abort was
	called.
	* rs6000/Makefile.in (SIM_OBJS): Add sim-abort.o.

	* rs6000/asm.h (FUNC_NAME, FUNC_START, FUNC_END): New macros that
	give the start and end of a function written in assembler.  If
	-mcall-aixdesc or -mcall-nt, create a function descriptor and name
	the real function with one or two leading periods.

	* rs6000/{simulator,sim-crt0}.S: Use new function macros.
	* rs6000/mvme-{crt0,exit,inbyte,outbyte}.S: Ditto.

	* rs6000/Makefile.in: Add asm.h as a dependent for all .S files.
	Compile the .S files with gcc, so that -mcall-* flags define the
	appropriate macros.

Thu Sep 28 13:49:45 1995  Ian Lance Taylor  <ian@cygnus.com>

	* sparc/ex93x.ld: Remove crt0.o from INPUT; gcc will normally pass
	crt0.o anyhow.  Add leading underscore to __CTOR_LIST__, et. al.
	* sparc/salib.c (__main): Comment out empty function.

Wed Sep 20 14:36:12 1995  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (maintainer-clean): New synonym for realclean.
	* hp74x/Makefile.in (maintainer-clean): Likewise.
	* m68k/Makefile.in (maintainer-clean): Likewise.
	* pa/Makefile.in (maintainer-clean): Likewise.
	* mips/Makefile.in (maintainer-clean): Likewise.
	* rs6000/Makefile.in (maintainer-clean): Likewise.
	* sparc/Makefile.in (maintainer-clean): Likewise.
	* doc/Makefile.in (maintainer-clean): Likewise.
	* testsuite/Makefile.in (maintainer-clean): Likewise.
	* testsuite/libgloss.all/Makefile.in (maintainer-clean): Likewise.

Sat Sep 16 23:04:11 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/Makefile.in (all): Fix typo preventing simulator from
	being built.

Tue Sep 12 10:43:41 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* rs6000/Makefile.in: Misc mvme support fixes.

	* rs6000/{mvme-exit.S, mvme-inbyte.S, mvme-outbyte.S}: Strip
	leading underscores from identifiers.

	* m68k/asm.h: New file, macro definitions helpful for assembly
	language programming.
	* m68k/{cpu32bug.S, crt0.S, mvme.S, mvme135-asm.S, mvme162lx-asm.S}:
 	Use asm.h.

	* rs6000/{mvme-crt0.S, mvme-exit.S, mvme-inbyte.S, mvme-outbyte.S}:
	New files, preliminary support for motorola mvme targets running
	the ppcbug monitor.
	* rs6000/Makefile.in: Build mvme support.

	* rs6000/asm.h: New file, macro definitions helpful for assembly
        language programming.
	* rs6000/{sim-crt0.S, simulator.S}: Use asm.h.

Fri Sep  8 18:51:29 1995  Michael Meissner  <meissner@wogglebug.tiac.net>

	* rs6000/sim-sbrk.c (sbrk): Add cast to silence warning.

Fri Sep  8 13:03:12 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* m68k/idp-inbyte.c (READREG): Add volatile to the cast, to avoid
	reordered insns that can end up being an infinite loop.
	* m68k/idp-outbyte.c (READREG): Likewise.

Wed Sep  6 10:01:33 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/sim-sbrk.c (sbrk): Use the brk system call, instead of
	using a large static area for the break area.

Thu Aug 24 14:57:28 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/Makefile.in (install*): Add separate installation rules
	for sim and evm targets.

Wed Aug 23 16:49:02 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/sim*: Add PowerPC simulator support.

Tue Aug 22 11:52:40 1995  Jeff Law  (law@snake.cs.utah.edu)

	* pa/hp-milli.s: Add entry/exit pseudo-ops around all exported
	code.  Fix callinfo directives to include "millicode" attribute.

	* pa/hp-milli.s (divU): Fix bug found by arith-rand1.c testing.

Mon Aug 21 23:31:42 1995  Jeff Law  (law@snake.cs.utah.edu)

	* pa/crt0.S ($START$): Use local label prefix for local label
	"bssloop".

Mon Aug 14 11:57:46 1995  Kung Hsu  <kung@mexican.cygnus.com>

	* ex93x/sparclite.h: add __WINSIZE.
	* ex93x/salib.c: Use __WINSIZE, implements write with $O command of
	stub protocol.

Thu Aug  3 14:40:12 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* Makefile.in: Updated to reflect filename changes.

	* m68k/mc68681-duart.h: Renamed to m68681reg.h.
	* m68k/mc68681-duart.c: Split up and renamed to idp-inbyte.c and
	idp-outbyte.c

Fri Jul 28 11:23:24 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* m68k/mc68681-duart.h: Removed everything except register offsets.
	Changed offsets so they reflect actual chip instead of how device
	is mapped into the IDP address space.
	* m68k/mc68681-duart.c (DUART_ADDR): New macro, base address.
	(READREG, WRITEREG): Changed to correspond to unusual way the
	device is mapped (ie. base address + (reg offset * 4) + 3)).
	(duart_status, duart_mode, duart_init, duart_restore): Removed,
	these interfaces were never used and didn't work.
	(outbyte): Removed unconditional delay.

	* m68k/crt0.S: Use SYM(_end) instead of end.  This completes my
	change of April 18th which makes the "_end" symbol compatible
	with both a.out and coff toolchains.
	(zerobss): Handle zero-length bss.

Thu Jul 27 15:35:37 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* configure, {doc, hp74x, m68k, mips, pa, sparc}/configure:
	regenerated with autoconf 2.4.2.

Wed Jul 26 13:42:27 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* doc/porting.texi: Fix typos and spelling errors.

Mon Jun 26 09:23:23 1995  Jeffrey A. Law  <law@rtl.cygnus.com>

	* pa/Makefile.in: Enable HP supplied millicode routines.
	* pa/hp-milli.s:  Make sure copyright notice gets included
	in objects files.

	* pa/crt0.S ($START$): Use "%" instead of "'" to avoid losing whe
	run through cpp.

Fri Jun 16 18:40:22 1995  Jeffrey A. Law  <law@rtl.cygnus.com>

	* pa/crt0.S ($START$): Use long-calls to call main and exit.

Tue Jun 13 16:05:13 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* pa/crt0.S: Call exit() after returning from main.

Tue Jun 13 10:43:14 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* Makefile.in, {doc, hp74x, m68k, mips, pa, sparc}/Makefile.in
	  (distclean, realclean): Remove autoconf-generated config.cache
	  and config.log files.

Mon Jun  5 15:56:22 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* config/{default.mh, dos.mh} (CFLAGS_FOR_TARGET): Added -O2.
	  (.c.o, .s.o, .S.o, etc.): Don't use @ to hide how the compiler
	  is invoked, it makes it much more difficult to debug.

Tue May 30 19:07:59 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* testsuite/libgloss.all/math.c: Add additional tests for modulo.

Mon May 29 13:03:39 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* stat.c: Add const so it works with newlib's stat.h.

Thu May 25 16:28:42 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* m68k/mvme.S: Extend sign using two instructions rather than one
	so it'll work on a stock mc68000.

Tue May 23 18:12:19 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* close.c, stat.c, fstat.c, open.c, lseek.c, print.c, putnum.c,
	unlink.c read.c, sbrk.c, getpid.x, kill.c: New files that used to
	be glue.c.
	* {m68k,pa,mips}/Makefile.in: Build using broken up glue.c.
	* pa/Makefile.in: Make all just build BSP, add seperate test
	target.
	* most files: add Cygnus BSD-style copyright message.

Tue May 23 12:58:03 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* configure.in, {hp74x, m68k, mips, pa, sparc}/configure.in:
	  Use changequote() to temporarily turn off m4 quoting so that
	  i[345]86-*-go32 pattern in case statement remains unchanged.
	* configure, {hp74x, m68k, mips, pa, sparc}/configure:
	  regenerated.

Tue May 23 11:15:52 1995  Angela Marie Thomas  <angela@cirdan.cygnus.com>

	* mips/Makefile.in (SCRIPT): added "SCRIPT = array.ld" so installs
	work correctly.

Mon May 22 21:33:49 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* ex93x: renamed to sparc.
	* r3000: renamed to mips.
	* hppro: renamed to pa.
	* configure.in, configure: Use new directory names.
	* config/default.mh: Remove '' in sed program_transform_name so
	it actually works.
	* doc/porting.texi: update doc.

Wed May 17 17:25:53 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* doc/configure.in: converted to autoconf.
	* doc/configure: New file, generated with autoconf 2.3.

	* Makefile.in, config/{ex93x, hp74x, hppro, m68k,
	  r3000}/Makefile.in (Makefile.in): Added config.status to
	  dependency list.
	  (config.status): New target.

	* m68k/Makefile.in: Build M68332BCC BSP.

Wed May 10 18:43:21 1995  Stu Grossman  (grossman@andros.cygnus.com)

	* glue.c:  Change decl of end to char[] for some reason.
	* (sbrk):  Rewrite sbrk so that it works.
	* (fstat):  Return status indicating fd is for a tty.  Makes stdio
	work better.
	* hppro/crt0.S (_sr4export):  Retrieve rp from -24(sp), not
	-18(sp).  Note that -24 decimal == -18 hex...
	* hppro/op50n-io.S:  Add read and write interfaces to the rom
	monitor.  Unfortunately, the monitor doesn't seem to work...
	* hppro/op50n.ld:  Clean up lots of stuff.  Define memory in a
